pro barlincor,infile,outfile,old=old,twin=twin

c=2.9979d5

f=readfits(infile,hf)
dl=sxpar(hf,'CDELT1')  &  l0=sxpar(hf,'CRVAL1')
a=size(f)
l=dindgen(a[1])*dl+l0
if not(keyword_set(twin)) then v=barycent(hf,old=old) else v=twin_barycent(hf)
l1=l/(1+v/c)
f1=f
for k=0,a[2]-1 do f1(*,k)=interpol(f(*,k),l1,l)
sxaddpar,hf,'BARYDV',v,'barycentric correction for radial velocity'
writefits,outfile,f1,hf
message,'Heliocentric correction Delta V ='+strtrim(string(v,for='(F10.2)'),2)+'km/s',/cont
end
