pro barshow,dra,ddec,erra,erdec,lid,labels_xshift,labels_yshift
field=[16,16]
; resolve_all
; ra0=sxpar(hv,'RA') & dec0=sxpar(hv,'DEC')
rach='20 35 0.75'  &  dech='+60 11 30.9'
rai='20 35 0.754'  &  deci='+60 11 30.95'
rar='20 35 0.609'  &  der='+60 11 30.64'

; dra=[0.302,-0.11,0.058,-0.196,-0.111,-0.061,-0.116,-0.137]
; ddec=[0.146,-0.10,0.011,-0.237,-0.08,-0.064,-0.081,-0.084]
; erra=[0.05,0.02,0.015,0.015,0.013,0.013,0.014,0.014]
; erdec=[0.03,0.02,0.015,0.015,0.013,0.013,0.014,0.014]
; lid=['HeII!4k!34686','H!4b!3','[OIII]!4k!35007','[OIII]!4k!34959','[OI]!4k!36300','[OI]!4k!36364','H!4a!3','[NII]!4k!36583',$
;   '[SII]!4k!36717','[SII]!4k!36731', 'HeI!4k!34471']
;labels_yshift=[2.0,  4.0,  5.5, 6., -4.5, 5.,  6.,  -3., -4.5, -1.5,0.]
;labels_xshift=[-6.5, 6.5, -3.5, -5., -3., 0., 3.5,  -8.5, 4.0, 3.5,3.]

shpars=linfit(dra,ddec,/dou,meas=erdec,yfit=ddecfit,sigma=sighma)
drafit=dra*10.
ddecfit=poly(drafit,[shpars[0],shpars[1]])
pa=!DPI/2.-atan(shpars[1])
dpa=sighma[1]/(sin(pa))^2

dir1='/data3/MPFS_res/mf16/karty/'
madir='/data3/MPFS_res/mf16/' 
wdir='~/trash/'
file1=readfits(dir1+'acsha.fits',h1)
s1=size(file1)
; file11=file1
; if s1[0] gt 2 then file1=reform(file1(*,*,0))
file1=shift(file1,1,1)

file11=med_ext2(file1,7)
file1(where(file1 ge file11*5.))=file11(where(file1 ge file11*5.))
file1=file1>0.
; file1(where(abs(file1-file11) ge .1))=file11(where(abs(file1-file11) ge .1))
; file1=file11
getrot,h1,pos1,sc

hrot,file1,h1,file1_1,h1_1,pos1,-1,-1,1
hextract,file1_1,h1_1,file2,h2,333,375,185,212
; file2=file1_1  &  h2=h1_1
 a1=size(file2)
;  file2=smooth(file2,3)

ra0_deg=ratos(rach)/3600.  &  dec0_deg=detos(dech)/3600.
; adxy,h2,ra0_deg,dec0_deg,xch,ych  ;  ??

m=25000.
x0=8.
lx=(a1[1]*sc[0])*m
ly=(a1[2]*sc[1])*m
y0=x0+.5*(lx-ly)
;Lxr=3.*a2[1]*m
;Lyr=3.*a2[2]*m
 adxy,h2,ratos(rai)/double(3600.),detos(deci)/double(3600.),xi,yi
 adxy,h2,ratos(rach)/double(3600.),detos(dech)/double(3600.),xch,ych
 adxy,h2,ratos(rar)/double(3600.),detos(der)/double(3600.),xr,yr
 adxy,h2,(ratos(rach)+drafit/cos(detos(dech)/double(206265)))/double(3600.),(detos(dech)+ddecfit)/double(3600.),xcesfit,ycesfit
 adxy,h2,(ratos(rach)+dra/cos(detos(dech)/double(206265)))/double(3600.),(detos(dech)+ddec)/double(3600.),xces,yces
 adxy,h2,(ratos(rach)+(dra+erra)/cos(detos(dech)/double(206265)))/double(3600.),(detos(dech)+ddec+erdec)/double(3600.),xces_d1,yces_d1
 adxy,h2,(ratos(rach)+(dra-erra)/cos(detos(dech)/double(206265)))/double(3600.),(detos(dech)+ddec-erdec)/double(3600.),xces_d2,yces_d2

ddx=0.5  &  ddy=0.8

xch=xch-ddx & ych=ych+ddy
xces=xces-ddx & yces=yces+ddy

dxces=abs(xces_d1-xces_d2)  &  dyces=abs(yces_d1-yces_d2)
 s2=size(file2)

cx=(x0+lx/2.) & cy=(y0+ly/2.)
cx=cx
cy=cy
xch=lx*xch/double(s2[1])  &  ych=ych*ly/double(s2[2])
xr=lx*xr/double(s2[1])  &  yr=yr*ly/double(s2[2])
xi=lx*xi/double(s2[1])  &  yi=yi*ly/double(s2[2])

xces=xces*lx/double(s2[1])  &  yces=yces*ly/double(s2[2])  &  xcesfit=xcesfit*ly/double(s2[2]) &  ycesfit=ycesfit*ly/double(s2[2])
dxces=dxces*lx/double(s2[1])  &  dyces=dyces*ly/double(s2[2])

set_plot,'ps'
loadct,0
 device,filename=wdir+'hst_centers.eps',xsize=lx+2*x0,ysize=ly+2*y0,/landscape,/color,$
  /encaps,xoffset=0,yoffset=ly+2*y0
  loadct,0
  tvscl,-alog(file2+median(file2)*2.),x0,y0,xsize=lx,ysize=ly,/cent
 ; tvscl,file2,x0,y0,xsize=lx,ysize=ly,/cent
loadct,0
!x.title=' '  &  !y.title=' '
  imcontour,file2,h2,/type,pos=[x0/(lx+2*x0),y0/(ly+2*y0),(x0+lx)/(lx+2*x0),(y0+ly)/(ly+2*y0)],/norm,xst=1,yst=1,/noerase,/nodata,$
       charsize=1.5,subtit=' ',charthick=3.

xyouts,0.5,0.28,'!4a!3',/norm,charsize=3.,charthick=5.
xyouts,0.12,0.5,'!4d!3',/norm,charsize=3.,charthick=5.

    plotsym,0,8,color=1,thick=5.
    plots,(x0+xch)/(lx+2*x0),(y0+ych)/(ly+2*y0),psym=8,color=1,/norm
    plotsym,0,3,color=1,thick=5.
    plot,(x0+xces)/(lx+2*x0),(y0+yces)/(ly+2*y0),psym=2,color=1,/noer,xrange=[x0/(lx+2*x0),(x0+lx)/(lx+2*x0)],$
      yrange=[y0/(ly+2*y0),(y0+ly)/(ly+2*y0)],$
      pos=[x0/(lx+2*x0),y0/(ly+2*y0),(x0+lx)/(lx+2*x0),(y0+ly)/(ly+2*y0)],yst=5,xst=5
!p.thick=2.5
    oploterr,(x0+xces)/(lx+2*x0),(y0+yces)/(ly+2*y0),(dyces)/(lx+2*x0)
    oploterx,(x0+xces)/(lx+2*x0),(y0+yces)/(ly+2*y0),(dxces)/(lx+2*x0)
    xyouts,(x0+xces-1.+labels_xshift)/(lx+2*x0),(y0+yces+labels_yshift+.2)/(ly+2*y0),lid,$
charsize=1.5,charthick=3.
;    oplot,(x0+xcesfit)/(lx+2*x0),(y0+ycesfit)/(ly+2*y0),linestyle=4
!p.thick=1
    for k=0,n_elements(xces)-1 do oplot,[(x0+xces[k])/(lx+2*x0),(x0+xces[k]+labels_xshift[k])/(lx+2*x0)],$
 [(y0+yces[k])/(ly+2*y0),(y0+yces[k]+labels_yshift[k])/(ly+2*y0)]
s=dindgen(4000)*.1-200.
ptb=142.
ang=(37.-ptb)*!DPI/180.
oplot,(x0-s*sin(ang)+xch)/(lx+2.*x0),(y0+s*cos(ang)+ych)/(ly+2.*y0),linestyle=1,psym=0,thick=3
 device,/close
set_plot,'x'

end
