; removing Cosmic Hits from two images

PRO CH_BOTH,im1,im2,T=T,lim=lim
 if not(keyword_set(T)) then T=5
 if not(keyword_set(lim)) then lim=0
  norm=median(im1)/median(im2)
  dif=im1-im2*norm
  robomean,dif,T,2,mean,sig
  rec1=where( dif GT t*sig,count1)
  rec2=where( dif LT -t*sig,count2)

  ; mask creating
  if keyword_set(lim) then begin
    mask=im1
    mask(*)=0
    mask(rec1)=100.
    mask(rec2)=-100.
   dif=smooth(mask,3)
   rec1=where( dif GT lim,count1)
   rec2=where( dif LT -lim,count2)
 endif
   ;message,string(count1+count2)+' points was replaced',/cont
   if count1 gt 0 then im1(rec1)=im2(rec1)*norm
   if count2 gt 0 then im2(rec2)=im1(rec2)/norm


END