; removing Cosmic Hits from two images
; med -- median value of all set of images

PRO CH_BOTH2,im1,im2,T=T,lim=lim
 if not(keyword_set(T)) then T=5

  norm=median(im1)/median(im2)
  message,'Norm factor:'+string(norm),/cont
  dif=(im1-im2*norm)
  r1=where(dif ge 0,counts1)
  med=im1
  if counts1 gt 0 then  med(r1)=im2(r1)*norm
  MED=ABS(MED)>1
  med=med;+0.2*median(med)
  dif=dif/sqrt(med)

  ;dif=(im1-im2*norm)/sqrt(med)
  ;rec=where(finite(dif) eq 0,count)
  ;if count gt 0 then dif(rec)=0
  ;robomean,dif,T,2,mean,sig
  ;help,mean,sig
  s=float(size(im1))
  sig=total(abs(median(dif,3)))/(s(1)*s(2))    ; just don't say to me it's stdev
  rec1=where( dif GT t*sig,count1)
  rec2=where( dif LT -t*sig,count2)

  ; mask creating
  ;if keyword_set(lim) then begin
    mask=im1
    mask(*)=0
   if count1 gt 0 then  mask(rec1)=100.
   if count1 gt 0 then  mask(rec2)=-100.
   mask=smooth(mask,3)
   if count1 gt 0 then rec1=where( mask GT lim,count1)
   if count2 gt 0 then rec2=where( mask LT -lim,count2)
 ;endif

   message,string(count1+count2)+' points was replaced',/cont
   if count1 gt 0 then  im1(rec1)=im2(rec1)*norm
   if count2 gt 0 then im2(rec2)=im1(rec2)/norm

END
