pro conex,infile,outfile
  data=readfits(infile,hd)
  l0=sxpar(hd,'CRVAL1')  &  dl=sxpar(hd,'CDELT1')
  s=size(data)
  l=dindgen(s[1])*dl+l0
  if s[0] gt 2 then data=reform(data,s[1],round(10^(total(alog10(s(2:s[0]-1))))))
  s=size(data)
  if s[0] eq 1 then begin
    daf=median(data,5)
    ouf=lowess(l,daf,250,1.)
    plot,l,daf,/ylog
    oplot,l,ouf,color=1000
    message,strtrim(string(total(ouf)/total(data)))+'% emitted in continuum',/cont
  endif else begin
    ouf=data
    for k=0,s[2]-1 do begin
      ouf(*,k)=lowess(l,reform(data(*,k)),250,1.)
     ; plot,l,reform(data(*,k))
     ; oplot,l,ouf,color=10000
     message,strtrim(string(100.*total(ouf(*,k))/total(data(*,k))))+'% emitted in continuum',/cont
    endfor
  endelse
  writefits,outfile,ouf,hd
end
