pro contfit,insp,func,lrange=lrange,av=av,dspfile=dspfile

sp=readfits(insp,hsp)
if not(keyword_set(dspfile)) then dsp=readfits(strreplace(insp,'obj','dobj'),hsp) else $
  dsp=readfits(dspfile,hsp)
dl=sxpar(hsp,'CDELT1')  &  l0=sxpar(hsp,'CRVAL1')  &  nx=n_elements(sp)
l=dindgen(nx)*dl+l0
ccm_unred,l,sp,av/3.1
ccm_unred,l,dsp,av/3.1

; cont=lowess(l,sp,500,1)
cfit=linfit(l,sp,yfit=cont)
ww=where((sp-cont) le 2.*dsp)

if keyword_set(lrange) then begin
 www=ww(where(l(ww) gt min(lrange) and l(ww) lt max(lrange)))
 l1=l(www)  &  sp1=sp(www)  &  dsp1=dsp(www)  &  cont1=cont(www)
endif else begin
 l1=l(ww)  &  sp1=sp(ww)  &  dsp1=dsp(ww) &  cont1=cont(ww)
endelse

; a=linfit(alog(l1),alog(cont1),chisq=chisq,mea=dsp1/abs(cont1),sigma=sig,/dou,yfit=fit)
a=[4.e-17,3.5]
w=dsp1^(-2)
fit=curvefit(l1,sp1,w,a,sig,chisq=chisq,/dou,func='powerlaw',/noder)

; fit=exp(poly(alog(l),a))
powerlaw,l,a,fit

set_plot,'ps'
device,filename='~/trash/contfit.ps',/land,xsize=25,ysize=20
plot,l,sp,/xst,yrange=[1.e-18,1.e-13],/ylog
; oplot,l1,sp1,thick=3.
oplot,l,fit,linestyle=2,thick=3
; oplot,l,fit1,linestyle=1,thick=3
; oplot,l,fit2,linestyle=1,thick=3
device,/close
set_plot,'x'
print,'norm =',(a[0]),'\pm ',sig[0] ;*exp(a[0])
print,'slope=',a[1],'\pm ',sig[1]
; print,sig
print,'!4v!3!U2!N = ',chisq

plot,l1,sp-fit,yrange=[-1.e-15,1.e-15]
end
