pro contmap,infile,wdir,range,field=field,out=out,deline=deline

if not(keyword_set(out)) then out='contmap'
if not(keyword_set(field)) then field=[16,16]
  ima=readfits(infile,h)

  dl=sxpar(h,'CDELT1')  
  l0=sxpar(h,'CRVAL1')
  posang=sxpar(h,'POSANG')  &  objname=sxpar(h,'OBJECT')
posar=posang*!DPI/180.
ra0=sxpar(h,'RA') & dec0=sxpar(h,'DEC')
;ra='20 35 0.75'  &  dec='+60 11 30.9'
ra='03 45 56.267'  &  dec='68 04 55.37'

xch=-(ratos(ra)-ratos(ra0))*cos(posar)*cos(detos(dec0)/206265.)+(detos(dec)-detos(dec0))*sin(posar)+double(field[0])/2.
ych=(ratos(ra)-ratos(ra0))*sin(posar)*cos(detos(dec0)/206265.)+(detos(dec)-detos(dec0))*cos(posar)+double(field[1])/2.
  ptb=sxpar(h,'ROTANGLE')
a=size(ima)
  lambda=l0+dl*dindgen(a[1])

if keyword_set(deline) then begin
  for k=0,a[2]-1 do begin
     ima_tmp=reform(ima(*,k))
     ima1=smooth(med_ext(ima_tmp,100),100)
     ima(*,k)=ima1
  ;   plot,lambda,ima_tmp
  ;   oplot,lambda,ima1,color=1000
  endfor
endif

  map=dblarr(field[0]*field[1])
  if a[2] gt 256 then ima=ima(*,a[2]-256:a[2]-1)
a=size(ima)
  for k=0,255 do begin
;     tmp=smooth(med_ext(reform(ima(*,k)),50),100)
     map[k]=total(ima(where(lambda gt min(range) and lambda lt max(range)),k))
 ;    plot,lambda,ima(*,k)
 ;    oplot,lambda,smooth(med_ext(reform(ima(*,k)),50),100),color=10000
  endfor
  map=reform(map,16,16)
xa=rebin(dindgen(field[1]),field[0],field[1],/sample)
ya=transpose(xa)

  set_plot,'x'
  loadct,27
  window,/free,xsize=320,ysize=320,title=objname+', '+strtrim(string(min(range)),2)+'..'+strtrim(string(max(range)),2)+'A'
  tvscl,rebin(rotate(map,7),320,320,/sample)
;   plotsym,0,4,color=-1
;   plots,xch,ych,psym=8,/data,color=-1,symsize=1.
;  drawne,.8,.8,posang,r=.1    
  drawaz,.8*field[0],.7*field[1],37-ptb,r=.1*field[1]   
loadct,0
set_plot,'ps'
  device,filename=wdir+out+'.ps',xsize=field[0]+5.,ysize=field[0]+5.
   map_plot=-rotate(alog(map+median(map)),7) 
  tvscl,map_plot,2.,2.,xsize=field[0],ysize=field[0],/cent
  contour,map_plot,xa,ya,pos=[2.,2.,2.+field[0],2.+field[1]]*1000,/noer,/nodata,/device
   plotsym,0,4,color=-1
   plots,xch,ych,psym=8,/data,color=-1,symsize=1.
  drawne,.8,.8,posang,r=.1    
  drawaz,.6,.4,37.-ptb,r=1.5    

   plotsym,0,4,color=-1
   plots,xch,ych,psym=8,/data,color=-1,symsize=1.
   
  device,/close
set_plot,'x'
  writefits,wdir+out+'.fts',reform(map,16,16),h
end
