function CROSS_C,A,B
 ; Cross-correlation between vectors A and B
 n=n_elements(A)
 shiftval=n/2 +(n mod 2)
 ; mean subtraction
 A=A-total(A)/n
 B=B-total(B)/n
 ; dispersion:
 covA=total(A^2/(n-1))
 covB=total(B^2/(n-1))
 ;FFT
 cross=shift(float(fft(fft(A)*conj(fft(B)),1)),shiftval)
 cross=cross/(sqrt(covA*covB))
 return,cross

END            ;CROSS_C
