pro cubd,aper
 if not(keyword_set(aper)) then read,aper,prompt='aperture - ?'
 r=(float(aper)-1)/2
 datafile=pickfile(/read,filter='~/MPFS/*.fts')
  
 set_plot,'X'
 window,0,title='Spectrum in the diaphragm'
 cube=readfits(datafile,h)
 tmp=fltarr(240)
 obj=fltarr(320,300)
 obj_1=fltarr(160,150)
 l0=float(sxpar(h,'CRVAL1'))
 dl=float(sxpar(h,'CDELT1'))
 stime=sxpar(h,'START')
 date=sxpar(h,'DATE-OBS')
 exp_time=sxpar(h,'EXPTIME')
 object=sxpar(h,'OBJECT')

 tmpall=total(cube,1)
 d=indgen(20)
 for i=0,239 do begin
  for j=0,19 do obj((i mod 16)*20+j,floor(i/16)*20+d)=tmpall(i) 
  for j=0,9 do obj_1((i mod 16)*10+j,floor(i/16)*10+d)=tmpall(i)
 endfor

 set_plot,'X'
 
 window,1,xsize=300,ysize=300,title='Object image'
 tv,bytscl(obj)
 sp=fltarr(1034)
be:
   wset,1
   x=0 & y=0
   cursor,x,y,1,/norm
   a=!MOUSE       
   sw=LONG(a.button)
   x=x*16 & y=y*15 
   print,x,y,r                                              ; mouse click-type
   sp=diaspect(cube,x-.5,y-.5,r)
   l=l0+dl*findgen(1034)
   set_plot,'X'   
   wset,0
   if sw eq 1 then plot,l,sp 
   if sw eq 1 then xyouts,l(500),max(sp),strcompress('x='+string(x,format='(F8.2)')+'  y='+string(y,format='(F8.2)'))
   if sw eq 1 then tv,bytscl(obj_1),.2,.65,/norm
if sw eq 1 then goto,be
if sw eq 2 then begin
 set_plot,'PS'
 device,file=strcompress('~/MPFS/trash/spect'+string(x,format='(F8.2)')+'-'+string(y,format='(F8.2)')+'.ps',/remove_all),/landscape,xoffset=1,yoffset=28
 sp=sp*1E+13
 plot,l,sp,title=date+' '+stime+' '+object+' exposure='+exp_time,xtitle='Wavelength (A)',ytitle='Flux, 10^-13 erg/cm^2/s/A', yrange=[0,2.]
 xyouts,l(500),1.8,strcompress('x='+string(x,format='(F8.2)')+'  y='+string(y,format='(F8.2)'))
 xyouts,l(500),1.5,'aperture = '+string(aper,format='(I2)')
 ;tv,255-bytscl(obj_1),.5,.5,xsize=.1,ysize=.1,/norm
 ;spawn,'mv idl.ps '+strcompress('spect'+string(x)+'-'+string(y)+'.ps',/remove_all)
 device,/close
endif
fin:
 set_plot,'X'
 wdelete
 wdelete
 wdelete
end
