pro deconv,fima,fpsf,wdir,method=method,nc=nc,outps=outps
  ima=readfits(wdir+fima,hi)
  s=size(ima)
  if not(keyword_set(method)) then method='max_likelihood'
  if not(keyword_set(nc)) then nc=1
  if not(keyword_set(outps)) then outps='deconv_hb.ps'
;  psf=readfits(wdir+fpsf,hp)
;  m=ima*0.
  psf=dblarr(5,5)
  sighma=1.35
  for k=0,4 do begin
    psf(k,*)=exp(-.5*(((dindgen(5)-2.)/sighma)^2+((double(k)-2.)/sighma)^2))
  endfor
  niter=200
  ima=ima/max(ima) & psf=psf/total(psf)
  test=ima*0.
  test[7,8]=1.
  test[5,5]=1.
;  ima=convol(test,psf)
  decim1=dblarr(nc*s[1],s[2])
for i=0,nc-1 do begin
  for k=0,niter-1 do begin
    if method eq 'max_likelihood' then max_likelihood, ima, psf, decim, FT_PSF=psf_ft,/GAUSSIAN  ;,/no_ft
    if method eq 'max_entropy' then max_entropy, ima, psf, decim, m, FT_PSF=psf_ft ;,/no_ft
;    m=replicate(1.,s[1],s[2])
;    print,min(decim),max(decim)
  endfor
  decim1(i*s[1]+indgen(s[1]),*)=decim
endfor

  imar=rebin(ima,s[1]*20,s[2]*20,/sample)
  decar=rebin(reform(decim1,s[1]*nc,s[2]),s[1]*20*nc,s[2]*20)
set_plot,'ps'
device,filename=wdir+outps
  tvscl,-decar
;  contour,ima,/overplot
device,/close
set_plot,'x'
end
