pro deline,wint,incube,wdir,w_n,w_b,a_n,a_b,ll0,w_ni

  decont,incube,wdir,'cont.fts',gf,sighmas,plot=1 
  obj=double(readfits(wdir+'obj_decont.fts',h))
  con=double(readfits(wdir+'cont.fts',h))

  a=size(obj)
  w=w_n
  dl=sxpar(h,'CDELT1')
  l0=sxpar(h,'CRVAL1')
  lambda=l0+dl*dindgen(a(1))		; wavelength grid

  pint=round((wint-l0)/dl)               ; boundary pixels...
  layer=dblarr(pint[1]-pint[0]+1,a(2))      ; area being analized
  newlayer=dblarr(pint[1]-pint[0]+1,a(2))
  fitni=dblarr(pint[1]-pint[0]+1,a(2))
  fit=dblarr(pint[1]-pint[0]+1,a(2))
  fmax=dblarr(a(2))
  flun=dblarr(a(2))
  fin=dblarr(a(2))
  layer=obj(pint[0]:pint[1],*)
  frat=max(total(layer,2))/total(obj)
 
  ll=lambda(pint[0]:pint[1])                 ; wavelength grid inside the area analized
  set_plot,'x'
  sighma=dblarr(3)
  for i=0,a(2)-1 do begin
    contlev=double(median([layer(0:3,i),layer(pint[1]-pint[0]-3:pint[1]-pint[0],i)],/even))
    fmax[i]=sqrt(2.*!DPI)*total(layer(where(ll ge ll0-10. and ll le ll0+10.),i)-contlev)/(a_n*w_n+a_b*w_b)    ;total(obj(*,i))*max(total(layer,2))/total(obj)
    fit(*,i)=fmax[i]*(a_n*exp(-.5*((ll-ll0)/(w_n/(2*sqrt(2*alog(2)))))^2)+a_b*exp(-.5*((ll-ll0)/(w_b/(2*sqrt(2*alog(2)))))^2))
plot,ll,layer(*,i)
oplot,ll,fit(*,i)+contlev
    newlayer(*,i)=layer(*,i)-fit(*,i)  ;-contlev    
    newlayer(where(abs(ll-ll0) lt 10.),i)=contlev
    nii=multigaus(ll,reform(newlayer(*,i)),[ll0+20.6,ll0+20.6],fwhm=[w_ni,w_ni],doubl_len=[-35.3,-35.3],doubl_ratio=[.333,.333],/fixratio,/fixfwhm,/fixpos)
    flun(i)=total(newlayer(*,i))        ;nii(0).flux+nii(1).flux
    fin(i)=nii(0).max+nii(1).max
    fitni(*,i)=fin(i)*(exp(-.5*((ll-(ll0+20.6))/(w_ni/(2*sqrt(2*alog(2)))))^2)+.333*exp(-.5*((ll-(ll0-14.7))/(w_ni/(2*sqrt(2*alog(2)))))^2))
  endfor

    plot,lambda(pint[0]:pint[1]),total(layer,2),/ylog  ;,yrange=[1.e-15,1.e-12]
    oplot,lambda(pint[0]:pint[1]),total(newlayer,2),linestyle=3,color=1900000
    oplot,lambda(pint[0]:pint[1]),total(fit+fitni,2),linestyle=2,color=131313
;    oplot,lambda(pint[0]:pint[1]),total(fitni,2),linestyle=2,color=10000000    

newobj=obj+con
newobj(pint[0]:pint[1],*)=newlayer+con(pint[0]:pint[1],*)
sxaddpar,h,'FILE',wdir+'deline_nii.fts'
sxaddpar,h,'COMMENT',' '
sxaddhist,'object spectrum with one line subtructed'
;sxaddpar,h,'CRVAL1',wint[0]
writefits,wdir+'deline_nii.fts',newobj,h

newobj=obj+con
newobj(pint[0]:pint[1],*)=fit+con(pint[0]:pint[1],*)
sxaddpar,h,'FILE',wdir+'deline_halpha.fts'
sxaddpar,h,'COMMENT',' H_alpha!!!'
sxaddhist,'object spectrum with [NII] 6548,6583 subtructed'
;sxaddpar,h,'CRVAL1',wint[0]
writefits,wdir+'deline_halpha.fts',newobj,h

sxaddpar,h,'FILE',wdir+'nii_f.fts'
sxaddhist,'object spectrum with one line subtructed - int. flux'
writefits,wdir+'nii_f.fts',reform(flun,16,16),h
  
end
