function detos,inst,inv=inv
  ; function converts string in 'HH MM SS.s...' format into double number of arcseconds et vice versa
  on_error,2
if not(keyword_set(inv)) then begin
  stmp=strsplit(inst,/ext)
  sign=double(1.)
  if double(stmp[0]) lt 0. then begin
     stmp=abs(stmp)
     sign=double(-1.)
  endif
  stmp_colon=double(strsplit(inst,':',/ext))
  if n_elements(stmp) ne 3 then begin
    if n_elements(stmp_colon) ne 3 then message,'wrong format!' else $
    stmp=stmp_colon
  endif
  dtmp=double(stmp[2])+60.*double(stmp[1])+3600.*double(stmp[0])
  out=dtmp*sign
endif else begin
  intmp=abs(inst)
  sign=intmp/inst
  tmp=[floor(intmp/3600.),floor(intmp/60.) mod 60, double(intmp mod 60.)]  
  out=[strtrim(string(tmp[0]*sign,format='(I10)'),2),strtrim(string(tmp[1],format='(I10)'),2),strtrim(string(tmp[2],format='(F12.3)'),2)]
  for k=0,1 do if strlen(out[k]) lt 2 then out[k]='0'+out[k]
  out_check=strsplit(out[2],'.')
  if strlen(out_check[0]) lt 2 then out[2]='0'+out[2]
  out=strjoin(out,' ')
  if strmid(out,0,1) ne '-' then out='+'+out
  if tmp[0] gt 90. then message,'DECLINATION OUT OF RANGE! '
endelse
 return,out
end
