pro diff_velt,wdir
  field=[16,16]
  xint=4+indgen(9) & yint=7+indgen(6)

  hav=readfits(wdir+'6563_V.FTS',hah)
  hbv=readfits(wdir+'4861_V.FTS',hah)
  ov=readfits(wdir+'oxv.FTS',oh)
  helv=readfits(wdir+'4686_V.FTS',helh)
  niv=readfits(wdir+'niv.FTS',helh)

  havd=readfits(wdir+'6563_dv.FTS',hah)
  hbvd=readfits(wdir+'4861_dv.FTS',hah)
  ovd=readfits(wdir+'oxdv.FTS',oh)
  helvd=readfits(wdir+'4686_dv.FTS',helh)
  nivd=readfits(wdir+'nidv.FTS',helh)

set_plot,'ps'
device,filename=wdir+'diff_velsweep.ps',/land
!p.multi=[0,2,1]
    plot,xint,ov(xint,yint[0])-hav(xint,yint[0]),title='v([OIII])-v(H!D!4a!N!x), km/s',psym=1,yrange=[-150.,50.],pos=[.1,.2,.5,.95],$
     ytitle='!4D!xv, km/s'
;       oplot,xint,replicate(0.,n_elements(xint)),psym=0,thick=.1
;    oplot,xint,ov(xint,yint[0])-hav(xint,yint[0]),thick=.1
    for k=1,n_elements(yint)-1 do begin
       oplot,xint,ov(xint,yint[k])-hav(xint,yint[k])+(yint[k]-yint[0])*0.,psym=1+k+(k ge 2)
;       oplot,xint,replicate((yint[k]-yint[0])*50.,n_elements(xint)),psym=0,thick=.1
;       oplot,xint,ov(xint,yint[k])-hav(xint,yint[k]),thick=.1
    endfor

    plot,xint,helv(xint,yint[0])-ov(xint,yint[0]),title='v(HeII)-v([OIII]), km/s',psym=1,yrange=[-150.,50.],pos=[.55,.2,.97,.95]
;    oplot,xint,helv(xint,yint[0])-hav(xint,yint[0]),thick=.1
    for k=1,n_elements(yint)-1 do begin
       oplot,xint,helv(xint,yint[k])-ov(xint,yint[k]),psym=1+k+(k ge 2)
;       oplot,xint,helv(xint,yint[k])-hav(xint,yint[k]),thick=.1
    endfor
!p.multi=0  
for k=0,n_elements(yint)-1 do begin
  plots,.08,k/50.+.05,psym=1+k+(k ge 2),/norm
  xyouts,.1,k/50.+.05,'y = '+strtrim(yint[k],2),/norm,charsize=.5
endfor
device,/close

device,filename=wdir+'diff_vel.ps'
  plot,xint,yint,yrange=[max(yint),min(yint)]

device,/close
set_plot,'x'

writefits,wdir+'hbha.fts',hbv-hav,hah
writefits,wdir+'oha.fts',ov-hav,hah
writefits,wdir+'niha.fts',niv-hav,hah
writefits,wdir+'ohb.fts',ov-hbv,hah
writefits,wdir+'heo.fts',helv-ov,oh
writefits,wdir+'hbha_dv.fts',hbvd+havd,hah
writefits,wdir+'oha_dv.fts',ovd+havd,hah
writefits,wdir+'ohb_dv.fts',ovd+hbvd,hah
writefits,wdir+'niha_dv.fts',nivd+hbvd,hah
writefits,wdir+'heo_dv.fts',helvd+ovd,oh
end
