pro discontrol,wdir,types,fwhm=fwhm,debug=debug

  if not(keyword_set(fwhm)) then fwhm=5.
  neon=readfits(wdir+'neon_lin.fts',hne)
  ane=size(neon)
  nesp=total(neon,2)
  lold=dindgen(ane[1])*sxpar(hne,'CDELT1')+sxpar(hne,'CRVAL1')
  w=1.*fwhm*sxpar(hne,'CDELT1')
  gain=sxpar(hne,'GAIN')
  nesp=nesp*gain

;read table of lines comparison spectrum
openr,1,'/usr/local/rsi/idl_6.0/external/mpfs_2K.lib/lines.tab';'/users/lfz/standards/lines.tab'      ;fhz4.dat'!!!!!!!!!!!!!!
 a=dblarr(3)
 readf,1,a
 table=a
 lines=a[0]
 weigth=a[1]
 intensity=a[2]
 WHILE NOT EOF(1) do begin
   readf,1,a
   table=[table,a]
   lines=[lines,a[0]]
   weigth=[weigth,a[1]]
   intensity=[intensity,a[2]]
 ENDWHILE
close,1
index=where(weigth ge 3. and lines lt max(lold-w) and lines gt min(lold+w))

lines=lines(index)  &  weigth=weigth(index)  &  intensity=intensity(index)  
weight2=dblarr(n_elements(lines))
Nl=n_elements(lines)
lcor=dblarr(Nl)

for k=0,Nl-1 do begin
  lec=lold(where(lold gt lines[k]-w and lold lt lines[k]+w))
  vec=nesp(where(lold gt lines[k]-w and lold lt lines[k]+w))
plot,lec,vec
  slope=(vec[n_elements(vec)-1]-vec[0])/(lec[n_elements(vec)-1]-lec[0])
  gfit=gaussfit(lec,vec,g,nterms=5,estimates=[max(vec)-min(vec),lines[k],w/2.35,min(vec)-slope*median(lec),slope])
oplot,lec,gfit,color=1000
  rms=sqrt(total((vec-gfit)^2)/n_elements(vec))
  flux=g[0]*abs(g[2])*sqrt(!DPI*2.)
 ; if sqrt(flux) le .5*rms then weight2[k]=0. else weight2[k]=1.
  lcor[k]=g[1]-lines[k]
endfor
; lines=lines(where(weight2 gt .5))  &  lcor=lcor(where(weight2 gt .5))
pc=goodpoly(lines,lcor,3.,3.,alfit,newl,newc)
pc=goodpoly(newl,newc,3.,1.,alfit)

c=double(3.e5)
set_plot,'ps'
 device,filename=wdir+'discor.ps'
  plot,lines,lcor*c/lines,psym=2,title='correction along dispersion ('+strtrim(string(Nl),2)+' lines used)',xtitle='wavelength, Angstroms',ytitle='!4D!3v, km/s',$
             yst=1,yrange=2.*[min(alfit),max(alfit)]*c/lines
  oplot,lines,poly(lines,pc)*c/lines,linestyle=3
 device,/close
set_plot,'x'

dl=poly(lold,pc)

lnew=lold-dl
if not(keyword_set(debug)) then begin
for q=0,n_elements(types)-1 do begin
  imq=readfits(wdir+types[q]+'_lin.fts',hq)
  imq1=imq
  a=size(imq)
  for k=0,a[2]-1 do begin 
     imq1(*,k)=interpol(imq(*,k),lnew,lold,/spline)
  endfor
  sxaddpar,hq,'DISPER','!'
  writefits,wdir+types[q]+'_lin.fts',imq1,hq
  writefits,wdir+types[q]+'_linsp.fts',total(imq1,2),hq
endfor
endif

  imq=readfits(wdir+'neon_lin.fts',hq)
  imq1=imq
  a=size(imq)
  for k=0,a[2]-1 do begin 
     imq1(*,k)=interpol(imq(*,k),lnew,lold,/spline)
  endfor
  writefits,wdir+'neon_lin2.fts',imq1,hq
 ; neonsp=diaspect(imq1(*,17:272),2.,/nosh,/nobgd)
 ; writefits,wdir+'neonsp.fts',neonsp,hq
end
