pro drawne,x,y,ang,r=r,color=color
  if not(keyword_set(color)) then color=0.
  if not(keyword_set(r)) then r=1.
  x1=x+r*sin(ang*!DPI/180.)
  y1=y+r*cos(ang*!DPI/180.)
  x2=x-r*cos(ang*!DPI/180.)
  y2=y+r*sin(ang*!DPI/180.)
  arrow,x,y,x1,y1,/normalized,hthick=50.*r,thick=70.*r,color=color,hsize=-.3  ;,charthick=70.*r
  arrow,x,y,x2,y2,/normalized,hthick=50.*r,thick=70.*r,color=color,hsize=-.3  ;,charthick=70.*r
  message,'P A = '+strtrim(string(ang),2)+'deg',/cont
  xyouts,x1+.3*r*sin(ang*!DPI/180.)-.2*r,y1+.3*r*cos(ang*!DPI/180.),'N',/normal,charsize=25.*r,charthick=70.*r,color=color
  xyouts,x2-.3*r*cos(ang*!DPI/180.)-.2*r,y2+.3*r*sin(ang*!DPI/180.),'E',/normal,charsize=25.*r,charthick=70.*r,color=color
end
