pro errorframe,log,ext=ext,full=full

if not(keyword_set(ext)) then ext='_i'

wdir=def_par(log,'W_DIR')
obj=readfits(wdir+'obj_i.fts',hi)
flat=readfits(wdir+'flat_i.fts',hf)
bias=readfits(wdir+'bias_i.fts',hb)

gain=sxpar(hi,'GAIN')
dobj=sqrt((obj+bias)*gain > 0.)/gain

writefits,wdir+'dobj_i.fts',dobj,hi
writefits,wdir+'ston_i.fts',obj/dobj,hi

if keyword_set(full) then begin
  if ext eq '_n' then FLAT_REDUCTION,log,'dobj'
  EXTRACT,log,5.88,'dobj',ext=ext

  if ext ne '_n' then begin
          FLAT_CUBE,log,'dobj','_s'
          FLAT_CUBE,log,'dobj','_ns'
          FLAT_CUBE,log,'dobj','_os'
  endif
  linerisation,log,'dobj',sky=0,cor=0
endif

end
