pro exspect_3d,infile,outfile=outfile,old=old

wdir=exdir(infile)

 f=readfits(infile,h,/sil)
a=size(f)  &  line=6562.83
if not(keyword_set(old)) then field=[16,16] else field=[16,15]
dl=sxpar(h,'CDELT1')  &  l0=sxpar(h,'CRVAL1')     &   posang=sxpar(h,'POSANG')
l=dindgen(a[1])*dl+l0

xar=-1  &  yar=-1
xarb=-1  &  yarb=-1

  cube=reform(f,a[1],field[0],field[1])
    fl=total(cube(where(abs(l-line) lt 20.),*,*),1)
 wkiller

n=20
x0=0 &  y0=0  &  lx=field[0]*n  &  ly=field[1]*n
set_plot,'x'
  window,0,xsize=lx,ysize=ly,xpos=500
 tvscl,-rebin(rotate(fl,7),field[0]*n,field[1]*n,/samp),x0,y0,xsize=lx,ysize=ly,/cent
  contour,fl,dindgen(field[0]),dindgen(field[1]),/noda,/xst,/yst,/noer,pos=[x0,y0,x0+lx,x0+ly],/dev,color=1000
  drawne,0.8,0.8,posang,r=0.01        ;;drawne,x,y,ang,r=r,color=color

  itar:
wset,0
 tvscl,rebin(rotate(fl,7),field[0]*n,field[1]*n,/samp),x0,y0,xsize=lx,ysize=ly,/cent
  contour,fl,dindgen(field[0]),dindgen(field[1]),/noda,/xst,/yst,/noer,pos=[x0,y0,x0+lx,x0+ly],/dev,$
   color=1000,xrange=[0.,field[0]]-0.5,yrange=[0.,field[1]]-0.5,tickl=0.
  drawne,0.8,0.8,posang,r=0.06        ;;drawne,x,y,ang,r=r,color=color

if total(xar)+total(yar) gt -1 then begin
  plotsym,8,3,thick=3.
    oplot,xar,yar,psym=8  ;,/data
endif
if total(xarb)+total(yarb) gt -1 then begin
  plotsym,8,3,thick=3.
    oplot,xarb,yarb,psym=8,color=1000  ;,/data
endif

; *****************
  cursor,x,y,2,/data
  m=!MOUSE
  sw=long(m.button)                                         ; mouse click-type    

x=x>(-0.49)
y=y>(-0.49)
x=x<(field[0]-0.51)
y=y<(field[1]-0.51)

  message,'x='+strtrim(string(nint(x),for='(I10)'),2)+'; y='+strtrim(string(nint(y),for='(I10)'),2),/cont

   if sw eq 0 then goto,itar
   if sw eq 1 then begin
     c=[x,y]
     c1=c
window,1,ysize=300,xsize=400,xpos=10,ypos=100
   xint=nint(x)  &  yint=nint(y)
     if total(xar) lt 0 then begin
       xar=[xint]  &  yar=[yint]
     endif else begin
       xar=[xar,xint]   &  yar=[yar,yint]
     endelse  

nel=n_elements(xar)
     sp=cube(*,xint,yint)*0.
     for q=0,nel-1 do sp=sp+cube(*,xar[q],yar[q])
     plot,l,sp,color=-1,/xst,title='one fiber spectrum: x='+xint+$
                ','+'y='+yint,xtitle='wavelength,Angstroms' ;;,ytitle='flux,'+uni
     goto,itar
   endif

   if sw eq 4 then begin
   window,1,ysize=300,xsize=500,xpos=10,ypos=100

   xint=nint(x)  &  yint=nint(y)
     if total(xarb) lt 0 then begin
       xarb=[xint]  &  yarb=[yint]
     endif else begin
       xarb=[xarb,xint]   &  yarb=[yarb,yint]
     endelse  

nelb=n_elements(xarb)
     spb=cube(*,xint,yint)*0.
     for q=0,nelb-1 do spb=spb+cube(*,xarb[q],yarb[q])
     plot,l,sp,color=-1,/xst,title='one fiber spectrum: x='+xint+$
                ','+'y='+yint,xtitle='wavelength,Angstroms' ;;,ytitle='flux,'+uni
     oplot,l,spb,color=1000
     goto,itar
   endif
wkiller

un=uniq(yar*field[0]+xar,sort(yar*field[0]+xar))
unb=uniq(yarb*field[0]+xarb,sort(yarb*field[0]+xarb))

xarb=xarb(unb)  &  yarb=yarb(unb)

nel=n_elements(xar)  &  nelb=n_elements(xarb) 
     sp=cube(*,xint,yint)*0.
     for q=0,nel-1 do sp=sp+cube(*,xar[q],field[1]-yar[q])
     spb=cube(*,xint,yint)*0.
     for q=0,nelb-1 do spb=spb+cube(*,xarb[q],field[1]-yarb[q])

lx=field[0]  &  ly=field[1]
x0=3.  & y0=2.

set_plot,'ps'
device,file=wdir+'exspect_3d_10.eps',/enc,/color,xsize=22,ysize=28,/port,xoffset=0,yoffset=0
loadct,0,/sil
 tvscl,rotate(fl,7),x0,y0,xsize=lx,ysize=ly,/cent
;loadct,27,/sil
  contour,fl,dindgen(field[0]),dindgen(field[1]),/noda,/xst,/yst,/noer,pos=[x0,y0,x0+lx,y0+ly]*1000,/dev,$
   color=1,xrange=[0.,field[0]]-0.5,yrange=[0.,field[1]]-0.5,charsize=2.,charthick=2.
loadct,0,/sil
;  drawne,0.8,0.4,posang,r=0.06,color=-1        ;;drawne,x,y,ang,r=r,color=color
loadct,27,/sil
 plotsym,8,4.5,thick=10.
    oplot,xar,yar,psym=8,color=60 ;,/data
    oplot,xarb,yarb,psym=8,color=170   ;,/data
loadct,0,/sil
plot,l,sp-spb*double(nel)/double(nelb),pos=[x0*1.5,y0*3.+ly,x0+lx*1.0,y0*2.+ly*2.0]*1000,/noer,$
  /dev,charsize=1.5,xtitle='wavelength,Angstroms',/xst,thick=1.,$
  charthick=3.
loadct,27,/sil
oplot,l,spb*double(nel)/double(nelb),color=160,thick=3.
loadct,0,/sil
oplot,l,sp-spb*double(nel)/double(nelb),thick=3.
device,/close
set_plot,'x'

sp1=sp-spb*double(nel)/double(nelb)
if not(keyword_set(outfile)) then outfile=wdir+'exspect_3d.fts'
;writefits,wdir+'exspect_3d.fts',sp1,h
writefits,outfile,sp1,h
end
