pro FLAT_FIL,LOGFILE
;
;+
; NAME:
;	division OBJ on FLAT
; PURPOSE:
; filter transmition determination
;-

on_error,2
wdir=DEF_WDIR(LOGFILE)

flat=READ_FTS(wdir+'flat_i.fts',SILENT='silent')
image=READ_FTS(wdir+'obj_i.fts',head_image,SILENT='silent')

image=image/flat
rec=where(finite(image) eq 0,counts)
if counts GT 0 then image(rec)=0.
print,counts
sxaddpar,head_image,'FILE','obj_n.fts'
writefits,wdir+'obj_n.fts',image,head_image
spawn,'copy neon_i.fts neon_n.fts'
end
