pro flux_comp,wdir,w_psf
  cd,wdir
  spawn,'ls *_F.FTS > flist'
  spawn,'ls *_f.fts >> flist'
  spawn,'rm table'
  close,1
  close,2
  openr,1,'flist'
  openw,2,'table'
 a=''
 flist=''
 readf,1,flist
  while not(eof(1)) do begin
    readf,1,a
    flist=[flist,a]
  endwhile
  probe=readfits(flist(0),hp)
  n_ima=n_elements(flist)
  s=size(probe)
  nx=s(1)
  ny=s(2)
  images=dblarr(nx,ny,n_ima)
  h=strarr(n_ima)
  w=dblarr(n_ima,2)
  dw=dblarr(n_ima,2)
  for i=0,n_ima-1 do begin
     images(*,*,i)=readfits(flist(i),h(i),/silent)
     image_norm=images(*,*,i)/total(images(*,*,i))
     image_fit=gauss2dfit(image_norm,G)
     rms=sqrt(total((image_norm-image_fit)^2))
     w(i,0)=(G(2))*sqrt(2*alog(2))
     w(i,1)=(G(3))*sqrt(2*alog(2))
     dw(i,*)=.01*round(w(i,*)*rms/total(image_fit)*100.)
     printf,2,'file ',flist(i), '   w_x=',strtrim(string(w(i,0)),2),'+/-',strtrim(string(.0001*round(10000.*dw(i))),2)+ $
'   w_y=',strtrim(string(w(i,1)),2),'+/-',strtrim(string(.0001*round(10000.*dw(i,1))),2)
  endfor
  close,1
  close,2
end
