pro hst_over_colha,pars
field=[16,16]
; resolve_all
; ra0=sxpar(hv,'RA') & dec0=sxpar(hv,'DEC')
rach='20 35 0.75'  &  dech='+60 11 30.9'
rai='20 35 0.754'  &  deci='+60 11 30.95'
rar='20 35 0.609'  &  der='+60 11 30.64'

dir1='/data3/MPFS_res/mf16/karty/'
madir='/data3/MPFS_res/mf16/' 
wdir='~/izo/'
file1=readfits(dir1+'acsha.fits',h1)
s1=size(file1)
; file11=file1
; if s1[0] gt 2 then file1=reform(file1(*,*,0))
file1=shift(file1,1,1)

file11=med_ext2(file1,7)
file1(where(file1 ge file11*5.))=file11(where(file1 ge file11*5.))
file1=file1>0.
; file1(where(abs(file1-file11) ge .1))=file11(where(abs(file1-file11) ge .1))
; file1=file11
getrot,h1,pos1,sc

hrot,file1,h1,file1_1,h1_1,pos1,-1,-1,1
hextract,file1_1,h1_1,file2,h2,294,418,152,250
; file2=file1_1  &  h2=h1_1
 a1=size(file2)
;  file2=smooth(file2,3)

ra0_deg=ratos(rach)/3600.  &  dec0_deg=detos(dech)/3600.
; adxy,h2,ra0_deg,dec0_deg,xch,ych  ;  ??

m=10000.
x0=8.
lx=(a1[1]*sc[0])*m
ly=(a1[2]*sc[1])*m
y0=x0+.5*(lx-ly)
;Lxr=3.*a2[1]*m
;Lyr=3.*a2[2]*m
 adxy,h2,ratos(rai)/double(3600.),detos(deci)/double(3600.),xi,yi
 adxy,h2,ratos(rach)/double(3600.),detos(dech)/double(3600.),xch,ych
 adxy,h2,ratos(rar)/double(3600.),detos(der)/double(3600.),xr,yr
 s2=size(file2)


cx=(x0+lx/2.) & cy=(y0+ly/2.)
cx=cx
cy=cy
xch=lx*xch/double(s2[1])  &  ych=ych*ly/double(s2[2])
xr=lx*xr/double(s2[1])  &  yr=yr*ly/double(s2[2])
xi=lx*xi/double(s2[1])  &  yi=yi*ly/double(s2[2])

set_plot,'ps'
loadct,0
 device,filename=wdir+'hst_over_colha.ps',xsize=lx+2*x0,ysize=ly+2*y0,/landscape,/color
  loadct,33
  tvscl,-alog(file2+median(file2)*2.),x0,y0,xsize=lx,ysize=ly,/cent
 ; tvscl,file2,x0,y0,xsize=lx,ysize=ly,/cent
loadct,0
  imcontour,file2,h2,/type,pos=[x0/(lx+2*x0),y0/(ly+2*y0),(x0+lx)/(lx+2*x0),(y0+ly)/(ly+2*y0)],/norm,xst=1,yst=1,/noerase,/nodata,$
       charsize=2.,subtit=' ',charthick=3.
 ;   plots,(x0+xi)/(lx+2*x0),(y0+yi)/(ly+2*y0),psym=2,color=-1,/norm,symsize=3.
    plotsym,0,8,color=1,thick=5.
    plots,(x0+xch)/(lx+2*x0),(y0+ych)/(ly+2*y0),psym=8,color=1,/norm
    eldraw,(x0+xr)/(lx+2*x0),(y0+yr)/(ly+2*y0),2.1*1.5/(lx+2.*x0),1.1*1.5/(ly+2.*y0),posang=50.
 device,/close
set_plot,'x'

end
