pro lc_prof,llist,wdir
  cd,wdir
  cont=double(readfits('cont_f.fts',h))
  a=size(cont)
  lines=dblarr(n_elements(llist),a(1),a(2))
  for i=0,n_elements(llist)-1 do lines(i,*,*)=double(readfits(strtrim(string(fix(llist(i))),2)+'_F.FTS',h))
  cont_int=total(cont,2)
  maxx=max(cont_int,xmax)
  set_plot,'x'
  plot,cont(xmax,*)/max(cont(xmax,*)),/ylog
  for j=0,n_elements(llist)-1 do oplot,lines(j,xmax,*)/max(lines(j,xmax,*)),linestyle=2
  
  obj=double(readfits('obj_abs.fts',h))
  obj=obj/max(obj)
  a=size(obj)
  fwhm=dblarr(a(1))
  monomap=dblarr(16,15)
  monofit=dblarr(16,15)
  smobj=dblarr(a(1),a(2))
  for l=0,a(2)-1 do smobj(*,l)=smooth(obj(*,l),1)
  for k=0,a(1)-1 do begin
    monomap=reform(smobj(k,*),16,15)
    monofit=gauss2dfit(monomap,G)
    fwhm(k)=min([G(3),G(2)])*2*sqrt(2*alog(2))
  endfor
  dl=sxpar(h,'CDELT1')
  l0=sxpar(h,'CRVAL1')
  lambda=l0+dl*dindgen(a(1))		; wavelength grid  
  window,/free 
  plot,lambda,fwhm,yrange=[1.7,2.2],xrange=[6600.,6700.]
end
