function lw_def,list,wdir
  n_l=n_elements(list)
  out=strtrim(string(round(list)),2)
  h=strarr(n_l)
  probe=readfits(wdir+out(0)+'_W.FTS',h(0))
  a=size(probe)
  fwhm=dblarr(a(1),a(2),n_l)
  flux=dblarr(a(1),a(2),n_l)
  for k=0,n_l-1 do begin 
    fwhm(*,*,k)=readfits(wdir+out(k)+'_W.FTS',h(k))
    flux(*,*,k)=readfits(wdir+out(k)+'_F.FTS',h(k))
    flux(*,*,k)=flux(*,*,k)/max(flux(*,*,k))
  endfor
  w=total(flux*fwhm)/total(flux)
  message,'average FWHM for sky lines = '+strtrim(string(w),2),/cont
  return,w
end
