pro make_log,name,indir,outdir,objname,z=z
if not(keyword_set(z)) then z=0.00000

;    cd,indir,current=curd
;    spawn,'cp ~/predir .'
;    spawn,'./predir'
;    spawn,'rm *ZIP'

biaslist=dialog_pickfile(filter=indir+'*FTS',/multiple_files,title='select files containing bias')
objlist=dialog_pickfile(filter=indir+'*FTS',/multiple_files,title='select files containing object exposures')
starlist=dialog_pickfile(filter=indir+'*FTS',/multiple_files,title='select files containing star exposures')
neonlist=dialog_pickfile(filter=indir+'*FTS',/multiple_files,title='select files containing neon exposures')
flatlist=dialog_pickfile(filter=indir+'*FTS',/multiple_files,title='select files containing flatfields')
testlist=dialog_pickfile(filter=indir+'*FTS',/multiple_files,title='select files containing sunsky exposures')
etalist=dialog_pickfile(filter=indir+'*FTS',/multiple_files,title='etalon exposures for object')
etastarlist=dialog_pickfile(filter=indir+'*FTS',/multiple_files,title='etalon exposures for star')

sl=strlen(biaslist[0])

night=strmid(objlist[0],sl-10,4)
ext=strtrim(strmid(objlist[0],sl-4,4))

sl=strlen(biaslist[0])
objim=readfits(objlist[0],ho)
sp0=sxpar(ho,'SPERANGE')
dl0=strtrim(string(1.45*600./float(strmid(sxpar(ho,'DISPERSE'),6,3)),format='(F6.3)'),2)

objall=concar(strmid(objlist,sl-6,2),sep=',')  &  starall=concar(strmid(starlist,sl-6,2),sep=',')  &  testall=concar(strmid(testlist,sl-6,2),sep=',')
flatall=concar(strmid(flatlist,sl-6,2),sep=',')  &  neonall=concar(strmid(neonlist,sl-6,2),sep=',')  &  etall=concar(strmid(etalist,sl-6,2),sep=',')
biasall=concar(strmid(biaslist,sl-6,2),sep=',')  &  etastarall=concar(strmid(etastarlist,sl-6,2),sep=',')

mkhdr,header,''

  sxaddpar,header,'EXT',ext,' FILES EXTENSION',before='SIMPLE'
  sxaddpar,header,'R_DIR',indir,'  DIRECTORY FOR READING DATA'
  sxaddpar,header,'W_DIR',outdir,'        DIRECTORY FOR WRITING DATA'
  sxaddpar,header,'NIGTH',night,before='EXT','		NUMBER OF THE OBSERVATION NIGHT'
  sxaddpar,header,'TABLE',dialog_pickfile(filter='~/standards/*dat'),'	'
  sxaddpar,header,'OBJ',objall,'      NUMBERS OBJECT FILES'
  sxaddpar,header,'STAR',starall,'      NUMBERS STAR FILES' 
  sxaddpar,header,'BIAS',biasall,'      NUMBERS BIAS FILES'
  sxaddpar,header,'NEON',neonall,'      NUMBERS NEON FILES'
  sxaddpar,header,'FLAT',flatall,'      NUMBERS FLAT FILES'
  sxaddpar,header,'ETA',etall,'   ETALON FILES for OBJECT'
  sxaddpar,header,'ETA_STAR',etastarall,'      ETALON FILES for STAR'
  if testall ne 'IN' then sxaddpar,header,'TEST',testall,'      NUMBERS TEST FILES'
  sxaddpar,header,'INP_WAVE',sp0+','+dl0,'      NUMBERS TEST FILES'
 if n_elements(h2) gt 1 then sxaddpar,header,'TABLE ',std,'    FILENAME MAG TABLE STANDARD STAR'
  sxaddpar,header,'Z_SYS',z,'        System redshift'
header[0]='NIGTH   =  '+night+'                             / NUMBER OBSERVING NIGTH'
header[1]='EXT     =  '+ext+'                           / EXTENTION DATA FILE'

  openw,1,indir+name
    printf,1,header
  close,1
end
