; removed bags in SPLINE mode ( A.Moiseev )
; L'etat c'est Mois

function MANUAL_FIT,vector,lambda,SPLINE_SET=spline_set

n=n_elements(vector)
ymax=max(med_ext(vector(200:n-200),10))
ymin=min(med_ext(vector(200:n-200),10))
N_lin=N_elements(lambda)
window,0,xpos=0,ypos=300,xs=700,ys=400
plot,lambda,vector,xst=1,yst=1,$
	xrange=[lambda(0),lambda(N_lin-1)],yrange=[ymin,ymax],$
	position=[0.1,0.1,0.95,0.95],/norm
;set transformation coefficients
d_lambda=(lambda(N_lin-1)-lambda(0))/0.85
d_flux=(ymax-ymin)/0.85
sw=1
x_out=0 & y_out=0
xpre=0 & ypre=0
be:
x=0 & y=0
if sw eq 4 then goto,final
cursor,x,y,1,/norm
a=!MOUSE       
sw=LONG(a.button)                                               ; mouse click-type
if xpre ne x and ypre ne y then begin
  if sw eq 1 then  xyouts,x-0.013,y-0.013,'+',charsize=2,/norm
  if sw eq 1 then x_out=[x_out,x]                                  ;  manual coordinates
  if sw eq 1 then y_out=[y_out,y]
  xpre=x & ypre=y
endif
if sw eq 1 then goto,be

final:
b=where(x_out ne 0 and y_out ne 0)
x_out=x_out(b) & y_out=y_out(b)
x_out=(x_out-0.1)*d_lambda+lambda(0)
y_out=(y_out-0.1)*d_flux+ymin
y_out=y_out(sort(x_out))                     ; sorted arrays by x_out ascending
x_out=x_out(sort(x_out))
curve=INTERPOL(y_out,x_out,lambda)
help,x_out,y_out,lambda                                           ; info on variables
if keyword_set(spline_set) then curve=SPLINE(x_out,y_out,lambda)
oplot,lambda,curve
return,curve
end
