pro ns_cor,infile,outfile,lns,wdir,w=w
  loadct,27
  if not(keyword_set(w)) then w=20.
  ima=readfits(infile,h)
wnf=where(1-finite(ima),nnf)
if nnf gt 0 then ima(wnf)=0.
;  nsq=sxpar(h,'NSCOR',count=c)
;  if c gt 0 then goto,over
  dl=sxpar(h,'CDELT1')  &  l0=sxpar(h,'CRVAL1')
  a=size(ima)
  l=dindgen(a[1])*sxpar(h,'CDELT1')+sxpar(h,'CRVAL1')  
  y=dindgen(a[2])*sxpar(h,'CDELT2')+sxpar(h,'CRVAL2')  
  lns=lns(where(lns lt max(l)-15. and lns gt min(l)+15.))
  tr=dblarr(a[2])  &  lcor=dblarr(a[2]) &  fwhm=dblarr(a[2])
  ima1=ima
m=total(ima)/double(n_elements(ima))

  for k=0,a[2]-1 do begin
    wv=where(l gt min(lns)-w  and l lt min(lns)+w)
    lv=l(wv)  &  vector=reform(ima(wv,k))
     
    maxv=max(vector,mev)    

    fiver=gaussfit(lv,vector/m,g,nterms=4)*m  ;,estimates=[max(vector)-min(vector),lv(mev),2.5,0.])*1.e-16
 ;   contl=median([vector(0:2),vector(n_elements(vector)-3:n_elements(vector)-1)])

    disp=total((vector-fiver)^2)/n_elements(lv)
    resid=(vector-fiver-min(vector))^2
    wr=where(resid le 2.*disp or vector le 4.*median(vector))
 ;   fiver=gaussfit(lv(wr),vector(wr)/m,g1,nterms=4,estimates=g)*m
    plot,lv,vector,color=-1,psym=2
    oplot,lv,fiver,color=1000
;    if k eq 134 then message,'!'
    tr[k]=sqrt(2.*!DPI)*g[0]*abs(g[2])
    lcor[k]=g[1]-min(lns)
    fwhm[k]=g[2]*sqrt(8.*alog(2.))
;    ima1(*,k)=interpol(ima(*,k),l,l+lcor[k],/spline) ;/tr[k]
  endfor
  ima1=ima1 ;*median(tr)
;  tvscl,rebin(reform(tr(17:a[2]-1),16,16),320,320)

lcorpars=goodpoly(y,lcor,4,2.,lfit)
fwhmpars=goodpoly(y,fwhm,4,2.,wfit)

set_plot,'ps'
 device,file=wdir+'nscor_'+strtrim(string(min(lns),for='(I10)'),2)+'.eps',/land,xsize=25,ysize=20,xoffset=0, yoffset=25,/enc
  !p.multi=[0,1,2]
loadct,0,/sil
   plot,y,2.9979d5*(lcor/min(lns)),xtitle='coordinate along the slit, arcsec',$
     ytitle='Sky line (!4k!3'+strtrim(string(min(lns),for='(I10)'),2)+') shift, km/s',$
     thick=2.,charsize=1.5,charthick=3.,/yst,psym=2,symsize=0.25
loadct,27,/sil
   oplot,y,2.9979d5*(lfit/min(lns)),color=1000,thick=3.
loadct,0,/sil
   plot,y,2.9979d5*(fwhm/min(lns)),xtitle='coordinate along the slit, arcsec',$
     ytitle='Sky line (!4k!3'+strtrim(string(min(lns),for='(I10)'),2)+') FWHM, km/s',$
     thick=2.,charsize=1.5,charthick=3.,/yst,psym=2,symsize=0.25
loadct,27,/sil
   oplot,y,2.9979d5*(wfit/min(lns)),color=1000,thick=3.
loadct,0,/sil
  !p.multi=0
 device,/close
set_plot,'x'

for k=0,a[2]-1 do ima1(*,k)=interpol(ima(*,k),l-lfit[k],l) ;/tr[k],/spline

  sxaddpar,h,'NSCOR','dispersion curve correction using night sky lines'
  sxaddpar,h,'NSCOR','average value '+strtrim(string(median(lcor)),2)
  writefits,outfile,ima1,h
;  analine,outfile,5577.345,wdir,w=20.
 ; transmap=readfits(wdir+'5577_F.FTS',h,/sil)
 ; tr0=(max(tr)-min(tr))/median(tr)
 ; tr1=(max(transmap)-min(transmap))/median(transmap)
 ; message,'transparency homogeneity improved form '+strtrim(string(tr0*100,format='(F5.2)'),2)+$
 ;              '% to '+strtrim(string(tr1*100,format='(F5.2)'),2)+'%',/cont
  over:
  loadct,0
end
