pro otha,wdir,colt=colt

if not(keyword_set(colt)) then colt=0
  file1=wdir+'oxa.FTS'  &  file2=wdir+'4861_F.FTS'  &  haf=wdir+'hahb.fts'
  field=[16,16]
  ima2=rotate(readfits(file2,h2),7)
  ima1=rotate(readfits(file1,h1),7)
  hahb=rotate(readfits(haf,hha),7)
  posang=sxpar(h1,'POSANG')

  x=rebin(dindgen(field[0]),field[0],field[1])
  y=transpose(x)

ima1=smooth(med_ext2(ima1,3),3)
ima2=smooth(med_ext2(ima2,3),3)

av=hahb_to_av(hahb)
ccm_unred,replicate(4995.,n_elements(ima1)),ima1,av/3.1,ima1_1
ccm_unred,replicate(4861.33,n_elements(ima2)),ima2,av/3.1,ima2_1

ima1_1=ima1  &  ima2_1=ima2

fr=reform(ima1_1/ima2_1,field[0],field[1])
; fr=reform(ima1/ima2,field[0],field[1])

 fr(where(ima2 le 1.e-17 or x lt 1 or y lt 1))=0.
; fr=rotate(fr,7)
fr=smooth(fr,3)

w1=where((x ge 1. or y ge 3.) and x lt 14. and y gt 0. and y le 12.)
fr1=fr(w1)  &  x1=x(w1)  &  y1=y(w1)

  lev_frac=(10d)^(dindgen(400)*0.01-3.)
  lev_frac1=dindgen(10)

  set_plot,'x'
;  xloadct

  contour,fr>0.,x,y,levels=lev_frac,c_annotation=strtrim(string(lev_frac,format='(F6.3)'),2),xst=1,yst=1,/fill,yrange=[max(y),min(y)] 

  drawne,.8,.8,posang,r=.1
  posar=posang*!DPI/180.

ra0=sxpar(h1,'RA') & dec0=sxpar(h1,'DEC')
ra='20 35 0.75'  &  dec='+60 11 30.9'

xch=-(ratos(ra)-ratos(ra0))*cos(posar)*cos(detos(dec0)/206265.)+(detos(dec)-detos(dec0))*sin(posar)+double(field[0])/2.
ych=(ratos(ra)-ratos(ra0))*sin(posar)*cos(detos(dec0)/206265.)+(detos(dec)-detos(dec0))*cos(posar)+double(field[1])/2.
loadct,0
   plotsym,0,4,color=-1
   plots,xch,15.-ych,psym=8,/data,color=-1,symsize=1.
post=[3.,3.,3.+field[0],3.+field[1]]*1000.

set_plot,'ps'
device,filename=wdir+'otha.ps',xsize=5.+field[0],ysize=5.+field[1],/color
;    tvlct,[0,255,0,0],[0,0,255,0],[0,0,0,255]
loadct,colt
    contour,fr,x,y,levels=lev_frac,/fill,xst=1,yst=1,/follow,pos=post,/dev,$ ; title='[O III] 5007,4959'+string("305B)+' / H!D!4a!N!3, 3X3 smoothed'
                 charsize=2.5,charthick=3.  ;,yrange=[max(y),min(y)]     
   plotsym,0,4,color=-1
   plots,xch,ych,psym=8,/data,color=-1,symsize=1.,thick=5.
loadct,0
    contour,fr1,x1,y1,levels=lev_frac1,/downhill,/over,c_annotation=strtrim(string(lev_frac1,format='(F6.3)'),2),$
             c_charsize=1.5,c_charthick=3.,/irr
;  drawne,.8,.75,posang,r=.08   
   plotsym,0,4,color=-1,thick=10.
   plots,xch,ych,psym=8,/data,color=1,symsize=1.

device,/close
set_plot,'x'

writefits,wdir+'otha.fts',fr,h1
sxaddpar,h1,'IMAGETYP','extinction map'
writefits,wdir+'av.fts',rotate(av,7),h1

end
