pro overlap,pars
field=[16,16]
; resolve_all
; ra0=sxpar(hv,'RA') & dec0=sxpar(hv,'DEC')
rach='20 35 0.75'  &  dech='+60 11 30.9'

wdir='/buf/karty/'  &  madir='~/mf16/'
file1=readfits(wdir+'u09wwc.fits',h1)
file2=readfits(madir+'oxa.FTS',h2)
file3=readfits(madir+'4686_F.FTS',h3)
s1=size(file1)
file11=file1
if s1[0] gt 2 then file1=reform(file1(*,*,0))

file1_1=med_ext2(file1,7)
w1=where((file1-file1_1) gt 200. or (file1-file1_1) lt -50.)
mask=replicate(double(0.),s1[1],s1[2])
mask(w1)=1.
mask=mask+shift(mask,1,1)+shift(mask,1,-1)+shift(mask,-1,1)+shift(mask,-1,-1)+$
  shift(mask,0,1)+shift(mask,0,-1)+shift(mask,-1,0)+shift(mask,1,0)
w1=where(mask gt 0.)
file1(w1)=file1_1(w1)
; file1(where(file1 gt 1350.))=file1_1(where(file1 gt 1350.))
; file1(where(file1 lt 1170.))=file1_1(where(file1 lt 1170.))
; file1(where(file1 lt file1_1-10.))=file1_1(where(file1 lt file1_1-10.))
file2=med_ext2(file2,3)
; file3=smooth(med_ext2(file3,3),3)

;ra1=ratos(sxpar(h1,'RA'),delim=':')
;dec1=detos(sxpar(h1,'DEC'),delim=':')
a1=size(file1)
a2=size(file2)

ra2=ratos(sxpar(h2,'RA'))
dec2=detos(sxpar(h2,'DEC'))
posang=sxpar(h2,'POSANG')
posar=posang*!DPI/180.
im2=replicate(-1000.,3*a2[1],3*a2[2])
im2(a2[1]:2*a2[1]-1,a2[2]:2*a2[2]-1)=file2
im3=replicate(-1000.,3*a2[1],3*a2[2])
im3(a2[1]:2*a2[1]-1,a2[2]:2*a2[2]-1)=file3
getrot,h1,pos1
im2=rebin(rot(rotate(rebin(im2,30*a2[1],30*a2[2]),7),-posang-pos1,/int),30*a2[1],30*a2[2])
 im3=rebin(rot(rotate(rebin(im3,30*a2[1],30*a2[2]),7),-posang-pos1,/int),30*a2[1],30*a2[2])

x2=rebin(dindgen(30*a2[2]),30*a2[1],30*a2[2],/sample)
y2=transpose(x2)

extast,h1,ast1,noparat

sc1=sxpar(h1,'SECPIX1')  &  sc2=sxpar(h1,'SECPIX2')

; x1=(dindgen(a1[1])-double(a1[1]/2.)-ra2+ra1)*sc1
; y1=(dindgen(a1[2])-double(a1[2]/2.)-dec2+dec1)*sc2

; im2_1=interpolate(im2,x1,y1,/grid)
; im2_1=im2
m=.4

x0=1.
y0=3.
lx=(a1[1]*sc1)*m
ly=(a1[2]*sc2)*m
Lxr=3.*a2[1]*m
Lyr=3.*a2[2]*m

cx=(x0+lx/2.) & cy=(y0+ly/2.)
dx=2.*2. & dy=1.2*2.
cx=cx
cy=cy

pos2=[(cx-Lxr/2.),(cy-Lyr/2.),(cx+Lxr/2.),(cy+Lyr/2.)]

  posang=sxpar(h2,'POSANG')
xa=rebin(dindgen(field[1]),field[0],field[1],/sample)
ya=transpose(xa)

      posar=posang*!DPI/180.
ra0=sxpar(h2,'RA') & dec0=sxpar(h2,'DEC')
ra='20 35 0.737'  &  dec='+60 11 30.83'

xch=(ratos(ra0)-ratos(ra))*cos(detos(dec0)/206265.)*m+.55*m
ych=(detos(dec)-detos(dec0))*m+.6*m

; xloadct
set_plot,'ps'
 device,filename=madir+'cfht_u.ps',xsize=lx+2*abs(dx)+2*x0,ysize=ly+2*abs(dy)+2*y0,/landscape
  loadct,0
  tv,bytscl(-file1),x0+dx*m,y0+dy*m,xsize=lx,ysize=ly,/cent
  imcontour,file11,h1,/type,pos=[x0+dx*m,y0+dy*m,x0+lx+dx*m,y0+ly+dy*m]*1000.,/device,xst=1,yst=1,/noerase,/nodata,$
       charsize=1.5,subtit=' ',charthick=2.5
  contour,im2,pos=pos2*1000.,/device,/noerase,xstyle=5,ystyle=5,$
   levels=[-1.],c_colors=[0],c_thick=[5.]
;  contour,im3,pos=pos2*1000.,/device,/noerase,xstyle=5,ystyle=5,color=-1,$
;   levels=total(file3)*10^(.2*dindgen(10)-1.5),/iso,c_thick=replicate(2.,10),c_linestyle=replicate(2,10)
   loadct,33
    plotsym,0,1.5,color=-1,thick=1.
    plots,(cx+xch)*1000,(cy+ych)*1000,dec,psym=8,color=-1,/device
   loadct,0
 device,/close
set_plot,'x'

end
