pro oxha,file1,file2,wdir
  field=[16,16]
  ima2=rotate(readfits(file2,h2),7)
  ima1=rotate(readfits(file1,h1),7)

  posang=sxpar(h1,'POSANG')

  x=rebin(dindgen(field[0]),field[0],field[1])
  y=rotate(transpose(x),7)

ima1=smooth(med_ext2(ima1,3),3)
ima2=smooth(med_ext2(ima2,3),3)

fr=ima1/ima2
; fr(where(ima2 le 1.e-17))=10.

  lev_frac=dindgen(100)*.01+0.
  lev_frac1=dindgen(10)*.2+0.

  set_plot,'x'
;  xloadct

  contour,fr,x,y,levels=lev_frac,c_annotation=strtrim(string(lev_frac,format='(F6.3)'),2),xst=1,yst=1,/fill,yrange=[max(y),min(y)] 

  drawne,.8,.8,posang,r=.1
  posar=posang*!DPI/180.

ra0=sxpar(h1,'RA') & dec0=sxpar(h1,'DEC')
ra='20 35 0.737'  &  dec='+60 11 30.83'

xch=-(ratos(ra)-ratos(ra0))*cos(posar)*cos(detos(dec0)/206265.)+(detos(dec)-detos(dec0))*sin(posar)+double(field[0])/2.
ych=(ratos(ra)-ratos(ra0))*sin(posar)*cos(detos(dec0)/206265.)+(detos(dec)-detos(dec0))*cos(posar)+double(field[1])/2.
   plotsym,0,4,color=-1
   plots,xch,15.-ych,psym=8,/data,color=-1,symsize=1.

set_plot,'ps'
device,filename=wdir+'oxha.ps',xsize=16,ysize=16,/color
;    tvlct,[0,255,0,0],[0,0,255,0],[0,0,0,255]
; loadct,33
    contour,fr,x,y,levels=lev_frac,/fill,xst=1,yst=1,/follow,$
          title='[O III] 5007, 4959 '+string("305B)+' / H!D!4a!x!N, 3X3 smoothed',yrange=[max(y),min(y)]     
;loadct,0
    contour,fr,x,y,levels=lev_frac1,/downhill,/noer,c_annotation=strtrim(string(lev_frac1,format='(F6.3)'),2),yrange=[max(y),min(y)]
  drawne,.8,.8,posang,r=.1   
   plotsym,0,4,color=-1
   plots,xch,15.-ych,psym=8,/data,color=-1,symsize=1.

device,/close
set_plot,'x'

writefits,wdir+'oxha.fts',fr,h1

end
