function poly2d,x,y,coeffs
  s=size(coeffs)
  dimx=n_elements(x)  &  dimy=n_elements(y)
  if s[0] ne 2 then message,'incorrect coeff. array dimentions!'
  if dimx ne dimy  then message,'incorrect data dimentions!'
  z=replicate(double(0.),dimx)
  for i=0,s[1]-1 do begin
    for j=0,s[2]-1 do begin
      for k=0,dimx-1 do z=z+coeffs[i,j]*x^i*y^j
    endfor
  endfor
  return,z
end
