function ratos,inst,inv=inv,delim=delim
  ; function converts string in 'HH MM SS.s...' format into double number of arcseconds 
  ; (i e number of seconds is multiplied by 15.) and vice versa

if not(keyword_set(inv)) then begin
  stmp=double(strsplit(inst,' ',/ext))
  stmp_colon=double(strsplit(inst,':',/ext))
  if n_elements(stmp) ne 3 then begin
    if n_elements(stmp_colon) ne 3 then message,'wrong format!' else $
    stmp=stmp_colon
  endif
  dtmp=double(stmp[2])+60.*double(stmp[1])+3600.*double(stmp[0])
  out=dtmp*15.
endif else begin
  while inst lt 0. do inst=inst+3600.*360d
  intmp=inst/15. mod 86400.
  tmp=[floor(intmp/3600.),floor(intmp/60.) mod 60, double(intmp mod 60.)]  
  out=[strtrim(string(tmp[0],format='(I10)'),2),strtrim(string(tmp[1],format='(I10)'),2),strtrim(string(tmp[2],format='(F12.3)'),2)]
  for k=0,1 do if strlen(out[k]) lt 2 then out[k]='0'+out[k]
    if strpos(out[2],'.',/reverse_offse) eq 0 then out[2]='00'+out[2]
    if strpos(out[2],'.',/reverse_offse) eq 1 then out[2]='0'+out[2]
  out_check=strsplit(out[2],'.')
  if strlen(out_check[0]) lt 2 then out[2]='0'+out[2]
  if not(keyword_set(delim)) then delim=' '
  out=strjoin(out,delim)
;  if strmid(out,0,1) ne '-' then out='+'+out
endelse
 return,out
end
