pro rem_sca,imtype,wdir
  ima=readfits(wdir+imtype+'_i.fts',hi,/silent)
  sca=readfits(wdir+'sca.fts',hs,/silent)
  s=size(sca)
  if s[0] le 1 then begin
    scalight,wdir+'eta_i.fts',wdir
    sca=readfits(wdir+'sca.fts',hi,/silent)
  endif
  s=size(sca)
  
  region=where((indgen(s[2]) le 125 and indgen(s[2]) gt 5) or (indgen(s[2]) le 2045 and indgen(s[2]) gt 1965))

;  frac=ima(5:2060,region)/sca(5:2060,region)
;  frac=frac(where(sca(5:2060,region)*ima(5:2060,region) gt 0))
;  frac=frac(not(finite(frac,/infinity)))

;  robomean,frac,1.,1.e-8,mean,mind,rms,var,skew,kurt,nfinal,new
;  mean=1.
mean=total(ima(5:2060,region))/total(sca(5:2060,region))
  ima=ima-sca*mean
  message,imtype+'-file...',/cont
  message,'scattered light removed with a constant '+strtrim(string(mean),2)+' relative to etalon file',/cont
  sxaddhist,'scattered light excluded using rem_sca procedure',hi
  writefits,wdir+imtype+'_is.fts',ima,hi
end
