pro rgb3plus1,filered,filegreen,fileblue,filecon,smooth=smooth

field=[16,16]

fr=rotate(readfits(filered,hr),7)
fg=rotate(readfits(filegreen,hg),7)
fb=rotate(readfits(fileblue,hb),7)
if n_params() gt 3 then fc=rotate(readfits(filecon,hc),7)

posang=sxpar(hr,'POSANG')

if keyword_set(smooth) then begin
  fr=smooth(fr,3)
  fg=smooth(fg,3)
  fb=smooth(fb,3)
  if n_params() gt 3 then fc=med_xy(fc,3)
;  fr(*,field[1]-1)=fr(*,field[1]-2)
;  fg(*,field[1]-1)=fg(*,field[1]-2)
;  fb(*,field[1]-1)=fb(*,field[1]-2)
endif
r=bytscl(fr)  &  g=bytscl(fg)  &  b=bytscl(fb)  &  if n_params() gt 3 then c=bytscl(fc)

x0=3  &  y0=5  &  lx=15  & ly=15

set_plot,'x'
;;device,decomp=0  
set_plot,'ps'
loadct,0
device,filename=exdir(filered)+'rgb3plus1.eps',xsize=21,ysize=21,/color,/port,xoffset=0,yoffset=0

tv,[[[r]],[[g]],[[b]]],true=3,x0,y0,xsize=lx,ysize=ly,/cent
;loadct,27,/sil
if n_params() gt 3 then contour,c,pos=[x0,y0,x0+lx,y0+ly]*1000,/dev,/noer,c_color=-1,/xst,/yst,thick=5.,/down,charsize=1.5,charthick=2. else contour,r,pos=[x0,y0,x0+lx,y0+ly]*1000,/noda,/dev,/noer,c_color=-1,/xst,/yst,thick=5.,/down,charsize=1.5,charthick=2.
;loadct,0,/sil
drawne,0.75,0.8,posang*180./!DPI,r=0.1,color=-1
device,/close
set_plot,'x'

end
