function simulate_line,infile,wdir,lc,lw,l_psf,dl,dx,dy,i1,i2,gf,lar

  ; decont,infile,wdir,'cont.fts',gf,sighmas
  data=readfits(wdir+infile,h)
  con=readfits(wdir+'cont.fts',hc)
  ai=size(data)
  dl=sxpar(h,'CDELT1')
  l0=sxpar(h,'CRVAL1')
  lambda=dindgen(ai[1])*dl+l0
  region=where(abs(lambda-lc) le lw,np)
  lar=lambda(region)
  data_new=data
  cube=reform(data(region,*),np,16,15)
  recon=reform(con(region,*),np,16,15)
center=dblarr(np,2)
  for k=0,np-1 do begin
    exp1=exp(-.5*((((lar[k]-lc)-dl/2.))/l_psf)^2)
    exp2=exp(-.5*((((lar[k]-lc)+dl/2.))/l_psf)^2)
   ; recon(k,*,*)=recon(k,*,*)-min(med_xy(reform(recon(k,*,*)),10)) ;+min(med_xy(reform(cube(k,*,*)),10))
    cube(k,*,*)=recon(k,*,*)+shift_image(reform(recon(k,*,*)),dx/2.,dy/2.)*exp1*i1+shift_image(reform(recon(k,*,*)),-dx/2.,-dy/2.)*exp2*i2
fitar=gauss2dfit(shift_image(reform(recon(k,*,*)),dx/2.,dy/2.)*exp1*i1+shift_image(reform(recon(k,*,*)),-dx/2.,-dy/2.)*exp2*i2, $
g,/tilt)
     center[k,0]=g[4]-gf[region[k],4]
     center[k,1]=g[5]-gf[region[k],5]
  endfor
  data_new(region,*)=reform(cube,np,240) ;-min(med_xy(reform(cube(region,*,*)),10))+min(med_xy(reform(data(region,*)),10))

  sxaddpar,h,'FILE',wdir+'obj_sim.fts'
  sxaddpar,h,'COMMENT','simulated data, artificial line at'+strtrim(string(lc),2)
  writefits,wdir+'obj_sim.fts',data_new,h
  return,center
end
