pro span_faint,insp,lambda,av=av,flux=flux,ston=ston,velt=velt,dflux=dflux,dvelt=dvelt
  wdir=exdir(insp)
  sp=readfits(insp,hsp)
dsp=readfits(exdir(insp)+'dsp.fts',dhsp)
z=sxpar(hsp,'REDSHIFT')
r=sxpar(hsp,'RENORM')

  l=dindgen(n_elements(sp))*sxpar(hsp,'CDELT1')+sxpar(hsp,'CRVAL1')
  dl=sxpar(hsp,'CDELT1')
  if keyword_set(av) then ccm_unred,l,sp,av/3.1
  w1=where(l gt min(lambda*(z+1.))-50. and l lt max(lambda*(z+1.))+50.)
  l1=l(w1) & sp1=sp(w1) & dsp1=dsp(w1)

set_plot,'ps'
device,filename=wdir+'span_faint.ps'
   sp1=smooth(med_ext(sp1,3),3)
   sp2=med_ext(sp1,5)
   smax=max(sp2,wmax)
   m=total(sp1-min(sp2))
   wl=where(abs(l1-lambda*(z+1.)) gt 15.)
   wr=where(abs(l1-lambda*(z+1.)) le 15.)
   bgd=goodpoly(l1(wl),sp1(wl),1,1.)
  ; spfit=gaussfit(l1,(sp1-poly(l1,bgd))/m,g0,nterms=3,estimates=[max(sp1/m)-min(sp2/m),median(l1),median(l1)*2.5/5000.])*m
  ; rms=stdev(sp1-spfit-poly(l1,bgd))
  ; wgood=where(abs(sp1-spfit-poly(l1,bgd)) le rms)
  ; g=g0
;   flux=int_tabulated(l1(wr),sp1(wr)-poly(l1(wr),bgd),/double)              ;sqrt(!DPI*2.)*g[0]*g[2]*m
;   cent=int_tabulated(l1(wr),(sp1(wr)-poly(l1(wr),bgd))*l1(wr),/double)/flux                                     ;g[1]
flux=int_tabulated(l1,sp1-poly(l1,bgd),/double)  ;*r 
cent=int_tabulated(l1,(sp1-poly(l1,bgd))*l1,/double)/flux
  ; spfit=exp(-.5*((l1-cent)/g[2])^2)*flux/(g[2]*sqrt(2.*!DPI))
dflux=sqrt(int_tabulated(l1,dsp1^2,/double)*sqrt(max(l1)-min(l1)))  ;*r
  ston=abs(flux/dflux)
   dcent=sqrt(total((l1-cent)^2*abs(sp1/flux))/(ston))
fwhm=2.35*sqrt(total((l1-cent)^2*abs(sp1/flux)))
   plot,l1,sp1,psym=2
   oplot,l1,poly(l1,bgd),colo=1000
device,/close
set_plot,'x'
 ; rms=stdev(sp1-spfit)
 ; message,'fluxes: '+strtrim(string(resp.flux,format='(E15.5)'),2),/cont
 ; message,'velocities: '+strtrim(string((resp.cent-lar)/lar,format='(F8.2)'),2),/cont
  c=3.e5  ; c in km/s
  print,'flux: ',flux
  print,'velocity: ',(cent-lambda)*c/lambda,'+/-',(dcent)*c/lambda
  print,'FWHM: ',fwhm
  print,'S/N: ',ston
;  flux=resp.flux
  velt=(cent-lambda)*c/lambda
  dvelt=(dcent)*c/lambda
end
