pro spext,infile,outfile=outfile,nobgd=nobgd,aper=aper
if not(keyword_set(outfile)) then outfile='spect_ext.fts'
if not(keyword_set(aper)) then aper=2.
outps=strmid(outfile,0,strpos(outfile,'.',/reverse_search))+'.ps'
  indata=readfits(infile,h)
  a=size(indata)
  dl=sxpar(h,'CDELT1')  &  l0=sxpar(h,'CRVAL1')
  l=dindgen(a[1])*dl+l0
  wdir=exdir(infile)

  sp=diaspect(indata,aper,lambda=6562.82,/nosh,lampar=[l0,dl],wdir=wdir,nobgd=nobgd)

exp_obj=sxpar(h,'EXPTIME')
stime=sxpar(h,'START')
object_name=STRCOMPRESS(sxpar(h,'OBJECT'))
date_obs=STRCOMPRESS(sxpar(h,'DATE-OBS'))

sp1=med_ext(sp(100:n_elements(sp)-100),20)

set_plot,'ps'
 device,filename=outps
  plot,l,sp,xtitle='wavelength,'+string("305B),ytitle='Flux, erg/sm^2 s',yrange=[min(sp1),max(sp1)]
  xyouts,0.2,0.9,date_obs+'  '+stime+'  '+object_name+'  exposure '+$
	string(exp_obj,format='(I5)')+' sec',/norm,color=0
 device,/close
set_plot,'x'
  writefits,wdir+outfile,sp,h
end
