pro velmap_fit,velf,map
  maxit=long(1e+10)
  gfit=gauss2dfit(double(map),a)
  gfit=gfit*(gfit ge median(gfit))
  disp0=total((map-gfit)^2)/n_elements(map)
  
  x0=a[4]  & y0=a[5]
  par0=double([.1068141,-0.5,.0824784])  ;  dv, dx, dy)
  par=par0
  vfit=map*0.
  v=replicate(double(0.),3)  

  for k=0L,maxit-1 do begin
    pders=replicate(double(0.),3) 
    for x=0,15 do begin
      for y=0,15 do begin
       vfit[x,y]=par[0]*tanh(par[1]*(double(x)-x0)+par[2]*(double(y)-y0))
       pders[0]=pders[0]-2.*(velf[x,y]-vfit[x,y])*vfit[x,y]*gfit[x,y]/total(gfit*par[0])
       pders(1:2)=pders(1:2)-[double(x)-x0,double(y)-y0]*2.*(velf[x,y]-vfit[x,y])*gfit[x,y]*par[0]/(total(gfit[x,y])*(cosh(par[1]*(double(x)-x0)+par[2]*(double(y)-y0)))^2)
      endfor
    endfor
   lf=total((velf-vfit)^2*gfit)/(total(gfit))
   par=par+v*1.e-3
   v=v*.99-pders*1.e-2
   if total(v*pders) lt 0. then v=v*1.1
   if total(v*pders) gt 0. then v=v*.8
   if k mod 1000 eq 0 then begin
     print,par
     print,lf
   endif
;   print,pders
  endfor
  wkiller
  window,xsize=320,ysize=320
  tvscl,rebin(velf,320,320)
  window,/free,xsize=320,ysize=320
  tvscl,rebin(vfit,320,320)
  window,/free,xsize=320,ysize=320
  tvscl,rebin(alog(gfit),320,320)
 end
