;VPHG tests6216.7

;create etalon neon spectra
pro create_etalonK,pars

;!P.background=2^24-1 & !P.color=0
ini_neon=DIALOG_PICKFILE(/read,filter='*.fts',GET_PATH=dir,TITLE='input initial image neon')

ini_neon=str_sep(ini_neon,'/') & ini_neon=ini_neon(N_elements(ini_neon)-1)
out_neon=DIALOG_PICKFILE(/write,PATH=dir,TITLE='input etalon name')
out_neon=str_sep(out_neon,'/') & out_neon=out_neon(N_elements(out_neon)-1)
;correction geometrical distorsion
;geometry_neon,ini_neon,ini_neon,out_neon+'_neon.fts',w_dir=dir,/plot
;remove overscan region
ima=readfits(dir+ini_neon,h)
Nx=sxpar(h,'NAXIS1') & Ny=sxpar(h,'Naxis2')
overscan=20
ima=ima(overscan:Nx-1,Ny/2-100:Ny/2+100-1)
neon=total(ima(*,80:120),2)
writefits,dir+out_neon+'_neon.fts',ima,h
Nx=N_elements(neon)
Ndeg=3 & tresh=3
x=dindgen(Nx)
fi_peak,x ,neon,0,ipix,xpk,ypk,bkpk,ipk
for ji=0,2000 do begin
if ipix(ji) ge 2000 then break
if ipix(ji) eq 0 then continue
print,' NEON  ',ipix(ji),xpk(ji),ypk(ji)
endfor
f=goodpoly(xpk,bkpk,Ndeg,3,Yfit)
;oplot,xpk,Yfit
robomean,bkpk-Yfit,3,0.5,avg_fon,rms_fon
R=where(abs(bkpk-Yfit) lt rms_fon*tresh) & bkpk=bkpk(R) & xpk=xpk(R)
bkpk=median(bkpk,3)
fon=INTERPOL(bkpk,xpk,x)
fon=LOWESS(x,fon,100,3,3)
neon=neon-fon
neon=(neon-min(neon))^0.75
rms=stdev(neon,avg_neon)
Nhist=40
x_hist=dindgen(Nhist+1)*avg_neon/Nhist
tmp=histogram(neon,min=0,max=avg_neon,binsize=avg_neon/Nhist)
maxtmp=max(tmp,Nmax)
neon=neon-x_hist(Nmax)
d=0.5
window,1,xsize=1600,ysize=600
plot,neon^d,xst=1,yrange=[-max(neon^d)/20,max(neon^d)*1.2],yst=1;,position=[0,0,1,1];,/norm
oplot,[0,Nx-1],[0,0],linestyle=2
writefits,dir+'etalon_'+out_neon+'.fts',neon,h

;manual identefication spectra
sw=1
x_out=0 & y_out=0 &W_out=0
xpre=0 & ypre=0
be:
x=0 & y=0
if sw eq 4 then goto,final
cursor,x,y,1,/data
a=!MOUSE
sw=LONG(a.button)
if xpre ne x and ypre ne y then begin
if sw eq 1 then begin oplot,[x],[y],psym=1
input=''
read,input,prompt='wavelength?'
w=float(input)
xyouts,x+5,y,string(w,format='(F9.2)'),charsize=0.75,orientation=90,/data
w_out=[w_out,w]
x_out=[x_out,x]
y_out=[y_out,y]

endif
xpre=x & ypre=y
endif
if sw eq 1 then goto,be

final:
;
;create output list lines
N=N_elements(x_out)

x_out=x_out(1:N-1)
w_out=w_out(1:N-1)
N=N-1
x=dindgen(Nx)
Ndeg=3
f=goodpoly(x_out,w_out,Ndeg,3)
wav=0 & for j=0,Ndeg do wav=wav+f(j)*x^j
wav_min=10*fix(wav(0)/10) & wav_max=10*rfix(wav(Nx-1)/10)
disp=fix((wav(Nx/2+1)-wav(Nx/2))/0.1)*0.1 & order=1
openw,1,dir+'etalon_'+out_neon+'.txt'
printf,1,wav_min,wav_max,format='(2I8)'
printf,1,disp,order,format='(F5.2,I4)'
for k=0,N-1 do printf,1,w_out(k),rfix(x_out(k)),format='(F8.2,I6)'
close,1

end
