pro discor_long,infile,outfile,dispars=dispars

if not(keyword_set(dispars)) then dispars=[0.00034933555,-1.1140704e-09] ; dz/dlambda

sp=readfits(infile,hsp)
wdir=exdir(infile)
dl=sxpar(hsp,'CDELT1')  &  l0=sxpar(hsp,'CRVAL1') & a=size(sp)
nx=a[1]  &  ny=a[2]
l=dindgen(nx)*dl+l0
out=sp
ptb=sxpar(hsp,'ROTANGLE')
ang=(131.-ptb)*!DPI/180.
z=sxpar(hsp,'Z')*!DPI/180.

scale=str_sep(sxpar(hsp,'IMSCALE'),'x')

yshift=poly(l,[0.,dispars])*cos(ang)*tan(z)/scale[1]
yshift=yshift-median(yshift)

for k=0,a[1]-1 do begin
  tmp=reform(sp(k,*))
  out(k,*)=vecshift(sp(k,*),dx=-yshift[k])
endfor

writefits,outfile,out,hsp
end
