pro exspect_multigauss,infile,cent,flux,fwhm,log=log,fon=fon,plot=plot,out=out,lowfon=lowfon,ns=ns

set_plot,'x'
wkiller

;-------------------------------------------------------
;;;;if not(keyword_set(dfon)) then dfon=2.*dy
if not(keyword_set(out)) then out='obj_spect'
 wdir=def_par(log,'W_DIR')

;-------------------------------------------------------
cc=sort(cent)
cent=cent(cc) & flux=flux(cc)  & fwhm=fwhm(cc) 

f=readfits(infile,hf)
;ns=8
a=size(f)
dl=sxpar(hf,'CDELT1') & l0=sxpar(hf,'CRVAL1')
l=dindgen(a[1])*dl+l0

dy=sxpar(hf,'CDELT2')
y=dindgen(a[2])*sxpar(hf,'CDELT2')+sxpar(hf,'CRVAL2')
yfon1=fon[0] & yfon2=fon[1] & yfon3=fon[2] & yfon4=fon[3]

lfon=f
n=a[1]
t=n_elements(cent)

cent_o=dblarr(t,n) & dcent_o=dblarr(t,n)
fwhm_o=dblarr(t,n) & dfwhm_o=dblarr(t,n)
flux_o=dblarr(t,n) & dflux_o=dblarr(t,n)
cent_of=dblarr(t,4) & centfit=dblarr(t,n)
fwhm_of=dblarr(t,4)  & wfit=dblarr(t,n)
spectr=dblarr(t,n)

set_plot,'x'
wkiller
if lowfon eq 1 then window,1,retain=2
if lowfon eq 1 then mid=mpeg_open([500,500])

;/////////////////////////////////////////////////////
;****************************************************
;\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\
 if lowfon gt 0 then begin
profile=total(f(200:a[1]-501,*),1)
if not(keyword_set(ns)) then ns=6.
prs=lowess(y,profile,300.,1) ; !!!!!!!300
sprs=stdev(profile-prs)

fi_peak,y,profile,0.01*sprs,pixs,yp,pp,bkpk,np,pint=pint,isc=3    ;;fi_peak,xpl,ypl,pkcut,ipix,xpk,ypk,bkpk,ipk,pint=pint
sorb=reverse(sort(pp))
sorb=sorb(0:ns-1)  ;; first ns stars
yp=yp(sorb)  &  pp=pp(sorb)
endif
;********************** 1 cycle*************************
for k=0,n-1 do begin
  vec=reform(f(k,*))
  win=where(y gt min(cent)-10. and y lt max(cent)+10.)

 if lowfon eq 0 then begin
  wout=where((y ge yfon1 and y le yfon2) or (y ge yfon3 and y le yfon4))
  yfon=goodpoly(y(wout),vec(wout),3,3.)
 endif else begin

wsl=indgen(n_elements(y))
if lowfon eq 1 then begin
for q=0,ns-1  do wsl=wsl(where(abs(y(wsl)-yp[q]) gt 6))
endif else begin
 for q=0,ns-1  do wsl=wsl(where(abs(y(wsl)-yp[q]) gt 20))
endelse
;lsf1(k,*)=interpol(lowess(y(wsl),reform(fs(k,wsl)),350,3),y(wsl),y)

; lfon1=interpol(lowess(y(wsl),vec(wsl),500,3),y(wsl),y)
if lowfon eq 1 then lfon1=smooth(interpol(smooth(vec(wsl),30),y(wsl),y),50) else $
lfon1=smooth(interpol(lowess(y(wsl),vec(wsl),500,3),y(wsl),y),50)

;;;plot,y,vec,title='wavelength, !7k!3='+strtrim(string(l[k],for='(I10)'),2)+string("305B),thick=1.0,charsize=2.0,charthick=3.0
;;;oplot,y(wsl),vec(wsl),color=1000,thick=1.0
;;;oplot,y,lfon1,color=-1000,thick=1.0

if lowfon eq 1 then begin
plot,y,vec,title='wavelength, !7k!3='+strtrim(string(l[k],for='(I10)'),2)+string("305B),thick=1.0,charsize=2.0,charthick=3.0
oplot,y(wsl),vec(wsl),color=1000,thick=1.0
oplot,y,lfon1,color=-1000,thick=1.0
mpeg_put,mid,/color,frame=k,window=1,/order
endif
 lfon(k,*)=lfon1
 endelse
  y1=y(win)

 if lowfon eq 0 then res=multigaus1(y1,vec(win)-poly(y1,yfon),cent,fwhm=fwhm,yfit=spfit,lim_fwhm=[1.,8.],sigma=sig)  else res=multigaus1(y1,vec(win)-lfon1(win),cent,fwhm=fwhm,yfit=spfit,lim_fwhm=[1.,12.],sigma=sig)

for q=0,t-1 do cent_o(q,k)=[res[q].center] 
for q=0,t-1 do  fwhm_o(q,k)=[res[q].fwhm] 
for q=0,t-1 do  flux_o(q,k)=[res[q].flux]
for q=0,t-1 do dcent_o(q,k)=[sig[q].center] 
for q=0,t-1 do  dfwhm_o(q,k)=[sig[q].fwhm] 
for q=0,t-1 do  dflux_o(q,k)=[sig[q].flux]
endfor
if lowfon eq 1 then  mpeg_save,mid,file=exdir(infile)+'mult_fon.mpg'
if lowfon eq 1 then  mpeg_close,mid

wkiller
;*******************************************************
for q=0,t-1 do begin

cw=where(cent_o(q,*) gt cent[q]-10 and cent_o(q,*) lt cent[q]+10)
cent_o1=cent_o(q,*)
cent_of(q,*)=goodpoly(l(cw),cent_o1(cw),3,3.,centfit1)
centfit1=interpol(centfit1,l(cw),l)
centfit(q,*)=centfit1
cf=where(fwhm_o(q,*) gt 1. and fwhm_o(q,*) lt 5.)
fwhm_o1=fwhm_o(q,*)
fwhm_of(q,*)=goodpoly(l(cf),fwhm_o1(cf),3,3.,wfit1)
wfit1=interpol(wfit1,l(cf),l) 
wfit(q,*)=wfit1

if keyword_set(plot) then begin 
set_plot,'ps'
 device,filename=exdir(infile)+'obj_cent'+strtrim(string(q,for='(I10)'),2)+'.ps',/enc,/color,/land,xsize=28,ysize=18,xoff=5,yoff=28
 plot,l,cent_o(q,*),yrange=[min(cent)-10,max(cent)+10],psym=3
 oploterr,l,cent_o(q,*),dcent_o(q,*),3
loadct,27,/sil
 oplot,l,centfit(q,*),color=1000,thick=2.
loadct,0
device,/close

 device,filename=exdir(infile)+'obj_fwhm'+strtrim(string(q,for='(I10)'),2)+'.ps',/enc,/color,/land,xsize=28,ysize=18,xoff=5,yoff=28
 plot,l,fwhm_o(q,*),yrange=[0,20],psym=3
 oploterr,l,fwhm_o(q,*),dfwhm_o(q,*),3
loadct,27,/sil
 oplot,l,wfit(q,*),color=1000
loadct,0
device,/close

endif
endfor
 device,filename=exdir(infile)+'obj_cent.ps',/enc,/color,/land,xsize=28,ysize=18,xoff=5,yoff=28
 plot,l,cent_o(0,*),yrange=[min(cent)-10,max(cent)+10],psym=3
 oploterr,l,centfit(0,*)
loadct,27,/sil
 for q=1,t-1 do begin
oplot,l,cent_o(q,*),color=1000*q,psym=3
oplot,l,centfit(q,*),color=1000*q,thick=2.
endfor
loadct,0
device,/close

mindl1=min(abs(l-5577.),wmin1)
mindl2=min(abs(l-6300.),wmin2)
mindl3=min(abs(l-6562.8),wmin3)
mindl4=min(abs(l-6717.),wmin4)
mindl5=min(abs(l-4861.),wmin5)

;********************** 2 cycle*************************
for k=0,n-1 do begin
  vec=reform(f(k,*))
  y1=y(win)
cent333=dblarr(t) & fwhm333=dblarr(t)
for q=0,t-1 do cent333[q]=centfit(q,k)
for q=0,t-1 do fwhm333[q]=wfit(q,k)

if lowfon eq 0 then begin
  win=where(y gt min(cent)-10. and y lt max(cent)+10.)
  wout=where((y ge yfon1 and y le yfon2) or (y ge yfon3 and y le yfon4))
  yfon=goodpoly(y(wout),vec(wout),3,3.)

    if k mod 100 eq 0 or k eq wmin1 or k eq wmin2 or k eq wmin3 or k eq wmin4  or k eq wmin5 then $
         res=multigaus1(y1,(vec(win)-poly(y1,yfon)),cent333,fwhm=fwhm333,yfit=spfit,lim_fwhm=[1.,5.],$
         /fixpos,/fixfwhm,sigma=sig,file=exdir(infile)+'obj_multi'+strtrim(string(l[k],for='(I10)'),2)+'.eps',status=convergen) else res=multigaus1(y1,vec(win)-poly(y1,yfon),$
      cent333,fwhm=fwhm333,yfit=spfit,lim_fwhm=[1.,5.],/fixpos,/fixfwhm,sigma=sig,status=convergen)


endif else begin
lfon1=lfon(k,*)
if k mod 100 eq 0 or k eq wmin1 or k eq wmin2 or k eq wmin3 or k eq wmin4  or k eq wmin5   then $
 res=multigaus1(y1,vec(win)-lfon1(win),cent333,fwhm=fwhm333,yfit=spfit,lim_fwhm=[1.,5.],/fixpos,/fixfwhm,sigma=sig,file=exdir(infile)+'obj_multi'+strtrim(string(l[k],for='(I10)'),2)+'.eps',status=convergen) else $
res=multigaus1(y1,vec(win)-lfon1(win),cent333,fwhm=fwhm333,yfit=spfit,lim_fwhm=[1.,5.],/fixpos,/fixfwhm,sigma=sig,status=convergen);!!!!!!!!!!!!!!!!!!!!!!!!!
endelse
;---------------------------------
if lowfon gt 0 then begin
set_plot,'ps'
if k mod 100 eq 0 or k eq wmin1 or k eq wmin2 or k eq wmin3 or k eq wmin4  or k eq wmin5   then begin
device,filename=exdir(infile)+'line_fon_'+strtrim(string(l[k],for='(I10)'),2)+'.ps',/enc,/color,/land,xsize=28,ysize=18,xoff=5,yoff=28
 plot,y,vec,xrange=[100.,270.]
loadct,27,/sil
oplot,y,lfon1,color=30
 oplot,y1,spfit+lfon1(win),color=250
loadct,0
device,/close
endif

endif
set_plot,'x'
;---------------------------------
if convergen eq 0 then for q=0,t-1 do cent_o(q,k)=[res[q].center] else for  q=0,t-1 do cent_o(q,k)=cent333[q]
if convergen eq 0 then for q=0,t-1 do  fwhm_o(q,k)=[res[q].fwhm] else  for  q=0,t-1 do fwhm_o(q,k)=fwhm333[q]
if convergen eq 0 then for q=0,t-1 do  flux_o(q,k)=[res[q].flux] $
else begin
   for q=0,t-1 do begin
wy=where(y gt (cent333[q]-fwhm333[q]) and y lt (cent333[q]+fwhm333[q]))
  if lowfon eq 0 then flux_o(q,k)=total(vec(wy)-poly(y(wy),yfon))*dy $
  else flux_o(q,k)=total(vec(wy)-lfon1(wy))*dy
   endfor
endelse
for q=0,t-1 do dcent_o(q,k)=[sig[q].center] 
for q=0,t-1 do  dfwhm_o(q,k)=[sig[q].fwhm] 
for q=0,t-1 do  dflux_o(q,k)=[sig[q].flux]
endfor
;*******************************************************
for q=0,t-1 do begin

if keyword_set(plot) then begin 
set_plot,'ps'
 device,filename=exdir(infile)+'obj_spect'+strtrim(string(q,for='(I10)'),2)+'.ps',/enc,/color,/land,xsize=28,ysize=18,xoff=5,yoff=28
 plot,l,flux_o(q,*)
 oploterr,l,flux_o(q,*),dflux_o(q,*),3
device,/close
endif

writefits,exdir(infile)+'obj_spect_'+strtrim(string(q,for='(I10)'),2)+'.fts',reform(flux_o(q,*)),hf
endfor
set_plot,'x'
ffon=f-lfon

if lowfon gt 0 then writefits,exdir(infile)+'obj_fon.fts',ffon,hf

if lowfon gt 0 then writefits,exdir(infile)+'low_fon.fts',lfon,hf
end
