pro flat_correlate,file1,file2

  ima1=readfits(file1,h1)
  ima2=readfits(file2,h1)

  ima1_red=smooth(med_ext2(ima1(1500:2067,*),5),5)
  ima2_red=smooth(med_ext2(ima2(1500:2067,*),5),5)

  a=size(ima1_red)

  xsh=dblarr(a[2])
  ysh=dblarr(a[1])

cc=10
  for i=0,a[1]-1 do begin
    vec1=interpol(ima1_red(i,*),dindgen(a[2]),dindgen(cc*a[2])/double(cc),/spline)
    vec2=interpol(ima2_red(i,*),dindgen(a[2]),dindgen(cc*a[2])/double(cc),/spline)
    vec1=vec1-total(vec1)/double(n_elements(vec1))  &  vec2=vec2-total(vec2)/double(n_elements(vec2)) 
    crsprod,vec1,vec2,150,cross,crmin,crmax,crshi    ; CRSPROD,ffir,fsec,nspr,cross,crmin,crmax,crshi
    cmax=max(cross,y_tmp)
    ysh[i]=(double(y_tmp)-300.)/cc
    plot,cross
  endfor
  for j=0,a[2]-1 do begin
    vec1=interpol(ima1_red(*,j),dindgen(a[1]),dindgen(cc*a[1])/double(cc),/spline)
    vec2=interpol(ima2_red(*,j),dindgen(a[1]),dindgen(cc*a[1])/double(cc),/spline)
    vec1=vec1-total(vec1)/double(n_elements(vec1))  &  vec2=vec2-total(vec2)/double(n_elements(vec2)) 
    crsprod,vec1,vec2,150,cross,crmin,crmax,crshi    ; CRSPROD,ffir,fsec,nspr,cross,crmin,crmax,crshi
    cmax=max(cross,x_tmp)
    xsh[j]=(double(x_tmp)-300.)/cc
    plot,cross
  endfor
  dx=median(xsh)  &  dy=median(ysh)
end
