pro framespect,infile,skyfile,yrange=yrange,dobj=dobj,par=par

  f=readfits(infile,hf)
  fs=readfits(skyfile,hs)
 dl=sxpar(hf,'CDELT1')  &  l0=sxpar(hf,'CRVAL1')
  a=size(f)
  l=dindgen(a[1])*dl+l0
 dy=sxpar(hf,'CDELT2')  &  y0=sxpar(hf,'CDELT2')
  y=dindgen(a[2])*dy+y0
if not(keyword_set(yrange)) then yrange=[min(y),max(y)]
if not(keyword_set(par)) then par=3.
norm=dindgen(100)*0.1
n5577=norm  

fsmed=fs
for k=0,a[2]-1 do fsmed(*,k)=med_ext(reform(fs(*,k)),25)

profilesky=total(fsmed(100:a[1]-101,*),1)
prssky=lowess(y,profilesky,200.,1)
sprs=stdev(profilesky-prssky)
wprs=where(profilesky-prssky le sprs*par)
wprs=wprs(where(y(wprs) gt min(yrange) and y(wprs) lt max(yrange)))

for i=0,a[1]-1 do fs(i,*)=interpol(fs(i,wprs),y(wprs),y)

for k=0,n_elements(norm)-1 do begin
 f1=f-fs*norm[k]
 for j=0,a[2]-1 do begin
  lp=linfit([l(floor((5540.-l0)/dl):ceil((5560.-l0)/dl)),l(floor((5590.-l0)/dl):ceil((5620.-l0)/dl))],$
   [f1(floor((5540.-l0)/dl):ceil((5560.-l0)/dl),j),f1(floor((5590.-l0)/dl):ceil((5620.-l0)/dl),j)],yfit=yfit)
  f1(floor((5560.-l0)/dl):ceil((5620.-l0)/dl),j)=f1(floor((5560.-l0)/dl):ceil((5620.-l0)/dl),j)-poly(l(floor((5560.-l0)/dl):ceil((5620.-l0)/dl)),lp)
 endfor
 n5577[k]=total(f1(floor((5560.-l0)/dl):ceil((5620.-l0)/dl),where(y gt min(yrange) and y lt max(yrange))))
endfor

ppars=poly_fit(norm,n5577^2,2)

norm_opt=-0.5*ppars[1]/ppars[2]
 f1=f-fs*norm_opt

writefits,exdir(infile)+'obj_desky.fts',f1,hf

f_deline=f
;for kk=0,a[2]-1 do f_deline(*,kk)=med_ext(f(*,kk),25)
fmed=f
for k=0,a[2]-1 do fmed(*,k)=med_ext(reform(f(*,k)),25)

;profile=total(f,1)
profile=total(fmed(100:a[1]-101,*),1)
prs=lowess(y,profile,200.,1)
sprs=stdev(profile-prs)
wpr=where(profile-prs le sprs*par)
wpr=wpr(where(y(wpr) gt min(yrange) and y(wpr) lt max(yrange)))
mask=y*0
mask(wpr)=1
mask=mask*shift(mask,1)*shift(mask,-1)*shift(mask,2)*shift(mask,-2)
wpr=where(mask gt 0)

;wpr=wpr(where(profilesky-prssky le sprs*1.))

spo=total(f(*,wpr),2)
sps=total(fs(*,wpr),2)
sp=total(f1(*,wpr),2)

fmask=f*0.
fmask(*,wpr)=f1(*,wpr)
for k=0,a[1]-1 do begin
  fmask(k,*)=interpol(fmask(k,wpr),y(wpr),y)
endfor

if not(keyword_set(dobj)) then writefits,exdir(infile)+'obj_desky.fts',fmask,hf else writefits,exdir(infile)+'dobj_desky.fts',f,hf

if not(keyword_set(dobj)) then writefits,exdir(infile)+'obj_framespect.fts',sp,hf else writefits,exdir(infile)+'dsp.fts',abs(spo)/sqrt(double(n_elements(wpr))),hf

end
