pro iil_event,ev
  common iilpars, fcur, warcur, xarcur, yarcur, nlines, outtext, out_neon, iilxscale, wval, log  
  common dirpars, director
screensize=[1024,768]

   widget_control,ev.id,get_uvalue=val

Nx=n_elements(fcur)

  case val of
    'OK': message,'Line array confirmed',/cont
    'Abort': message,'Aborted...',/cont
    'Reset': message,'Values reset',/cont
    'iildraw':  ; message,'Picked up a line...',/cont
    'dialam': ;
    else: message,'Sorry?',/cont
  endcase
 
if val eq 'Reset' then begin
  nlines=0
    xarcur=[-1]   &    yarcur=[-1]   &   warcur=[-1] 
   plot,fcur,/xst,/yst,pos=[0,0,1,1],/norm,xrange=[0,Nx],yrange=[min(fcur),max(fcur)],thick=3.
endif
 
  if val eq 'OK' or val eq 'Abort' then widget_control,ev.top,/destroy
  if val eq 'dialam' then begin
       widget_control,ev.id,get_value=tev
       if nlines ge 1 then warcur[nlines-1]=double(tev) else warcur=[double(tev)]
   endif
if val eq 'dialam'  then begin
   plot,fcur,/xst,/yst,pos=[0,0,1,1],/norm,xrange=[0,Nx],yrange=[min(fcur),max(fcur)],thick=3.
   if nlines ge 1 then begin
     oplot,xarcur,yarcur,psym=1,symsize=3. ; ,/xst,/yst;,xrange=[0,Nx],yrange=[min(fcur),max(fcur)]
     xyouts,xarcur,yarcur,strtrim(string(warcur,for='(F10.2)'),2)
   endif
       widget_control,outtext[2],set_value='!4k!3s: '+strjoin(strtrim(string(warcur,for='(F12.2)'),2),'	')
endif

  if val eq 'iildraw' then begin
   plot,fcur,/xst,/yst,pos=[0,0,1,1],/norm,xrange=[0,Nx],yrange=[min(fcur),max(fcur)],thick=3.
   if nlines ge 1 then begin
     oplot,xarcur,yarcur,psym=1,symsize=3. ; ,/xst,/yst;,xrange=[0,Nx],yrange=[min(fcur),max(fcur)]
     xyouts,xarcur,yarcur,strtrim(string(warcur,for='(F10.2)'),2)
   endif
if nlines ge 1 then print,warcur
    if ev.release eq 1 then begin 
     message,'Picked up a line...',/cont
     if nlines eq 0 then begin
       xarcur=[ev.x*Nx/screensize[0]/iilxscale]   &    yarcur=[ev.y*(max(fcur)-min(fcur))/screensize[1]/.4] & nlines=1
       wtmp='0.'
;       warcur=[double(dialog_read(wtmp,title='wavelength,'+string("305B),wval=wval))]
;mark0:
;         if widget_info(wval,/valid_id) then goto,mark0
       warcur=[0.]
     endif else begin
        xarcur=[xarcur,ev.x*Nx/screensize[0]/iilxscale]   &    yarcur=[yarcur,ev.y*(max(fcur)-min(fcur))/screensize[1]/.4] & nlines=nlines+1
;        wtmp=warcur[nlines-2]
;        wtmp=dialog_read(strtrim(string(wtmp,for='(F10.2)'),2),title='wavelength,'+string("305B),wval=wval)
;mark1:
;         if widget_info(wval,/valid_id) then goto,mark1
        warcur=[warcur,warcur[nlines-2]] ;double(wtmp)]
; while(wval)
     ;   warcur[nlines-1]=wtmp
     endelse
    ;oplot,[ev.x],[ev.y],psym=1,symsize=3.
    endif
    if ev.release eq 2 then begin  
        cw=!d.window
        window,/free,xsize=700,ysize=200,retain=2
        plot,fcur,thick=1.
        wset,cw
    endif    
    if ev.release eq 4 then begin  
      if nlines gt 1 then begin
        xarcur=xarcur[0,nlines-2]   &   yarcur=yarcur[0,nlines-2] &   warcur=warcur[0,nlines-2] & nlines=nlines-1
      endif else begin
        xarcur=[-1]   &    yarcur=[-1]   &   warcur=[-1]  & nlines=0
      endelse 
    endif
    if ev.release eq 1 or ev.release eq 4 or val eq 'Reset' or val eq 'dialam' then begin
       widget_control,outtext[0],set_value='Xs: '+strjoin(strtrim(string(xarcur,for='(I12)'),2),'	')
       widget_control,outtext[1],set_value='Ys: '+strjoin(strtrim(string(yarcur,for='(I12)'),2),'	')
       widget_control,outtext[2],set_value='!4k!3s: '+strjoin(strtrim(string(warcur,for='(F12.2)'),2),'	')
       if nlines gt 0 then begin
         widget_control,outtext[3],set_value='X: '+strtrim(string(xarcur[nlines-1],for='(I12)'),2)+'Y: '+strtrim(string(yarcur[nlines-1],for='(I12)'),2)
        ; oplot,xarcur,yarcur,psym=1,symsize=3.
       endif
    endif
  endif

 if val eq 'OK' then begin
  if nlines le 3 then message,'not enough lines!',/cont
  if nlines le 3 then goto,esc
  x=dindgen(Nx)
  Ndeg=3
  x_out=xarcur  &  y_out=yarcur &  w_out=warcur
N=nlines
  f=goodpoly(x_out,w_out,Ndeg,3)
  wav=0   &   for j=0,Ndeg do wav=wav+f(j)*x^j
  wav_min=10*fix(wav(0)/10) & wav_max=10*rfix(wav(Nx-1)/10)
  disp=fix((wav(Nx/2+1)-wav(Nx/2))/0.1)*0.1   &  order=1
dir=def_par(log,'W_DIR')
  openw,uni,dir+'etalon_'+out_neon+'.txt',/get_lun
   printf,uni,wav_min,wav_max,format='(2I8)'
   printf,uni,disp,order,format='(F5.2,I4)'
   for k=0,N-1 do printf,uni,w_out[k],rfix(x_out[k]),format='(F8.2,I6)'
  close,uni
  ;idldir='/bufm/scorpio.lib_2006/'
  idldir=director
  spawn,'cp '+dir+'etalon_'+out_neon+'* '+dir+out_neon+'_neon.fts '+idldir
  esc:
endif

end

pro interid_lines,f,war,xar,yar,idldir=idldir

common iilpars, fcur, warcur, xarcur, yarcur, nlines, outtext, out_neon, iilxscale, wval, log  
common dirpars, director

    strmenu=['Abort','OK','Reset']
nstr=n_elements(strmenu)
bbut=uintarr(nstr)
screensize=[1024,768]
iilxscale=2.5
fcur=f
  iilbase=widget_base(title='InterID Lines (auxilliary procedure for SCORE)',xsize=screensize[0]*.9,ysize=screensize[1]*0.75,$
    uvalue='iilbase') ;;,scr_xsize=.9*screensize[0],scr_ysize=.75*screensize[1],/scroll)
  lw=widget_base(title='wavelength slot',xsize=screensize[0]*0.2,ysize=screensize[1]*0.1,$
    uvalue='waves',group_lea=iilbase)
  lwtext=widget_text(lw,val='',xoffset=screensize[0]*0.01, yoffset=screensize[1]*0.05,xsize=screensize[0]*0.12,/edit,uval='dialam',/all_ev)

  for k=0,nstr-1 do bbut[k]=widget_button(iilbase,val=strmenu[k],uval=strmenu[k],$
   xoffset=round(1.1*screensize[0]*double(k)/double(nstr+1)),xsize=1.09*round(screensize[0]/double(nstr+1)),$
   ysize=round(1.1*screensize[0]*(0.1+0.0*double(k eq 0))/double(nstr+1)))

  iildraw=widget_draw(iilbase,xsize=screensize[0]*iilxscale,ysize=screensize[1]*0.4,xoffset=screensize[0]*0.01,$
     yoffset=screensize[1]*0.05,uvalue='iildraw',/button_events,/expose_ev,/keyboard_events,$
     scr_xsize=.8*screensize[0],scr_ysize=.45*screensize[1],/scroll)
outtext=uintarr(4)
  outtext[0]=widget_text(iilbase,val='Xs: -1',xoffset=screensize[0]*0., yoffset=screensize[1]*0.55,xsize=450)
  outtext[1]=widget_text(iilbase,val='Ys: -1',xoffset=screensize[0]*0., yoffset=screensize[1]*0.6,xsize=450)
  outtext[2]=widget_text(iilbase,val='!4k!3s: -1',xoffset=screensize[0]*0., yoffset=screensize[1]*0.65,xsize=450)
  outtext[3]=widget_text(iilbase,val='no line entered',xoffset=screensize[0]*0., yoffset=screensize[1]*0.7,xsize=450)
prind=!d.window
   widget_control,iildraw,GET_VALUE=iilindraw
   wset,iilindraw
    
; plot,f,/xst,/yst,pos=[0,0,1,1],/norm

fcur=f  &  xarcur=-1  &  xarcur=-1  & yarcur=-1 & nlines=0 & director=idldir


   widget_control,iilbase,/realize
   widget_control,lw,/realize
 
 xmanager,'iil',iilbase,group=iilbase,/no_block
 xmanager,'iil',lw,group=iilbase,/no_block

 ; xar=xarcur   &  yar=yarcur &  war=warcur

end
