pro intspectrum_multiframe,LOGFILE

ofs=DEF_name(LOGFILE,'OBJ',nobj)
wdir=def_wdir(LOGFILE)
ff=read_asc(wdir+'intspec_file.txt') & y0=ff[0] & dy=ff[1]-ff[0] & gau=ff[2]
ext='.fts'

ima=readfits(wdir+'obj_norm0'+ext,h)
a=size(ima)
sp2=dblarr(a[1],nobj)
jd=dblarr(nobj)
for k=0,nobj-1 do begin
   ext='.fts'
  intspectrum,wdir+'obj_norm'+strtrim(k,2)+ext,y0,dy,out='obj_spect'+strtrim(k,2),log=LOGFILE,gau=gau
  sp2(*,k)=readfits(wdir+'obj_spect'+strtrim(k,2)+ext,hh,/sil)
;jd[k]=sxpar(hh,'JD')
data=sxpar(hh,'DATE-OBS') & time=sxpar(hh,'UT') 
t=ten(time) & data=strsplit(data,'/',/extract) ;;,t],',')
jdcnv,data[0],data[2],data[1],t,jd_tmp
jd[k]=jd_tmp
endfor
dt=abs(median(jd-shift(jd,1)))
t0=jd[0]
sxaddpar,hh,'CRVAL2',t0
sxaddpar,hh,'CDELT2',dt
writefits,wdir+'obj_multispect'+ext,sp2,hh
norm_multispect,wdir+'obj_multispect'+ext,outfile=wdir+'obj_multispect_norm'+ext
end
