pro linall_twosp,wdir,file1=file1,file2=file2,dfile1=dfile1,dfile2=dfile2,llist=llist,smoo=smoo,av=av

sp1=readfits(wdir+file1,hsp1)
sp2=readfits(wdir+file2,hsp2)
dsp1=readfits(wdir+dfile1,hdsp1)
dsp2=readfits(wdir+dfile2,hdsp2)
  dl1=sxpar(hsp1,'CDELT1')
  dl2=sxpar(hsp2,'CDELT1')
if dl1 le 0. then dl1=sxpar(hsp1,'CD1_1')
if dl2 le 0. then dl2=sxpar(hsp2,'CD1_1')

larray1=dindgen(n_elements(sp1))*dl1+sxpar(hsp1,'CRVAL1')
larray2=dindgen(n_elements(sp2))*dl2+sxpar(hsp2,'CRVAL1')
z=sxpar(hsp1,'REDSHIFT')

if not(keyword_set(llist)) then llist=[4101.33,4685.682,4861.33,4958.91,5006.84,5754.8,5875.75,$
  6300.23,6363.82,6678.15,5200.7,4471.48,4658.1]
llist=llist(where(llist gt min(larray1)-10. and llist lt max(larray1)+10.))
llist=llist(where(llist gt min(larray2)-10. and llist lt max(larray2)+10.))
flust1=dblarr(n_elements(llist))
flust2=dblarr(n_elements(llist))
dflust1=dblarr(n_elements(llist))
dflust2=dblarr(n_elements(llist))
vels1=dblarr(n_elements(llist))
vels2=dblarr(n_elements(llist))
dvels1=dblarr(n_elements(llist))
dvels2=dblarr(n_elements(llist))
fwhms1=dblarr(n_elements(llist))  &  dfwhms1=dblarr(n_elements(llist))
fwhms2=dblarr(n_elements(llist))  &  dfwhms2=dblarr(n_elements(llist))

for k=0,n_elements(llist)-1 do begin
  span,wdir+file1,[llist[k]],flux=flutmp,ston=stotmp,velt=veltmp,fwhm=fwhm_tmp,$
       dvelt=dveltmp,dflux=dflutmp,dfwhm=dfwhm_tmp,smoo=smoo,dspfile=wdir+dfile1
  spawn,'cp '+wdir+'span.ps '+wdir+'span_'+strtrim(string(llist[k],format='(I10)'),2)+'.ps'
  vels1[k]=veltmp  &  dvels1[k]=dveltmp  &  fwhms1[k]=fwhm_tmp
  flust1[k]=flutmp  & dflust1[k]=dflutmp   &  dfwhms1[k]=dfwhm_tmp
  span,wdir+file2,[llist[k]],flux=flutmp,ston=stotmp,dflux=dflutmp,velt=veltmp,fwhm=fwhm_tmp,$
       dvelt=dveltmp,dfwhm=dfwhm_tmp,dspfile=wdir+dfile2
  flust2[k]=flutmp  & dflust2[k]=dflutmp 
  vels2[k]=veltmp  &  dvels2[k]=dveltmp  &  fwhms2[k]=fwhm_tmp &  dfwhms2[k]=fwhm_tmp
endfor
if max([larray1,larray2]) ge 6731.3 and min([larray1,larray2]) le 6717.0 then begin
 span,wdir+file1,[6717.0,6731.3],flux=flus1,velt=veltmp1,fwhm=fwhm_tmp1,$
     dvelt=dveltmp1,dflux=dflus1,dfwhm=dfwhm_tmp1,dspfile=wdir+dfile1
   spawn,'cp '+wdir+'span.ps '+wdir+'span_sulf.ps'
 span,wdir+file2,[6717.0,6731.3],flux=flus2,dflux=dflus2,velt=veltmp2,fwhm=fwhm_tmp2,$
     dvelt=dveltmp2,dfwhm=dfwhm_tmp2,dspfile=wdir+dfile2
   vels1=[vels1,veltmp1]  &   dvels1=[dvels1,dveltmp1]  &  fwhms1=[fwhms1,fwhm_tmp1] &  dfwhms1=[dfwhms1,dfwhm_tmp1]
 flust1=[flust1,flus1]  &  flust2=[flust2,flus2] 
   vels2=[vels2,veltmp2]  &   dvels2=[dvels2,dveltmp2]  &  fwhms2=[fwhms2,fwhm_tmp2] &  dfwhms2=[dfwhms2,dfwhm_tmp2] 
 llist=[llist,6717.0,6731.3]
 dflust1=[dflust1,dflus1]  &  dflust2=[dflust2,dflus2]
endif

if max([larray1,larray2]) ge 4363.53 and min([larray1,larray2]) le 4340.74 then begin
 span,wdir+file1,[4340.74,4363.53],flux=flug1,velt=veltmp1,fwhm=fwhm_tmp1,$
    dvelt=dveltmp1,dflux=dflug1,dfwhm=dfwhm_tmp1,dspfile=wdir+dfile1
  spawn,'cp '+wdir+'span.ps '+wdir+'span_hg.ps'
span,wdir+file2,[4340.74,4363.53],flux=flug2,dflux=dflug2,velt=veltmp2,fwhm=fwhm_tmp2,$
    dvelt=dveltmp2,dfwhm=dfwhm_tmp2,dspfile=wdir+dfile2
  vels1=[vels1,veltmp1]  &   dvels1=[dvels1,dveltmp1]  &  fwhms1=[fwhms1,fwhm_tmp1] &  dfwhms1=[dfwhms1,dfwhm_tmp1]
  flust1=[flust1,flug1]  &  flust2=[flust2,flug2]  & llist=[llist,4340.74,4363.53]
  dflust1=[dflust1,dflug1]  &  dflust2=[dflust2,dflug2]
endif

if max([larray1,larray2]) ge 6583.57 and min([larray1,larray2]) le 6548. then begin
 span_halpha,wdir+file1,flux=f1,velt=veltmp1,fwhm=fwhm_tmp1,$
      dvelt=dveltmp1,dflux=df1,dfwhm=dfwhm_tmp1,dspfile=wdir+dfile1
   spawn,'cp '+wdir+'span.ps '+wdir+'span_halpha.ps'
 span_halpha,wdir+file2,flux=f2,dflux=df2,velt=veltmp2,fwhm=fwhm_tmp2,$
      dvelt=dveltmp2,dfwhm=dfwhm_tmp2,dspfile=wdir+dfile2
   vels1=[vels1,veltmp1] & fwhms1=[fwhms1,fwhm_tmp1]   &   dvels1=[dvels1,dveltmp1]  &   dfwhms1=[dfwhms1,dfwhm_tmp1] 
 flust1=[flust1,f1]  &  flust2=[flust2,f2]  &  llist=[llist,6548.06,6562.82,6583.57]
  dflust1=[dflust1,df1]  &  dflust2=[dflust2,df2]
  vels2=[vels2,veltmp2] & fwhms2=[fwhms2,fwhm_tmp2]  &   dvels2=[dvels2,dveltmp2]  &   dfwhms2=[dfwhms2,dfwhm_tmp2]
endif
close,1

sist=sort(llist)
flust1=flust1(sist)  &  flust2=flust2(sist)
dflust1=dflust1(sist)  &  dflust2=dflust2(sist)
vels1=vels1(sist)  &  dvels1=dvels1(sist)  &  fwhms1=fwhms1(sist) &  dfwhms1=dfwhms1(sist)
vels2=vels2(sist)  &  dvels2=dvels2(sist)  &  fwhms2=fwhms2(sist) &  dfwhms2=dfwhms2(sist)
llist=llist(sist)

hb_tmp=min(abs(llist-4861.33),hbeta)  &  ha_tmp=min(abs(llist-6562.82),halpha)
o3_tmp=min(abs(llist-5006.84),o3) 

f=readfits(wdir+file1,h)
objname=sxpar(h,'OBJECT')

objname=strreplace(objname,'_','~')

openw,1,wdir+'linepars_twosp.tex'
printf,1,'\documentclass[12]{article}'
printf,1,'\usepackage{times}'
printf,1,'\textwidth=170mm'
printf,1,'\textheight=230mm'
printf,1,'\topmargin=-10mm'
printf,1,'\begin{document}'
printf,1,''
printf,1,'\title{'+objname+' emission lines intensities}'
printf,1,'\maketitle'
printf,1,''
printf,1,'\center{'
printf,1,'\begin{tabular}{lcccccc}'
printf,1,'$\lambda,\AA$ & $F_1/F_1(H\beta)$ & $V_1$, $km\,s^{-1}$ & $FWHM_1, \rm  \AA$ &'+$
      ' $F_2/F_2(H\beta)$ & $V_2$, $km\,s^{-1}$ & $FWHM_2, \rm \AA$ \\'
for k=0,n_elements(llist)-1 do begin
printf,1,string(llist[k])+'&'+strtrim(string(flust1[k]/flust1[hbeta],format='(F7.3)'),2)+'$\pm$'+$
          strtrim(string(dflust1[k]/flust1[hbeta] > .001,format='(F7.3)'),2)+'&'+$
          strtrim(string(vels1[k],format='(F8.1)'),2)+'$\pm$'+$
	  strtrim(string(dvels1[k] > 1.,format='(F8.1)'),2)+'&'+$
          strtrim(string(fwhms1[k],format='(F8.1)'),2)+'$\pm$'+$
          strtrim(string(dfwhms1[k]>0.1,format='(F7.1)'),2)+'&'+$
          strtrim(string(flust2[k]/flust2[hbeta],format='(F7.3)'),2)+'$\pm$'+$
          strtrim(string(dflust2[k]/flust2[hbeta] > .001,format='(F7.3)'),2)+'&'+$
          strtrim(string(vels2[k],format='(F8.1)'),2)+'$\pm$'+$
	  strtrim(string(dvels2[k] > 1.,format='(F8.1)'),2)+'&'+$
          strtrim(string(fwhms2[k],format='(F8.1)'),2)+'$\pm$'+$
          strtrim(string(dfwhms2[k]>0.1,format='(F7.1)'),2)+'\\'
endfor
printf,1,'\end{tabular}}'
;printf,1,''
;printf,1,'total $H_\beta$ flux:'+string(flust[hbeta],format='(E10.3)')+'$\pm$'+$
;    string(dflust[hbeta],format='(E10.3)')+' $erg/cm^2 s$'
printf,1,''
;printf,1,'total $H_\beta$ flux (unreddened):'+string(flust_unred[hbeta],format='(E10.3)')+'$\pm$'+$
;    string(dflust_unred[hbeta],format='(E10.3)')+' $erg/cm^2 s$'
; printf,1,' '
printf,1,'\end{document}'
close,1
cd,wdir,current=curd
spawn,'latex linepars_twosp.tex'
spawn,'dvips -olinepars_twosp.ps linepars_twosp.dvi'
cd,curd
c=2.997925e5
set_plot,'ps'
  device,filename=wdir+'vels.ps'
loadct,0
    plot,llist,vels1,psym=2,yrange=[-300.,300.]+z*c,xtitle='!4k!3,'+string("305B),ytitle='v,km/s',$
       charsize=2.,charthick=2.5
    oplot,llist,vels2,psym=4
    oploterr,llist,vels1,dvels1
    oploterr,llist,vels2,dvels2,4
    oplot,llist,replicate(z*c,n_elements(llist)),linestyle=3
  device,/close
set_plot,'x'
end
