pro linecenter_long,infile,dinfile

pr=readfits(infile,h)  &  dpr=readfits(dinfile,h)  
dy=sxpar(h,'CDELT1')  &  y0=sxpar(h,'CRVAL1')  & nx=n_elements(pr)
y=dindgen(nx)*dy+y0
wdir=exdir(infile)

pr1=med_ext(pr,5)

;wbad=where(pr gt pr1+10.*(dpr<pr1),nbad)
;if nbad gt 0 then pr(wbad)=pr1(wbad)

wcon=sort([dindgen(5),nx-1-dindgen(5)])
lpars=linfit(y(wcon),pr(wcon))  ;,mea=dpr(wcon))
con=0.*poly(y,lpars)

set_plot,'ps'
 device,filename=wdir+'linc.ps',/color
loadct,0
 plot,y,pr,psym=2  ;,yrange=[1.,20.]*1.e-17
 oploterr,y,pr,dpr
 res=multigaus(y,pr-con,[181.,182.1],sigma=sighma,fwhm=[2.,5.],chisq=chisq,yfit=afit,lim_fwhm=[0.5,10.])
sighma.center=sighma.center*sqrt(chisq) ; /double(n_elements(y)-8))
sighma.fwhm=sighma.fwhm*sqrt(chisq) ;/double(n_elements(y)-8))
loadct,27
 oplot,y,afit+con,color=1000
  comp1=gaussian(y,[res[0].max,res[0].center,res[0].fwhm/2.355])
  comp2=gaussian(y,[res[1].max,res[1].center,res[1].fwhm/2.355])
 oplot,y,comp1+con,color=1000,linestyle=2
 oplot,y,comp2+con,color=1000,linestyle=2
loadct,0

xyouts,0.3,0.9,'y!Dc1!N = '+strtrim(string(res[0].center,for='(F10.2)'),2)+string("53B)+$
  strtrim(string(sighma[0].center,for='(F10.2)'),2)+' arcsec',/norm
xyouts,0.3,0.7,'y!Dc2!N = '+strtrim(string(res[1].center,for='(F10.2)'),2)+string("53B)+$
  strtrim(string(sighma[1].center,for='(F10.2)'),2)+' arcsec',/norm
xyouts,0.3,0.85,'y!Dfwhm1!N = '+strtrim(string(res[0].fwhm,for='(F10.2)'),2)+string("53B)+$
  strtrim(string(sighma[0].fwhm,for='(F10.2)'),2)+' arcsec',/norm
xyouts,0.3,0.65,'y!Dfwhm2!N = '+strtrim(string(res[1].fwhm,for='(F10.2)'),2)+string("53B)+$
  strtrim(string(sighma[1].fwhm,for='(F10.2)'),2)+' arcsec',/norm
 device,/close
set_plot,'x'
end
