pro long_corrsent_multiframe,log  ;;filar,wdir,slit,ext=ext

ofs=def_name(log,'OBJ',nobj)
wdir=def_wdir(log)
slit=def_par(log,'SLITSIZE')
ext='.fts'

nf=nobj
filar='obj_lin'+strtrim(indgen(nobj),2)+ext
filar1='obj_norm'+strtrim(indgen(nobj),2)+ext

sent=readfits(wdir+'sent.fts',hs)
  dls=sxpar(hs,'CDELT1')  &  l0s=sxpar(hs,'CRVAL1') & ns=n_elements(sent)
  ls=dindgen(ns)*dls+l0s

ca=0.012 & cc=0.12

for k=0,nf-1 do begin
  f=double(readfits(wdir+filar[k],hk))
  so=size(f)
  dl=sxpar(hk,'CDELT1')  &  l0=sxpar(hk,'CRVAL1')
  l=dindgen(so[1])*dl+l0
   extin=(ca*1./((l/10000.)^4.)+cc)*2.5/2.3

  texp=sxpar(hk,'EXPTIME')
  a=size(f)
  sent1=interpol(sent,ls,l)
  for j=0,a[2]-1 do begin
    f(*,j)=f(*,j)/(texp*sent1)
    f(*,j)=f(*,j)*exp(extin)
  endfor

;  f=f/slit[k] 

  sxaddpar,hk,'BUNIT','erg / cm^2 / s / Angstrom / arcsec^2'
  writefits,wdir+filar1[k],f,hk
endfor

end
