pro neonshifts,dir,disp=disp

;disp='VPHG550G';'VPHG1200G'

 cd,dir,cur=curd
 spawn,'ls *.FTS > flist'

 flist=read_text('flist',0,1000)
 nf=n_elements(flist)
  flist_neon=''
  for k=0,nf-1 do begin
    fk=readfits(flist[k],hk,/sil)
    if sxpar(hk,'IMAGETYP') eq 'neon' and strpos(sxpar(hk,'DISPERSE'),disp) ge 0 then begin
      flist_neon=[flist_neon,flist[k]]
      if n_elements(flist_neon) eq 2 then neon0=fk
       scale=double(strsplit(sxpar(hk,'IMSCALE'),'x',/ext))
    endif
  endfor
   nfn=n_elements(flist_neon)-1
  flist_neon=flist_neon(1:nfn)

size0=size(neon0)
neon=dblarr(size0[1],size0[2],nfn)
times=dblarr(nfn)
    neon(*,*,0)=neon0
shi=dblarr(nfn,size0[2])

anlag=30
lag=indgen(2*anlag+1)-anlag


  for k=0,nfn-1 do begin
    fk=readfits(flist_neon[k],hk,/sil)
    neon(*,*,k)=fk
    timestring=sxpar(hk,'START')
    times[k]=ratos(timestring)/15.
    for j=0,size0[2]-1 do begin
      vec=reform(neon(*,j,k))
      vec0=reform(neon0(*,j))
       corr=c_correlate(vec0,vec,lag)
       mac=max(corr,wmax)
         shi[k,j]=double(lag[wmax])*scale[0]
    endfor
  endfor

shimean=total(shi,2)/double(size0[2])

set_plot,'ps'
device,file=dir+'neonshifts_'+disp+'.eps',/enc,/land,xsize=28,ysize=18,yoffset=28
!p.multi=[0,nfn-1,1]
 for k=1,nfn-1 do begin
  plot,replicate(0.,size0[2]),dindgen(size0[2])*scale[1],xrange=[-(-min(shi)>1.),(max(shi)>1.)],$
   yrange=[0,size0[2]*scale[1]+100.],ytitle='y,arcsec',xtitle='xshift,arcsec',charsize=2.,charthick=2.5,$
    title='mean shift='+strtrim(string(median(shi(k,*)),for='(F10.2)'),2)+'arcsec'
   xyouts,(double(0)/double(nfn)-0.5)*((max(shi)>1.)+(-min(shi)>1.))*0.5,size0[2]*scale[1]+20.,'T!D0!N='+ratos(times[0]*15.,/inv),charsize=1.,charthick=2.5,orient=90
   oplot,shi(k,*),dindgen(size0[2])*scale[1],psym=2,symsize=0.25
   xyouts,(double(k)/double(nfn)-0.5)*((max(shi)>1.)+(-min(shi)>1.))*0.5,size0[2]*scale[1]+20.,'T='+ratos(times[k]*15.,/inv),charsize=1.,charthick=2.5,orient=90
   oplot,[(double(k)/double(nfn)-0.5)*((max(shi)>1.)+(-min(shi)>1.))*0.5,median(shi(k,*))],size0[2]*scale[1]+[20.,0.]
 endfor
!p.multi=0
device,/close
set_plot,'x'

end
