pro normspect,infile,outfile

insp=readfits(infile,hsp)
nx=n_elements(insp)
  l=dindgen(nx)*sxpar(hsp,'CDELT1')+sxpar(hsp,'CRVAL1')
 dl=sxpar(hsp,'CDELT1')
insp1=med_ext(insp,100)
wnol=where(abs(insp-insp1) le insp1)

cont0=lowess(l(wnol),insp(wnol),100,1.)
plot,l,insp,yrange=[0.,2.]*median(insp)
oplot,l,cont0,color=1000

cont=interpol(cont0,l(wnol),l)
outsp=insp/cont

writefits,outfile,outsp,hsp
writefits,exdir(infile)+'cont.fts',cont,hsp

end
