pro otha_long,wdir,yrange=yrange,nodeb=nodeb

  fhb=readfits(wdir+'4861_F0.fts',hhb)
  fho=readfits(wdir+'5006_F0.fts',hho)
  dfhb=readfits(wdir+'4861_df0.fts',dhhb)
  dfho=readfits(wdir+'5006_df0.fts',dhho)

dy=sxpar(hhb,'CDELT1')
y0=sxpar(hhb,'CRVAL1')

if dy ne sxpar(hho,'CDELT1') or y0 ne sxpar(hho,'CRVAL1') then message,'array sizes don`t agree'

y=dindgen(n_elements(fhb))*dy+y0

if not(keyword_set(yrange)) then yrange=[min(y),max(y)]

set_plot,'ps'
 device,filename=wdir+'otha.ps',/land
  plot,y,fho/fhb,yrange=[0.,2.],psym=2,xtitle='y,arcsec',ytitle='[OIII] 5007 / H!4b!3',$
    charsize=2.5,thick=3.,charthick=3.5,xrange=yrange
  oploterr,y,fho/fhb,sqrt((dfho/fhb)^2+(dfhb/fho)^2)
 device,/close
set_plot,'x'


end
