pro out_map,logfile

insx=45
insy=45
ddy=0 ;;200

slita=def_slit(logfile)
sliw=def_par(logfile,'SLITSIZE')
yobj=double(strsplit(def_par(logfile,'YOBJ'),',',/ext))
wdir=def_wdir(logfile)

map=readfits(wdir+'map_i.fts',hm)
pos=sxpar(hm,'POSANG')
; map=rotate(map,7)
amap=size(map)
x=dindgen(amap[1])*sxpar(hm,'CDELT1')+sxpar(hm,'CRVAL1')
y=dindgen(amap[2])*sxpar(hm,'CDELT2')+sxpar(hm,'CRVAL2')

pos=sxpar(hm,'POSANG')
x0=4.  &  y0=3.
lx=15.*double(insx)/double(insy)  &  ly=15.

sc=strsplit(sxpar(hm,'IMSCALE'),'x',/ext)

xar=x-(slita)*sc[0]  &  yar=y  ;(dindgen(amap[2]))*sc[1]

slita1=slita-sxpar(hm,'CRVAL1')/sc[0]+2.
xar1=xar(round(slita1)-insx:round(slita1)+insx)
ydmin=min(abs(y-.5*(yobj[0]+yobj[1])),ywmin)
ywmin=ywmin-8
yar1=yar(ywmin-insy+ddy:ywmin+insy+ddy)
map1=med_ext2(map(round(slita1)-insx:round(slita1)+insx,ywmin-insy+ddy:ywmin+insy+ddy),5)

set_plot,'ps'
loadct,0
 device,filename=wdir+'map.ps',/land,xsize=15,ysize=20
  tvscl,-alog(map+median(map)*0.),x0,y0,xsize=lx,ysize=ly,/cent
loadct,26
;  tvscl,alog(map1+median(map1)*0.),x0+lx/4.,y0+double(yobj[0])*ly/double(amap[2])/sc[1],$
;       xsize=lx/2.,ysize=ly*double(yobj[1]-yobj[0])/double(amap[2])/sc[1],/cent
loadct,0
  contour,map,xar,yar,/nodata,/noer,yst=1,xst=1,xrange=[min(xar),max(xar)],yrange=[min(yar),max(yar)],$
     pos=[x0,y0,x0+lx,y0+ly]*1000.,/device,charsize=2.,charthick=3.
;  axis,(slita*ly/double(amap[1])+x0)*1000.,yaxis=1,charsize=2.,charthick=3.,xthick=3.,yst=1,xst=5,/dev
   oplot,[(slita*ly/double(amap[1])),(slita*ly/double(amap[1]))],[min(yar),max(yar)]
  drawne,.7,.6,pos,r=.1
 device,/close

loadct,0
 device,filename=wdir+'map_obj.eps',/port,xsize=20,ysize=20,/encaps
  tvscl,-alog(map1-median(map1)*.8),/cent,x0,y0,xsize=lx,ysize=ly
loadct,0
  contour,map1,xar1,yar1,/nodata,/noer,yst=1,xst=1,xrange=[min(xar1),max(xar1)],yrange=[min(yar1),max(yar1)],$
     pos=[x0,y0,x0+lx,y0+ly]*1000.,/device,charsize=2.,charthick=3.,/iso,xtitle='x,arcsec',ytitle='y,arcsec'
;  axis,(slita*ly/double(amap[1])+x0)*1000.,yaxis=1,charsize=2.,charthick=3.,xthick=3.,yst=1,xst=5,/dev
;  axis,0.,yaxis=1,charsize=2.,charthick=3.,xthick=3.,yst=1,xst=5,/data
;   oplot,[0.,0.],[min(yar),max(yar)]
   oplot,[-.5,-.5]*sliw[0],[min(yar),max(yar)],thick=2.
   oplot,[.5,.5]*sliw[0],[min(yar),max(yar)],thick=2.
  drawne,.35,.7,pos,r=.1
 device,/close
set_plot,'x' 

end
