pro scancorrect,dir

 cd,dir,cur=curd
 spawn,'ls *.FTS > flist'
 flist=read_text('flist',0,1000)
 nf=n_elements(flist)

 for k=0,nf-1 do begin
   f=readfits(flist[k],h)
   if sxpar(h,'IMAGETYP') ne 'scan' then obs=sxpar(h,'OBSERVER')
   if sxpar(h,'IMAGETYP') ne 'scan' then seing=sxpar(h,'SEEING')
   if sxpar(h,'IMAGETYP') ne 'scan' then ut=ratos(sxpar(h,'UT'))/15.
   if sxpar(h,'IMAGETYP') ne 'scan' then st=ratos(sxpar(h,'ST'))/15.
   if sxpar(h,'IMAGETYP') ne 'scan' then local=ratos(sxpar(h,'START'))/15.
   if sxpar(h,'IMAGETYP') ne 'scan' then continue
   sxaddpar,h,'OBSERVER',obs
 ;  sxaddpar,h,'OBSERVER',obs
    cubeno=long(strmid(flist[k],4,2))
   time0=sxpar(h,'START')  ;; starting file
   if sxpar(h,'DATE-OBS') eq '2006/26/05' then begin
     case cubeno of
      '07': time0='02:37:00'
      '08': time0='02:48:00'
      '09': time0='03:00:03'
      '10': time0='03:47:03'
     endcase
   endif
    fileno=long(strmid(flist[k],6,2))
    time=ratos(time0)/15.+double(fileno)*5000./140. mod 86400.
    utcur=time+ut-local ;mod 86400.
    stcur=time+st-local ;mod 86400.
   sxaddpar,h,'START0',time0,'starting time for the first file in the scan'
   sxaddpar,h,'START',ratos(time*15.,/inv,delim=':'),'starting time for the current file in the scan'
   sxaddpar,h,'UT',ratos(utcur*15.,/inv,delim=':')
   sxaddpar,h,'ST',ratos(stcur*15.,/inv,delim=':')
   sxaddpar,h,'OBJECT','SS433'
   sxaddpar,h,'RA','19:12:09.68'
   sxaddpar,h,'DEC','+04:59:24.9'
   sxaddpar,h,'MODE','DRIFT'
   sxaddpar,h,'NODE','AB'
   sxaddpar,h,'GAIN',0.486
   sxaddpar,h,'IMSCALE','0.37x0.00714','arcsec/pix x sec/pix'
   sxaddpar,h,'BINNING','2x1'
   sxaddpar,h,'PROG-ID','Spectroscopy of SS433'
   sxaddpar,h,'AUTHOR','Cherepashchuk'
   sxaddpar,h,'DISPERSE','    '
   sxaddpar,h,'COMMENT','Scan header added post-factum!'
   sxaddpar,h,'COMMENT','START time corresponds to the first file in the cube,'
   sxaddpar,h,'COMMENT','All the times are updated post-factum'
   sxaddpar,h,'CHANNEL',''
   sxaddpar,h,'FILE',flist[k]
   sxaddpar,h,'FILTERS','V'
   sxaddpar,h,'SPERANGE','5470A EW=790A'
   sxaddpar,h,'FILENO',fileno,'file number in the scan'
   writefits,flist[k],f,h
 ;  sxaddpar,h,'START',
 endfor

end
