;test substraction NS in SCORPIO linearised frame
;determination Sky
function sky_level,vector,pos,wy,yc,w
;Npoint - number point for sky estimate
;yc     - center mask
;w      - mask width
;pos	- position region for estimation NS
;wy	- half-width region for estimation NS
Ny=N_elements(vector)
Npos=N_elements(pos)
if  pos(Npos-1) gt Ny-wy-1 then pos(Npos-1)=Ny-1-wy
val=fltarr(Npos)
for k=0,Npos-1 do begin
robomean,vector(pos(k)-wy:pos(k)+wy),1,0.5,avg_value
val(k)=avg_value
endfor
R=where(pos lt yc-w/2 OR pos gt yc+w/2,ind)
pos=pos(R) & val=val(R)
sky=INTERPOL( val,pos, findgen(Ny),/LSQUADRATIC)
return,sky
end
