pro spect_norm,infile,sent,out=out

if not(keyword_set(out)) then out='spect_norm'

f=readfits(infile,hsp)
dl=sxpar(hsp,'CDELT1')  &  l0=sxpar(hsp,'CRVAL1')  &  nx=n_elements(f)
l=dindgen(nx)*dl+l0

s=readfits(sent,hss)
dls=sxpar(hss,'CDELT1')  &  l0s=sxpar(hss,'CRVAL1')  &  nxs=n_elements(s)
ls=dindgen(nxs)*dls+l0s

s1=interpol(s,ls,l)

f=f/s1
writefits,exdir(infile)+out+'.fts',f,hsp

end
