function starloss,log,l=l
; log='/data2/sco_ulxs/s050828/ic342.txt'

rdir=def_rdir(log)
wdir=def_wdir(log)

extra_max,wdir,'star_norm',slitsize=0,log=log
extra_max,wdir,'starslit_norm',slitsize=0,log=log

spslit=readfits(wdir+'starslit_norm_sp.fts',hslit)
sp=readfits(wdir+'star_norm_sp.fts',h)
nx=n_elements(sp)  &  dl=sxpar(h,'CDELT1')  &  l0=sxpar(h,'CRVAL1')
l=dindgen(nx)*dl+l0

wslit=readfits(wdir+'starslit_norm_fwhm.fts',hsw)

losses=med_ext(sp/spslit,20)
;;slitloss,seeing,offset,slitwidth
  sw=sxpar(hsw,'SLITWID')
   if sw eq 0. then sw=1.
offsets=dindgen(10)*0.25
losses_theor=dblarr(nx,10)
for j=0,9 do for k=0,nx-1 do losses_theor[k,j]=slitloss(wslit[k],offsets[j],sw)

set_plot,'ps'
device,file=wdir+'starloss.eps',/enc,/color,xsize=28,ysize=21,/land,xoffset=0,yoffset=28
plot,l,1./losses,thick=3.,xtitle='wavelength,'+string("305B),charsize=2.,charthick=2.5,yrange=[min(1./losses) > 0.,max([1./losses,reform(losses_theor,n_elements(losses_theor))])] ;;,yrange=[min(losses),max(losses(where(l le 6000)))]
loadct,27
for j=0,9 do oplot,l,losses_theor(*,j),color=1000,thick=1.
loadct,0
for j=0,9 do xyouts,l0-450.,median(losses_theor(*,j)),strtrim(string(offsets[j],for='(F10.2)'),2),charsize=1.,charthick=3.5
device,/close
set_plot,'x'

return,losses
end
