pro unred_long,infile,outfile,avfile

  data=readfits(infile,hin)
  sd=size(data)
  yd=dindgen(sd[2])*sxpar(hin,'CDELT2')+sxpar(hin,'CRVAL2')
  ld=dindgen(sd[1])*sxpar(hin,'CDELT1')+sxpar(hin,'CRVAL1')

  av=readfits(avfile,ha)
  nav=n_elements(av)
  yav=dindgen(nav)*sxpar(ha,'CDELT1')+sxpar(ha,'CRVAL1')

w1=where(yd le max(yav) and yd ge min(yav),nw1)
out=data(*,w1)

for k=0,nw1-1 do begin
  tmp=reform(out(*,k))
  ccm_unred,ld,tmp,av[k]/3.1
  out(*,k)=tmp
endfor

hout=hin

sxaddpar,hout,'CRVAL2',min(yd(w1))

writefits,outfile,out,hout
end
