pro view_anyfile,filename,gro=gro

if n_elements(filename) gt 1 then begin

 nf=n_elements(filename)
 for k=0,nf-1 do view_anyfile,filename[k]
 goto,final
endif 

a=size(filename)
if a[0] eq 1 then filename=filename[0]

 extension=strlowcase(strmid(filename,strpos(filename,'.',/reverse_search)+1,strlen(filename)-strpos(filename,'.',/reverse_search)-1))

 if extension eq 'fts' or extension eq 'FTS' or extension eq 'fits' then goto,ftsopen

 if extension eq 'ps' or extension eq 'eps'  then begin
   message,'postscript file suggested...',/cont
   spawn,'gv '+filename
 endif
 if extension eq 'jpg' or extension eq 'gif'  or extension eq 'bmp'  then begin
   message,'image...',/cont
   spawn,'xv '+filename
 endif
 if extension eq 'txt' or extension eq 'dat'  or strpos(filename,'.',/reverse_search) eq -1 then begin
   message,'text file suspected...',/cont
   xdisplayfile,filename,/block,grou=gro
 endif

 goto,final

ftsopen:

message,'fits-file suggested...',/cont

 f=readfits(filename,h)
 check_FITS, f, h,/noty
 nax=sxpar(h,'NAXIS')

if nax lt 1 then message,'0D file!'
a=size(f)
dx=sxpar(h,'CDELT1')  &  x0=sxpar(h,'CRVAL1') 
  if dx eq 0. then dx=1
x=dindgen(a[1])*dx+x0
  obj=sxpar(h,'OBJECT')
  type=sxpar(h,'IMAGETYP')
  exp=sxpar(h,'EXPTIME')

if nax eq 1 then begin
window,/free,xsize=400,ysize=200,retain=2
  plot,x,f,xtitle='X-coord (whatever it is...)',ytitle='flux in some units',title=type+' '+obj+', exp'+strtrim(string(exp,for='(I10)'),2)+'s'
endif else begin
  if nax eq 2 then begin
    dy=sxpar(h,'CDELT2')  &  y0=sxpar(h,'CRVAL2') 
    if dy eq 0. then dy=1
   y=dindgen(a[2])*dy+y0
f1=rebin(f(0:floor(a[1]/5)*5-1,0:floor(a[2]/5)*5-1),floor(a[1]/5),floor(a[2]/5))
window,/free,xsize=floor(a[1]/5)+100,ysize=floor(a[2]/5)+100,retain=2
tvscl,-alog(f1+median(f1)*1.),50,50,xsize=floor(a[1]/5),ysize=floor(a[2]/5)
loadct,27,/sil
contour,alog(f1+median(f1)*1.),x(0:floor(a[1]/5)-1)*5.,y(0:floor(a[2]/5)-1)*5.,/fill,nlev=1,pos=[50,50,floor(a[1]/5)+50,floor(a[2]/5)+50],/dev,/noer,$
  /noda,color=1000,xtitle='X-coord',ytitle='X-coord',/xst,/yst,title=type+' '+obj+', exp'+strtrim(string(exp,for='(I10)'),2)+'s'
loadct,0,/sil
  endif
  if nax eq 3 then dialog_message,'3D file: try cubv!',/cont
  if nax gt 3 then dialog_message,'multiD file: N_axes='+string(nax),/cont
endelse

final:

end
