; convert set of files from 2D-fits to 3D fits
PRO ALL2TO3,w_dir=w_dir,star=star,test=test

if not(keyword_set(w_dir)) then cd,current=w_dir

;***  obj ***
cub2to3,'obj_lin.fts','obj_lin3.fts',w_dir=w_dir
cub2to3,'obj_abs.fts','obj_abs3.fts',w_dir=w_dir
cub2to3,'obj-sky.fts','obj-sky3.fts',w_dir=w_dir

; *** star ***
if keyword_set(star) then  begin
  cub2to3,'star_lin.fts','str_lin3.fts',w_dir=w_dir
  cub2to3,'star_abs.fts','str_abs3.fts',w_dir=w_dir
  cub2to3,'star-sky.fts','str-sky3.fts',w_dir=w_dir
endif

; *** test ***
if keyword_set(test) then begin
  cub2to3,'test_lin.fts','tst_lin3.fts',w_dir=w_dir
  cub2to3,'test_abs.fts','tst_abs3.fts',w_dir=w_dir
  cub2to3,'test-sky.fts','tst-sky3.fts',w_dir=w_dir
endif

END
