pro allines_map,filar,wdir,w_psf
  n=n_elements(filar)
  for k=0,n-1 do begin
    f=readfits(wdir+filar[k],h)
    if k eq 0 then fsum=f else fsum=fsum+f
  endfor
  fsum=fsum/double(n)
s=size(fsum)
 ; contour,rebin(fsum,20*s[1],20*s[2])
  fcub=reform(fsum,s[1],16,15)

  psf=dblarr(5,5)
  sighma=w_psf/(2.*sqrt(2.*alog(2.)))
  for k=0,4 do begin
    for j=0,4 do psf[k,j]=exp(-(((double(j)-2.)/sighma)^2+((double(k)-2.)/sighma)^2)/2.)
  endfor
psf=psf/total(psf)

for j=0,s[1]-1 do begin
  decim=reform(fcub(j,*,*))
  for u=0,5 do max_likelihood, reform(fcub(j,*,*)), psf, decim, FT_PSF=psf_ft ;, /GAUSSIAN
  fcub(j,*,*)=decim
endfor
fsum=reform(fcub,s[1],s[2])

   h2=h

  fileout='multilines_cube.fts'
  sxaddpar,h2,'FILE',fileout
  sxaddpar,h2,'IMAGETYP','combined lines cube'
  writefits,wdir+fileout,fsum,h2
 
end
