pro barycenters,wdir

; dra=[0.302,-0.11,0.058,-0.196,-0.111,-0.061,-0.116,-0.137]
; ddec=[0.146,-0.10,0.011,-0.237,-0.08,-0.064,-0.081,-0.084]
; erra=[0.05,0.02,0.015,0.015,0.013,0.013,0.014,0.014]
; erdec=[0.03,0.02,0.015,0.015,0.013,0.013,0.014,0.014]
 lid=['HeII!4k!34686','H!4b!3','[OIII]!4k!35007','[OI]!4k!36300',$
   'H!4a!3','[NII]!4k!36583',$
   '[SII]!4k!36717','[SII]!4k!36731']
lambda=[4686,4861,5007,6300,6563,6584,6717,6731]
labels_yshift=[2.0,  4.0,  6.5, -5.5,  6.5,  -5., -4.5, -2.5]*.55
labels_xshift=[-7.5, 8., -2.5, -2., 4.5,  -7.5, 4.0, 7.5]*.55

nl=n_elements(lambda)
dra=dblarr(nl)  &  ddec=dblarr(nl)  &  erra=dblarr(nl)  &  erdec=dblarr(nl) 
 for k=0,nl-1 do begin
   objinfo,wdir,lambda[k],alpha=atmp,delta=dtmp,dal=eraltmp,dde=erdetmp
dra[k]=atmp &  ddec[k]=dtmp  &  erra[k]=eraltmp  &  erdec[k]=erdetmp
;   ctmp=objcen(wdir+strtrim(string(lambda[k],format='(I20)'),2)+'_F.FTS')
;   dra[k]=ctmp[0]  &  ddec[k]=ctmp[1]  &  erra[k]=ctmp[2]  &  erdec[k]=ctmp[3]
 endfor

barshow,dra,ddec,erra,erdec,lid,labels_xshift,labels_yshift
end
