pro cicam_red,wdir,w_lines   ;,llist

llist=[4340.47,4861.33,5876.,6678.15,6562.6,5754.6,5006.9]
lnslist=[5577.345,6299.8,6364.]

decont,'obj_cor.fts',wdir,'cont.fts',gf,sighmas,plot=1 

                      ; LINE PARAMETERS' MAPS CREATION
;        maps_all,'obj_decont.fts',wdir,w_lines,llist
;          spawn,'mkdir '+wdir+'/skylines'
;          spawn,'cp '+wdir+'obj_lsky.fts '+wdir+'skylines/obj_lsky.fts'
;        maps_all,'obj_lsky.fts',wdir+'skylines/',w_lines,lnslist
        maps_all,'obj_decont.fts',wdir,w_lines,llist

                      ; PSF construction and comparison
        w_psf=psf_def('star_abs.fts',wdir)
       ; allines_map,['4861_cube.FTS','5876_cube.FTS','6678_cube.FTS'],wdir,w_psf[0]       
       velmap_all,['4861_V.FTS','5876_V.FTS','6678_V.FTS'],wdir
;        anacont,'obj_abs.fts',[5380.,5660.,6000.,6100.,6750.],w_lines,wdir
         deconv,'4861_F.FTS','psf.fts',wdir,nc=5
         deconv,'4861_F.FTS','psf.fts',wdir,nc=5

        w_line=lw_def(lnslist,wdir+'skylines/')
        parha=halpha_deblend(8.,16.,[6530.,6610],10,wdir,'obj_nph.fts')

        deline,[6520.,6600.],'obj_nph.fts',wdir,parha(0).fwhm,parha(2).fwhm,parha(0).max,parha(2).max,parha(0).center,parha(1).fwhm 
        flux_comp,wdir,w_psf

                       ; creating emission lines trajectories

        out=['track_hg.ps','track_hb.ps','track_ha.ps','track_he5876.ps','track_he6678.ps']
        llist=[4340.,4861.33,6562.6,5876.,6678.15]
        nsout=['track_5577.ps','track_6300.ps','track_6364.ps']
        w_track=replicate(1.,5)

        for k=0,n_elements(llist)-1 do linetrack,'obj_nph.fts',wdir,out(k),llist(k),8.,w=w_track(k)
        linetrack,'obj_nph.fts',wdir,'track_ha1.ps',6563.,10.,w=1.
        for k=0,n_elements(lnslist)-1 do linetrack,'obj_nph.fts',wdir,nsout(k),lnslist(k),8.,w=w_track(k)

     ;   allines_map,['track_ha.ps.fts','track_hb.ps.fts','track_hg.ps.fts','track_he5876.ps.fts','track_he6678.ps.fts']
end
