pro contour1,arr,x,y,levels,pos,ylim=ylim,field=field
on_error,2
if not(keyword_set(ylim)) then ylim=[min(y),max(y)]

q=5
levels1=interpol(levels,dindgen(n_elements(levels)),dindgen((q-1)*n_elements(levels)+1)/q)
  contour,arr,x,y,levels=levels1,/downhill,closed=0,/path_double,$
  path_info=info,path_xy=xy,/irr

kk=0
  for k=0,n_elements(info)-1 do begin
    xar=reform(xy(0,indgen(info[k].n)+info[k].offset)) & yar=reform(xy(0,indgen(info[k].n)+info[k].offset))
    loopsize=max([stdev(xar)*(max(x)-min(x)),stdev(yar)*(max(y)-min(y))])

if info[k].n gt 3 then begin
    deltax=shift(xy(0,indgen(info[k].n)+info[k].offset),1)-shift(xy(0,indgen(info[k].n)+info[k].offset-1),-1)
    deltax=deltax(1:info[k].n-2)
    deltay=shift(xy(1,indgen(info[k].n)+info[k].offset),1)-shift(xy(1,indgen(info[k].n)+info[k].offset-1),-1)
    deltay=deltay(1:info[k].n-2)
    looparea=abs(.5*total(deltax*xy(1,indgen(info[k].n-2)+info[k].offset+1)-deltay*xy(0,indgen(info[k].n-2)+info[k].offset+1)))*(max(x)-min(x))*(max(y)-min(y))
endif

    if info[k].n gt 3 and loopsize ge .8 then begin
     ; plot,xy(0,indgen(info[k].n)+info[k].offset),xy(1,indgen(info[k].n)+info[k].offset),/device,/noer,pos=pos,yst=5,xst=5,$
     ;    yrange=[0.,1.],xrange=[0.,1.]
      dx=xy(0,info[k].offset+2)-xy(0,info[k].offset)
      dy=xy(1,info[k].offset+2)-xy(1,info[k].offset)
      deg=asin(dy/dx)*!RADEG
     ; xyouts,xy(0,info[k].offset)-dx*.5,xy(1,info[k].offset)-dy*.5,strtrim(string(info[k].value,format='(F8.2)'),2),/data,$
     ;   orientation=deg,charsize=.75
      if kk eq 0 then begin
        xar1=reform(xy(0,indgen(info[k].n)+info[k].offset))
        yar1=reform(xy(1,indgen(info[k].n)+info[k].offset))
        arr1=replicate(info[k].value,info[k].n)
      endif else begin
        xar1=[xar1,reform(xy(0,indgen(info[k].n)+info[k].offset))]
        yar1=[yar1,reform(xy(1,indgen(info[k].n)+info[k].offset))]
        arr1=[arr1,replicate(info[k].value,info[k].n)]
      endelse
      kk=kk+1
    endif
  endfor
;arr2=arr1(where(yar1 le ylim/(max(y)-min(y))))
;xar2=xar1(where(yar1 le ylim/(max(y)-min(y))))
;yar2=yar1(where(yar1 le ylim/(max(y)-min(y))))
arr2=arr1(where(yar1 le max(ylim)/(max(y)-min(y)) and yar1 ge min(ylim)/(max(y)-min(y))))
xar2=xar1(where(yar1 le max(ylim)/(max(y)-min(y)) and yar1 ge min(ylim)/(max(y)-min(y))))
yar2=yar1(where(yar1 le max(ylim)/(max(y)-min(y)) and yar1 ge min(ylim)/(max(y)-min(y))))
; arr3=min_curve_surf(arr2,xar2,yar2)

if not(keyword_set(field)) then begin
  contour,arr2,xar2*(max(x)-min(x))+min(x),yar2*(max(y)-min(y))+min(y),levels=levels,/irr,/downhill,c_annotation=strtrim(string(levels,format='(I8)'),2),$
      c_labels=replicate(1,n_elements(levels)),/device,pos=pos,/noer,/foll,$
      xst=5,yst=5,yrange=[min(y),max(y)],xrange=[min(x),max(x)],closed=0,$
      c_charsize=1.6,c_thick=3.,c_charthick=3.
endif else begin
  contour,arr2,xar2*(max(x)-min(x))+min(x),yar2*(max(y)-min(y))+min(y),levels=levels,/irr,/downhill,c_annotation=strtrim(string(levels,format='(I8)'),2),$
     c_labels=replicate(1,n_elements(levels)),/device,pos=pos,/noer,/foll,$
     xst=5,yst=5,yrange=[0,field[0]-1],xrange=[0,field[1]-1],closed=0,$
     c_charsize=1.6,c_thick=3.,c_charthick=3.
endelse
end
