Function DEF_COR,vector2,vector1,x1=x1,x2=x2,FWHM=FWHM,plot=plot
; determination offset shifting between tvector1 and vector2
; from Cross-Correlation Peak analysis
 p=10 ; % for apodization
 num=n_elements(vector1)
 if not(keyword_set(x1)) then x1=0 else x1=fix(x1)
 if not(keyword_set(x2)) then x2=num-1 else x2=fix(x2)
 if not(keyword_set(FWHM)) then w=5 else w=fwhm
 if not(keyword_set(plot)) then plot=0
 nmax=x2-x1+1
 mul=cosin_apod(nmax,p); apodisation function
 f=dindgen(nmax)-nmax/2-(nmax mod 2)
 vec1=vector1(x1:x2)
 vec2=vector2(x1:x2)

 vec1=(vec1-total(vec1)/nmax)*mul
 vec2=(vec2-total(vec2)/nmax)*mul
  ; cross-correlation
  cor=cross_c(vec1,vec2)
  mm=max(cor,posm)
  bar=f(posm) ; position of the maximum
  g=gaus_fit(f,cor,w,limmax=bar+w,limmin=bar-w,plot=plot)
  return,g(1)

END
