pro feature_span,infile,yrange,flux=flux,ew=ew,dflux=dflux,dew=dew

sp=readfits(infile,h)
nx=n_elements(sp)
l=dindgen(nx)*sxpar(h,'CDELT1')+sxpar(h,'CRVAL1')
dl=sxpar(h,'CDELT1')
wr=where(l gt min(yrange) and l lt max(yrange),nr)
wn=where((l lt min(yrange)-100. or l gt max(yrange)+100.) and (l gt min(yrange)-200. and l lt max(yrange)+200.) $
 and sp le median(sp(wr))*2.,nn)

contpars=goodpoly(l(wn),sp(wn),1,1.)     ; lowess(l,interpol(sp(wn),l(wn),l),200.,1.)
; cont=interpol(cont0,l(wn),l,/spline)
; cont=smooth(med_ext(sp,100),100)
cont=poly(l,contpars)

sp_norm=sp/cont

ew=int_tabulated(l(wr),1.-sp_norm(wr))  &  flux=int_tabulated(l(wr),sp(wr)-cont(wr))

!p.multi=[0,1,2]
plot,l,sp,xrange=[min(yrange)-200.,max(yrange)+200.]
oplot,l,cont,color=1000

plot,l,sp_norm,xrange=[min(yrange)-200.,max(yrange)+200.]

!p.multi=0

wr1=where(l gt min(yrange)-200. and l lt max(yrange)+200.)
sp_norm=sp_norm(wr1)

sig=stdev(sp_norm)
sig=stdev(sp_norm(where(abs(sp_norm-1.) le sig)))

dflux=sig*sqrt(nr)*flux
dew=sig*sqrt(nr)

end
