pro hahb,wdir
  file1=wdir+'6563_F.FTS'  &  file2=wdir+'4861_F.FTS'
  field=[16,16]
  ima2=rotate(readfits(file2,h2),7)
  ima1=rotate(readfits(file1,h1),7)

  posang=sxpar(h1,'POSANG')

  x=rebin(dindgen(field[0]),field[0],field[1])
  y=transpose(x)

; ima1=smooth(med_ext2(ima1,3),3)
; ima2=smooth(med_ext2(ima2,3),3)

fr=med_xy(ima1/ima2,3)
; fr(where(ima2 le 2.e-17 or x lt 4 or y lt 2 or y gt field[1]-2 or x gt field[0]-2))=3.
w1=where(fr gt 2.5 and fr le 10. and x gt 3 and x lt 12 and y gt 1 and y lt 13 and ima2 gt 2.e-17)
x1=x(w1)  &  y1=y(w1)  &  fr1=fr(w1) 
fr(2:3,*)=10.  &  fr(4:5,14:15)=10.
;fr(0,*)=fr(1,*)  &  fr(*,field[0]-2)=fr(*,field[0]-3)  &  fr(field[0]-1,*)=fr(field[0]-2,*)
;fr(*,0)=fr(*,1)  &  fr(*,field[1]-1)=fr(*,field[0]-2)
fr(where(1-finite(fr) or ima2+ima1 le median(ima2+ima1)*.8))=10.
; fr=fr>2.5

x1=x(w1)  &  y1=y(w1)  &  fr1=fr(w1) 

  lev_frac=dindgen(50)*.25+2.5
  lev_frac1=dindgen(4)*1.+3.

  set_plot,'x'
;  xloadct

;   contour,fr,x,y,levels=lev_frac,c_annotation=strtrim(string(lev_frac,format='(F6.3)'),2),xst=1,yst=1,/fill,yrange=[max(y),min(y)] 

 ; drawne,.8,.8,posang,r=.1
  posar=posang*!DPI/180.

ra0=sxpar(h1,'RA') & dec0=sxpar(h1,'DEC')
ra='20 35 0.737'  &  dec='+60 11 30.83'

xch=-(ratos(ra)-ratos(ra0))*cos(posar)*cos(detos(dec0)/206265.)+(detos(dec)-detos(dec0))*sin(posar)+double(field[0])/2.
ych=(ratos(ra)-ratos(ra0))*sin(posar)*cos(detos(dec0)/206265.)+(detos(dec)-detos(dec0))*cos(posar)+double(field[1])/2.

   plotsym,0,4,color=-1
   plots,xch,15.-ych,psym=8,/data,color=-1,symsize=1.

post=[3.,3.,3.+field[0],3.+field[1]]*1000.

set_plot,'ps'
device,filename=wdir+'hahb.ps',xsize=5.+field[0],ysize=5.+field[0] ;,/color
    contour,fr,x,y,/fill,xst=1,yst=1,$
     charsize=2.5,charthick=3.,xrange=[min(x)-0.5 ,max(x)+0.5],yrange=[min(y)-0.5 ,max(y)+0.5]
    contour,fr1,x1,y1,levels=lev_frac1,/down,/over,c_annotation=strtrim(string(lev_frac1,format='(F6.3)'),2),$
       c_charsize=1.5,c_charthick=3.,/irr ;,xticks=field[0]-1,yticks=field[1]-1
 ; drawne,.8,.8,posang,r=.1   
   plotsym,0,4,color=-1,thick=5.
   plots,xch,ych,psym=8,/data,color=-1,symsize=1.

device,/close
set_plot,'x'

writefits,wdir+'hahb.fts',fr,h1

; *** passing to A_v... ***
av=reform(hahb_to_av(fr),field[0],field[1])
av=av > 1.15

av1=hahb_to_av(fr1)
av_frac=hahb_to_av(lev_frac)
av_frac1=hahb_to_av(lev_frac1)

av_frac=av_frac(where(av_frac gt 0))
av_frac1=av_frac1(where(av_frac1 gt 0))

av_frac1=dindgen(5)*.5+0.
av_frac=dindgen(80)*.02+0.5

set_plot,'ps'
device,filename=wdir+'av.ps',xsize=5.+field[0],ysize=5.+field[0],/port ;,/color
;    tvlct,[0,255,0,0],[0,0,255,0],[0,0,0,255]
loadct,0
  ; tvscl,av,post[0]/1000.,post[1]/1000.,xsize=(post[2]-post[0])/1000.,ysize=(post[3]-post[1])/1000.,/cent
    contour,av,x,y,levels=av_frac,xst=1,yst=1,/follow,pos=post,/dev,/fill,$
       xrange=[min(x)-0.5 ,max(x)+0.5],yrange=[min(y)-0.5 ,max(y)+0.5],$
       charsize=2.5,charthick=3.5,thick=2.  ;,yrange=[max(y),min(y)]     
loadct,0
  ;  contour,av(w1),x(w1),y(w1),levels=av_frac,/fill,xst=1,yst=1,/nodata,/noerase,/follow,pos=post,/irr,$
  ;   charsize=2.5,charthick=3.5,/dev,xrange=[min(x)-0.5 ,max(x)+0.5],yrange=[min(y)-0.5 ,max(y)+0.5]  ;,c_charsize=2.,c_charthick=2.5
    contour,av1,x1,y1,levels=av_frac1,/downhill,/over,c_annotation=strtrim(string(av_frac1,format='(F6.3)'),2),$
       c_charsize=1.5,c_charthick=3.,/irr,c_thick=2. ;,xticks=field[0]-1,yticks=field[1]-1
  drawne,.85,.7,posang,r=.1   
   plotsym,0,4,color=1,thick=10.
   plots,xch,ych,psym=8,/data,color=-1,symsize=1.

device,/close
set_plot,'x'

writefits,wdir+'av_hahb.fts',reform(av,field[0],field[1]),h1

end
