pro hahecon,wdir

cont=readfits(wdir+'contmap.fts',hc)
he2=readfits(wdir+'4685_F0.fts',hhe2)
ha=readfits(wdir+'6562_F0.fts',hha)
dhe2=readfits(wdir+'4685_df0.fts',hhe2)

sc=size(cont)
sha=size(ha)
she2=size(he2)

dyc=sxpar(hc,'CDELT1')
dyha=sxpar(hha,'CDELT1')
dyhe2=sxpar(hhe2,'CDELT1')
y0c=sxpar(hc,'CRVAL1')
y0ha=sxpar(hha,'CRVAL1')
y0he2=sxpar(hhe2,'CRVAL1')
yc=dindgen(sc[1])*dyc+y0c
yha=dindgen(sha[1])*dyha+y0ha
yhe2=dindgen(she2[1])*dyhe2+y0he2

wpos=where(he2 ge -dhe2)

set_plot,'ps'
device,filename=wdir+'hahecon.ps',/land,xsize=28,ysize=19
!p.thick=3.
 plot,yc,cont*.2,yrange=[-.1,4.]*1.e-15,charsize=1.5,charth=2.5,xtitle='y, arcsec',$
   ytitle='Flux, erg cm!U-2!N s!U-1!N',pos=[5.,2.,27.,18.]*1000.,/dev
 oplot,yha,ha*.2,linestyle=2
 oplot,yhe2(wpos),he2(wpos),psym=1
 oploterr,yhe2(wpos),he2(wpos),dhe2(wpos)
!p.thick=1.
device,/close
set_plot,'x'

end
