pro hetox,wdir
  file1=wdir+'4686_F.FTS'  &  file2=wdir+'oxa.FTS'
colt=0
  field=[16,16]
  ima2=rotate(readfits(file2,h2),7)
  ima1=rotate(readfits(file1,h1),7)

  posang=sxpar(h1,'POSANG')

  x=rebin(dindgen(field[0]),field[0],field[1])
  y=transpose(x)

w1=where(x gt 1 and x lt field[0]-2 and y lt field[0]-4 and y gt 0)
  x1=x ;(w1)
  y1=y ;(w1)

ima1=smooth(med_ext2(ima1,3),3)
ima2=smooth(med_ext2(ima2,3),3)

fr=ima1/ima2
; fr(where(ima2 le 1.e-17))=10.
; fr(1,*)=fr(2,*) & fr(*,0)=fr(*,1) & fr(field[0]-1,*)=fr(field[0]-2,*) & fr(*,field[1]-2)=fr(*,field[1]-3)
; fr(0,*)=fr(1,*) & fr(*,0)=fr(*,1) & fr(field[0]-1,*)=fr(field[0]-2,*) & fr(*,field[1]-1)=fr(*,field[1]-2)
 fr1=fr
  lev_frac=dindgen(100)*.001+0.
  lev_frac1=dindgen(10)*.01+.01

  set_plot,'x'
;  xloadct

  contour,fr,x,y,levels=lev_frac,c_annotation=strtrim(string(lev_frac,format='(F6.3)'),2),xst=1,yst=1,/fill,yrange=[max(y),min(y)] 

;  drawne,.8,.8,posang,r=.1
  posar=posang*!DPI/180.

ra0=sxpar(h1,'RA') & dec0=sxpar(h1,'DEC')
ra='20 35 0.75'  &  dec='+60 11 30.9'

xch=-(ratos(ra)-ratos(ra0))*cos(posar)*cos(detos(dec0)/206265.)+(detos(dec)-detos(dec0))*sin(posar)+double(field[0])/2.
ych=(ratos(ra)-ratos(ra0))*sin(posar)*cos(detos(dec0)/206265.)+(detos(dec)-detos(dec0))*cos(posar)+double(field[1])/2.
   plotsym,0,4,color=-1
   plots,xch,15.-ych,psym=8,/data,color=-1,symsize=1.

set_plot,'ps'
device,filename=wdir+'hetox.ps',xsize=16,ysize=16,/color
 loadct,colt
    contour,-fr,x,y,/irr,levels=reverse(-lev_frac),/fill,xst=5,yst=5,/follow,xticks=field[0]-1,yticks=field[1]-1,$
              xrange=[min(x),max(x)],yrange=[min(y),max(y)]
loadct,0
    contour,-fr,x,y,/irr,levels=reverse(-lev_frac),/fill,xst=1,yst=1,/follow,xticks=field[0]-1,yticks=field[1]-1,$
              xrange=[min(x),max(x)],yrange=[min(y),max(y)],/nodata,/noer 

    contour,fr1,x1,y1,/irr,levels=lev_frac1,/downhill,/overplot,charsize=1.5,c_annotation=strtrim(string(lev_frac1,format='(F6.3)'),2) ;,yrange=[max(y),min(y)]
;  drawne,.85,.8,posang,r=.1   
   plotsym,0,4,color=1,thick=5.
   plots,xch,ych,psym=8,/data,color=1,symsize=1.

device,/close
set_plot,'x'

writefits,wdir+'hetox.fts',fr,h1

end
