pro ima_fwhm,inima,xybox

wdir=exdir(inima)

m=1

x0=xybox[0]  &  y0=xybox[1]
x1=xybox[2]  &  y1=xybox[3]
 
data=readfits(inima,h)

data=rotate(data,7)

da=size(data)
dx=1
dy=1

set_plot,'ps'
device,filename=wdir+'fwhm_ima.ps',xsize=da[1]+dx+2,ysize=da[2]+dy+2,xoffset=0,yoffset=0
tvscl,-data,dx,dy,xsize=da[1]*m,ysize=da[2]*m,/cent
seld=data(x0:x1,y0:y1)
tvscl,-seld,x0*m+dx*m,y0*m+dy*m,xsize=(x1-x0)*m,ysize=(y1-y0)*m,/cent
mm=1.e+16
n=100
x=(dindgen((x1-x0+1)*n)/double(n)+double(x0))
y=(dindgen((y1-y0+1)*n)/double(n)+double(y0))
data1=interpolate(data,dindgen(da[1]*n)/double(n),dindgen(da[2]*n)/double(n),/grid)
seld1=data1(x0*n:x1*n+n-1,y0*n:y1*n+n-1)
;tvscl,-seld1,min(x)*m+dx*m,min(y)*m+dy*m,xsize=(max(x)-min(x))*m,ysize=(max(y)-min(y))*m,/cent

ffit=gauss2dfit(seld*mm,a,/tilt)/mm
;ffit1=gauss2dfit(seld1*mm,a1,x,y,/tilt)/mm
contour,data,pos=[dx,dy,da[1]+dx,da[2]+dy]*m*1000,/device,/noer,xst=1,yst=1,/noda
;contour,ffit,x,y,xst=1,yst=1,$
;   pos=[min(x)+dx,min(y)+dy,max(x)+dx,max(y)+dy]*m*1000,/device,/noer,irr=0,nlevels=10
contour,ffit,dindgen(x1-x0+1)+double(x0),dindgen(y1-y0+1)+double(y0),xst=1,yst=1,$
   pos=[x0+dx,y0+dy,x1+dx,y1+dy]*m*1000,/device,/noer,irr=0,nlevels=10
xyouts,.5,.8,'FWHM='+strtrim(string(sqrt(a[2]^2+a[3]^2)*2.35/1.4142,format='(F5.3)'),2),/norm
device,/close
set_plot,'x'

end
