function interline,l,incub,w,wdir,oplot=oplot,ci,cont
  infile=readfits(wdir+incub,h)
  a=size(infile)
  cube=dblarr(a(1),16,15)
  cube=reform(infile,a(1),16,15)
  cd,wdir
;  set_plot,'ps'
 ; device,filename=out,xsize=15,ysize=15,/portrait ;,yoffset=100
  dl=sxpar(h,'CDELT1')
  l0=sxpar(h,'CRVAL1')
  lambda=l0+dl*dindgen(a(1))		; wavelength grid
  d=w/dl
  sp=dblarr(a(1))
  sp=total(infile,2)
    ccor=(l-l0)/dl 
gf=gaussfit(lambda(ccor-5:ccor+5),sp(ccor-5:ccor+5),gsp,nterms=4)
    lc=gsp(1)
    if d gt 1. then map=total(cube(ccor-d:ccor+d,*,*),1)-cont*n_elements(cube(ccor-d:ccor+d,*,*)) else map=cube(floor(ccor),*,*)-cont
    map=reform(map)/max(map)

    fb=reform(map(*,0))
    ft=reform(map(*,14))
    fr=reform(map(15,*))
    fl=reform(map(0,*))

    lowlim=median([fl,fr,ft,fb])>1.e-6
    q=double(.1)
    levels=double([.5])
    lab=[1]
    while q gt lowlim do begin
     ; print,q
      levels=[levels,q] & q=q/10.
      lab=[lab,0]
    endwhile
    if n_elements(lab) gt 1 then lab[1]=1 & lab[n_elements(lab)-1]=1
;  if keyword_set(oplot)  then contour,map,levels=reverse(levels),c_linestyle=replicate(ci,n_elements(levels)),c_labels=reverse(lab),/downhill,yrange=[0,14],/overplot $
;    else contour,map,levels=reverse(levels),c_linestyle=replicate(ci,n_elements(levels)),c_labels=reverse(lab)
  map=map/max(map)
  fit=gauss2dfit(map,a)
  rms=sqrt(total((fit-map)^2))
  ww=sqrt(((a(3))^2+(a(2))^2)*2*alog(2))
  return,[a(4),a(5),lc,rms*ww/total(map)]
end
