pro isover,infile,pos,h,xoffset=xoffset,yoffset=yoffset,xrange=xrange,yrange=yrange

if not(keyword_set(xoffset)) then xoffset=0
if not(keyword_set(yoffset)) then yoffset=0

close,/all
openr,1,infile
  head=''
  readf,1,head
   x=double(0)  &  y=double(0) 
  readf,1,x,y
  x1=x  &  y1=y
 while not(eof(1)) do begin
    readf,1,x1,y1
    x=[x,x1]  &  y=[y,y1]
 endwhile
close,1
xm=total(x)/n_elements(x)
ym=total(y)/n_elements(y)

theta=atan((y-ym)/(x-xm))

theta(where(x lt xm))=theta(where(x lt xm))+!DPI
;theta(where(x lt xm and y ge ym))=!DPI-theta(where(x lt xm and y ge ym))
;theta(where(x lt xm and y lt ym))=-!DPI+theta(where(x lt xm and y lt ym))
; if y lt 0 then theta=theta-!DPI/2.

ts=sort(theta)
x=x(ts)  &  y=y(ts)
x=[x,x[0]]  &  y=[y,y[0]]

ra=string(x)  &  dec=string(y)
for k=0,n_elements(x)-1 do begin
  ra[k]='20 33 '+strtrim(string(x[k],format='(F10.5)'),2) 
  dec[k]='+60 01 '+strtrim(string(y[k],format='(F10.5)'),2)
  jprecess,ratos(ra[k])/double(3600.),detos(dec[k])/double(3600.),ra_tmp,dec_tmp
  ra[k]=ratos(ra_tmp*double(3600.),/inv)
  dec[k]=detos(dec_tmp*double(3600.),/inv)
  adxy,h,ra_tmp,dec_tmp,x_tmp,y_tmp
  x[k]=x_tmp  &  y[k]=y_tmp
endfor

; adxy,h,ratos(ra)/double(3600.),detos(dec)/double(3600.),xi,yi
; adxy,h2,ratos(rach)/double(3600.),detos(dech)/double(3600.),xch,ych
; adxy,h2,ratos(rar)/double(3600.),detos(der)/double(3600.),xr,yr

; plot,x+xoffset,(y+yoffset),/norm,xst=5,yst=5,pos=pos,xrange=xrange,yrange=yrange,/noer
oplot,x+xoffset,(y+yoffset),thick=5.
end
