pro lin_cor,filetype,wdir,w,table=table
 image=readfits(wdir+filetype+'_lin.fts',header)
 a=size(image)

if not(keyword_set(table)) then begin
  llist0=[5577.345,6300.23] 			; ,5577.345,6300.23,6363.88,5460.74]
endif else begin
 openr,1,'~/cicam2004/lines_ns.dat'
 readf,1,lst
 llist0=double(lst)
 while not(eof(1)) do begin
   readf,1,line
   llist0=[llist0,double(line)]
 endwhile
 close,1 
endelse

 dl=sxpar(header,'CDELT1')
 l0=sxpar(header,'CRVAL1')
 llist=llist0(where((llist0 gt l0) and (llist0 lt l0+dl*a[1])))
 plist=round((llist-l0)/dl)
 image1=image
 shft=dblarr(n_elements(llist))

spect=total(image,2)
  l=dindgen(n_elements(spect))*dl+l0

n=20
  
  for i=0,n_elements(llist)-1 do begin
    vector=spect(plist(i)-w>0:plist(i)+w<a(1)-1)
    lv=l(plist(i)-w>0:plist(i)+w<a(1)-1)
    vmax=max(vector,xmax)
    ; vector(where(abs(dindgen(2*w+1)-w-xmax) gt 5))=0.
    ; shft[i]=0.
    vector1=interpol(vector,dindgen(n_elements(vector)),dindgen(n_elements(vector)*n)/double(n),/spline)
    lv1=interpol(lv,dindgen(n_elements(vector)),dindgen(n_elements(vector)*n)/double(n),/spline)
    tmp=dindgen(n_elements(vector)*n)/double(n)-double(w)
    f=gaussfit(lv1,vector1,G,nterms=4) 

    disp=total((vector1-f)^2/double(n_elements(vector)*n))
    www=where((vector1-f)^2 lt 1.5*disp)
    f=gaussfit(lv1(www),vector1(www),G,nterms=4) 
    shft[i]=(G[1]-llist[i])/dl ;-double(w)
    plot,lv1,vector1,color=-1
    oplot,lv1(www),f,color=1000,psym=2
    oplot,lv1,vecshift(vector1,dx=-shft[i]*double(n)),color=107869700
  endfor
  ; image1(*,k)=vecshift(image(*,k),dx=total(reform(shft(k,*)))/n_elements(shft(k,*)))  
  ; if k lt 16 then image1(*,k)=vecshift(image(*,k),dx=total(reform(shft(k,*)))/n_elements(llist)+1.)
for k=0,a(2)-1 do image1(*,k)=vecshift(image(*,k),dx=-median(shft))  
 message,strtrim(string(dl*median(shft)),2),/cont
 writefits,wdir+filetype+'_lin.fts',image1,header
 plot,llist,shft*dl,xtitle='central wavelength, Angstroms',ytitle='shift, Angstroms',psym=2,color=-1
; corshift,filetype+'_lin.fts',wdir
end
