pro linall,wdir,file=file,llist=llist,smoo=smoo,av=av,flust=flust,red=red

if not(keyword_set(file)) then file='spect_obj_abs.fts'

; if keyword_set(av) then spect_unred,wdir+file,wdir+'spect_unred.fts',av=av $ else 
if keyword_set(red) then begin
spect_unred,wdir+file,wdir+'spect_unred.fts',nodeb=nodeb,av=av
spect_unred,wdir+'dsp.fts',wdir+'dsp_unred.fts',nodeb=nodeb,av=av
endif

sp=readfits(wdir+file,hsp)
  dl=sxpar(hsp,'CDELT1')
if dl le 0. then dl=sxpar(hsp,'CD1_1')

larray=dindgen(n_elements(sp))*dl+sxpar(hsp,'CRVAL1')
z=sxpar(hsp,'REDSHIFT')

if not(keyword_set(llist)) then llist=[4101.33,4685.682,4861.33,4958.91,5006.84,5754.8,5875.75,$
  6300.23,6363.82,6678.15,5200.7,4471.48,4658.1]
llist=llist(where(llist gt min(larray)-10. and llist lt max(larray)+10.))
flust=dblarr(n_elements(llist))
flust_unred=dblarr(n_elements(llist))
dflust=dblarr(n_elements(llist))
dflust_unred=dblarr(n_elements(llist))
stol=dblarr(n_elements(llist))
stol_unred=dblarr(n_elements(llist))
vels=dblarr(n_elements(llist))
dvels=dblarr(n_elements(llist))
fwhms=dblarr(n_elements(llist))  &  dfwhms=dblarr(n_elements(llist))
for k=0,n_elements(llist)-1 do begin
  span,wdir+file,[llist[k]],flux=flutmp,ston=stotmp,velt=veltmp,fwhm=fwhm_tmp,$
       dvelt=dveltmp,dflux=dflutmp,dfwhm=dfwhm_tmp,smoo=smoo
  spawn,'cp '+wdir+'span.ps '+wdir+'span_'+strtrim(string(llist[k],format='(I10)'),2)+'.ps'
  vels[k]=veltmp  &  dvels[k]=dveltmp  &  fwhms[k]=fwhm_tmp
  flust[k]=flutmp  & dflust[k]=dflutmp  &  stol[k]=stotmp &  dfwhms[k]=dfwhm_tmp
;  span,wdir+'spect_unred.fts',[llist[k]],flux=flutmp,ston=stotmp,dflux=dflutmp,smoo=smoo,dspfile=wdir+'dsp_unred.fts'
;  flust_unred[k]=flutmp  & dflust_unred[k]=dflutmp  &  stol_unred[k]=stotmp
endfor
if max(larray) ge 6731.3 and min(larray) le 6717.0 then begin
 span,wdir+file,[6717.0,6731.3],flux=flus,ston=stos,velt=veltmp,fwhm=fwhm_tmp,$
     dvelt=dveltmp,dflux=dflus,dfwhm=dfwhm_tmp,smoo=smoo
   spawn,'cp '+wdir+'span.ps '+wdir+'span_sulf.ps'
 span,wdir+'spect_unred.fts',[6717.0,6731.3],flux=flus_unred,ston=stos_unred,dflux=dflus_unred,smoo=smoo,dspfile=wdir+'dsp_unred.fts'
   vels=[vels,veltmp]  &   dvels=[dvels,dveltmp]  &  fwhms=[fwhms,fwhm_tmp] &  dfwhms=[dfwhms,dfwhm_tmp]
 flust=[flust,flus]  &  flust_unred=[flust_unred,flus_unred]  & llist=[llist,6717.0,6731.3]
 stol=[stol,stos]  &  stol_unred=[stol_unred,stos_unred]  
 dflust=[dflust,dflus]  &  dflust_unred=[dflust_unred,dflus_unred]
endif

if max(larray) ge 4363.53 and min(larray) le 4340.74 then begin
 span,wdir+file,[4340.74,4363.53],flux=flug,ston=stog,velt=veltmp,fwhm=fwhm_tmp,$
    dvelt=dveltmp,dflux=dflug,dfwhm=dfwhm_tmp,smoo=smoo
  spawn,'cp '+wdir+'span.ps '+wdir+'span_hg.ps'
span,wdir+'spect_unred.fts',[4340.74,4363.53],flux=flug_unred,ston=stog_unred,dflux=dflug_unred,smoo=smoo,dspfile=wdir+'dsp_unred.fts'
  vels=[vels,veltmp]  &   dvels=[dvels,dveltmp]  &  fwhms=[fwhms,fwhm_tmp] &  dfwhms=[dfwhms,dfwhm_tmp]
flust=[flust,flug]  &  flust_unred=[flust_unred,flug_unred]  & llist=[llist,4340.74,4363.53]
stol=[stol,stog]  &  stol_unred=[stol_unred,stog_unred]  
dflust=[dflust,dflug]  &  dflust_unred=[dflust_unred,dflug_unred]
endif

if max(larray) ge 6583.57 and min(larray) le 6548. then begin
 span_halpha,wdir+file,flux=f3,ston=sto3,velt=veltmp,fwhm=fwhm_tmp,$
      dvelt=dveltmp,dflux=df3,dfwhm=dfwhm_tmp,smoo=smoo
   spawn,'cp '+wdir+'span.ps '+wdir+'span_halpha.ps'
 span_halpha,wdir+'spect_unred.fts',flux=f3_unred,ston=sto3_unred,dflux=df3_unred,smoo=smoo,dspfile=wdir+'dsp_unred.fts'
   vels=[vels,veltmp] & fwhms=[fwhms,fwhm_tmp]   &   dvels=[dvels,dveltmp]  &   dfwhms=[dfwhms,dfwhm_tmp] 
 flust=[flust,f3]  &  flust_unred=[flust_unred,f3_unred]  &  llist=[llist,6548.06,6562.82,6583.57]
 stol=[stol,sto3]  &  stol_unred=[stol_unred,sto3_unred]
  dflust=[dflust,df3]  &  dflust_unred=[dflust_unred,df3_unred]
endif
close,1

sist=sort(llist)
flust=flust(sist)  &  flust_unred=flust_unred(sist)
dflust=dflust(sist)  &  dflust_unred=dflust_unred(sist)
vels=vels(sist)  &  dvels=dvels(sist)  &  fwhms=fwhms(sist) &  dfwhms=dfwhms(sist)
llist=llist(sist)

hb_tmp=min(abs(llist-4861.33),hbeta)  &  ha_tmp=min(abs(llist-6562.82),halpha)
o3_tmp=min(abs(llist-5006.84),o3) 

if not(keyword_set(av)) then av=hahb_to_av([flust[halpha]/flust[hbeta]])
; hbeta=o3

f=readfits(wdir+file,h)
objname=sxpar(h,'OBJECT')

objname=strreplace(objname,'_','~')

openw,1,wdir+'linepars.tex'
printf,1,'\documentclass[12]{article}'
printf,1,'\usepackage{times}'
printf,1,'\textwidth=170mm'
printf,1,'\textheight=230mm'
printf,1,'\topmargin=-10mm'
printf,1,'\begin{document}'
printf,1,''
printf,1,'\title{'+objname+' emission lines intensities, $A_V \simeq '+strtrim(string(av,format='(F5.2)'),2)+'$}'
printf,1,'\maketitle'
printf,1,''
printf,1,'\center{'
printf,1,'\begin{tabular}{lcccc}'
printf,1,'$\lambda,\AA$ & $F(\lambda)/F(H_\beta)$ & $F(\lambda)/F(H_\beta)$ & $V,km/s$ & $FWHM, \rm \AA$\\'
printf,1,' & & (unreddened) & \\'
for k=0,n_elements(llist)-1 do begin
printf,1,string(llist[k])+'&'+strtrim(string(flust[k]/flust[hbeta],format='(F7.3)'),2)+'$\pm$'+$
          strtrim(string(dflust[k]/flust[hbeta] > .001,format='(F7.3)'),2)+'&'+$
          strtrim(string(flust_unred[k]/flust_unred[hbeta],format='(F7.3)'),2)+'$\pm$'+$
          strtrim(string(dflust_unred[k]/flust_unred[hbeta] > .001,format='(F7.3)'),2)+$
          '&'+strtrim(string(vels[k],format='(F8.1)'),2)+'$\pm$'+$
	   strtrim(string(dvels[k] > 1.,format='(F8.1)'),2)+$
          '&'+strtrim(string(fwhms[k],format='(F8.1)'),2)+'$\pm$'+$
           strtrim(string(dfwhms[k]>0.1,format='(F7.1)'),2)+'\\'
endfor
printf,1,'\end{tabular}}'
printf,1,''
printf,1,'total $H_\beta$ flux:'+string(flust[hbeta],format='(E10.3)')+'$\pm$'+$
    string(dflust[hbeta],format='(E10.3)')+' $erg/cm^2 s$'
printf,1,''
printf,1,'total $H_\beta$ flux (unreddened):'+string(flust_unred[hbeta],format='(E10.3)')+'$\pm$'+$
    string(dflust_unred[hbeta],format='(E10.3)')+' $erg/cm^2 s$'
printf,1,' '
printf,1,'\end{document}'
close,1
cd,wdir,current=curd
spawn,'latex linepars.tex'
spawn,'dvips -olinepars.ps linepars.dvi'
cd,curd
c=2.997925e5
set_plot,'ps'
  device,filename=wdir+'vels.ps'
loadct,0
    plot,llist,vels,psym=2,yrange=[-300.,300.]+z*c,xtitle='!4k!3,'+string("305B),ytitle='v,km/s',$
       charsize=2.,charthick=2.5
    oploterr,llist,vels,dvels
    oplot,llist,replicate(z*c,n_elements(llist)),linestyle=3
  device,/close
set_plot,'x'
end
