pro logs_all,pars
make_log,'v518per.txt','~/MPFS_data/MP050114','~/MPFS_red/v518per','V518Per','HZ-21',.73
make_log,'v838mon_14.txt','~/MPFS_data/MP050114','~/MPFS_red/v838mon_14','V838Mon','HZ-21',.73
make_log,'cicam_2005.txt','~/MPFS_data/MP050114','~/MPFS_red/cicam_2005','SI Cam','HZ-21',.73
make_log,'kvuma_14.txt','~/MPFS_data/MP050114','~/MPFS_red/kvuma_14','KV UMa','HZ-21',.73
make_log,'ngc4559x7.txt','~/MPFS_data/MP050114','~/MPFS_red/ngc4559x7','NGC4559X7','HZ-21',1.45 ;!!! standard spectrum made with different grating
make_log,'ngc4559x10.txt','~/MPFS_data/MP050114','~/MPFS_red/ngc4559x10','NGC4559X10','HZ-21',1.45 ;!!! standard spectrum made with different grating


make_log,'var15.txt','~/MPFS_data/MP050115','~/MPFS_red/var15','var15','HZ2',1.45
make_log,'var41.txt','~/MPFS_data/MP050115','~/MPFS_red/var41','41 M33','HZ2',1.45
make_log,'n779.txt','~/MPFS_data/MP050115','~/MPFS_red/n779','n779 M33','HZ2',1.45
make_log,'v616mon.txt','~/MPFS_data/MP050115','~/MPFS_red/v616mon','V616 Mon','HZ-21'   ;!!! standard spectrum made with different grating
make_log,'mwc560.txt','~/MPFS_data/MP050115','~/MPFS_red/mwc560','MWC560','HZ-21' ;!!! standard spectrum made with different grating
make_log,'kvuma_15.txt','~/MPFS_data/MP050115','~/MPFS_red/kvuma_15','KV UMa','HZ-21' ;!!! standard spectrum made with different grating
make_log,'sn2004dj.txt','~/MPFS_data/MP050115','~/MPFS_red/sn2004dj','SN2004dj','HZ 21',1.45
make_log,'ngc5204_15.txt','~/MPFS_data/MP050115','~/MPFS_red/ngc5204_15','ngc5204 X-1','HZ 21' ,1.45

make_log,'0721.txt','~/MPFS_data/MP050116','~/MPFS_red/0721','0721+71','HZ 2',1.45  
make_log,'var80.txt','~/MPFS_data/MP050116','~/MPFS_red/var80','M33-80','HZ 2',1.45
make_log,'var517.txt','~/MPFS_data/MP050116','~/MPFS_red/var517','M33-517','HZ 2',1.45
make_log,'var126.txt','~/MPFS_data/MP050116','~/MPFS_red/var126','M33-126','HZ 2',1.45
make_log,'v838mon_16.txt','~/MPFS_data/MP050116','~/MPFS_red/v838mon_16','V838 Mon','HZ-21',1.45
make_log,'v12_16.txt','~/MPFS_data/MP050116','~/MPFS_red/v12_16','NGC2403v12','HZ 21',1.45
make_log,'kvuma_16.txt','~/MPFS_data/MP050116','~/MPFS_red/kvuma_16','KV UMa','HZ 21',1.45
make_log,'ngc5204_16.txt','~/MPFS_data/MP050116','~/MPFS_red/ngc5204_16','NGC5204X-1','HZ 21',1.45

make_log,'ngc6946.txt','~/MPFS_data/MP050117','~/MPFS_red/v12','NGC6946X-1','GD248',1.45   ;  !!! object name slightly different!
make_log,'var124.txt','~/MPFS_data/MP050117','~/MPFS_red/var124','M33-124','GD248',1.45
make_log,'var124.txt','~/MPFS_data/MP050117','~/MPFS_red/var124','M33-124','GD248',1.45
make_log,'var113.txt','~/MPFS_data/MP050117','~/MPFS_red/var113','M33-113','GD248',1.45
make_log,'v532.txt','~/MPFS_data/MP050117','~/MPFS_red/v532','M33-v532','GD248',1.45
make_log,'b416.txt','~/MPFS_data/MP050117','~/MPFS_red/b416','M33-b416','GD248',1.45
make_log,'v12_17.txt','~/MPFS_data/MP050117','~/MPFS_red/v12_17','ngc2403v12','HZ43',1.45
make_log,'kvuma_17.txt','~/MPFS_data/MP050117','~/MPFS_red/kvuma_17','KV UMa','HZ43',1.45
make_log,'m51.txt','~/MPFS_data/MP050117','~/MPFS_red/m51','M51  X-7','HZ43',1.45
make_log,'m101.txt','~/MPFS_data/MP050117','~/MPFS_red/m101','M101X98','HZ43',1.45


end
