function MED_XY,IMAGE,WIN
; Image median smoothed
; with borders extension
; IMAGE -- input image
; WIN -- smoothed window

;  image size determination
 s=size(image)
 xs=s(1);
 ys=s(2);

; set new size:
  dx=(win/2+1)<xs
  dy=(win/2+1)<ys
  x1=dx
  x2=x1+xs-1
  y1=dy
  y2=y1+ys-1
map=dblarr(xs+2*dx,ys+2*dy)
; new borders:
map(x1:x2,y1:y2)=image(*,*)
map(0:x1-1,y1:y2)=reverse(map(x1:x1+dx-1,y1:y2),1)
map(x2+1:*,y1:y2)=reverse(map(x2-dx+1:x2,y1:y2),1)
map(*,0:y1-1)=reverse(map(*,y1:y1+dy-1),2)
map(*,y2+1:*)=reverse(map(*,y2-dy+1:y2),2)

; median smoothed
map=double(median(map,win,/even))
out=map(x1:x2,y1:y2)
return,out
END
