
	;REDUCTION MPFS DATA			mpfs_fil.pro

	; for FILTER transmition determination
	; FLAT == FLAT(none)
	; OBJ == FLAT(filter)
    cd,'e:\filt_log'


	logfile='sed520.txt'
	fileout='sed520.fts'

	!P.background=255   &   !P.color=0
	;logfile=PICKFILE(/READ,FILTER='*.txt')
	print,systime(0)
	message,'READ LOGFILE '+logfile,/cont
	;creation output directory
	wdir=DEF_WDIR(LOGFILE)
	print,wdir
	SPAWN, 'mkdir '+wdir
	;check list of exposures
	init_type=['bias','obj','flat','eta','neon','star','test']
	N_exp_init=fltarr(7)	&	N_exp_red=fltarr(4)
	red_type=['obj','neon','flat','test']
	for k=0,6 do begin
	tmp=DEF_NAME(LOGFILE,init_type(k),N)
	N_exp_init(k)=N
	endfor
	b=where(N_exp_init gt 0,N_ini)
	init_type=init_type(b)
	for k=0,3 do begin
	tmp=DEF_NAME(LOGFILE,red_type(k),N)
	N_exp_red(k)=N
	endfor
	b=where(N_exp_red gt 0,N_red)
	red_type=red_type(b)



FWHM=3.5 	;width spectral lines
w=3.4   ;width band extraction
Ndeg=4	;degree polynom of approximation dispersion curve

    input=''
	read,input,prompt='number of input ?  '

	input_tmp=str_sep(input,'-')
	output=0
	if N_elements(input_tmp) gt 1 then begin
	input=input_tmp(0) & output=input_tmp(1)
	endif
	print,'input ',input,'  output ',output
	if fix(input) GT fix(output) and output ne 0 then goto,final

a=['1','3','5','7']
for j=0,3 do begin
 input=a(j)

CASE input OF
	 '1':   goto,inp_1	;bias substraction, cosmetic, shift, remove hits
	 '2':   goto,inp_2	;creation traectory of etalon image
     '3':   goto,inp_3	;reduction at flat-field
	 '4':   goto,inp_4	;creation traectory for every fiber
	 '5':   goto,inp_5   	;extraction spectra
	 '6':   goto,inp_6	;creation dispersion curve
	 '7':   goto,inp_7   	;linerisation spectra
ELSE: print,' image type has an illegal value'
ENDCASE


	goto,final

inp_1:	;bias substraction, replace bad columns, shift images, remove cosmic hits
	for k=1,N_ini-1 do begin
	;for k=1,2 do begin
	REDUCT,logfile,init_type(k),thresh1=20.,SHIFT=1
	endfor
	if output eq 1 or output eq 0 then goto,final
inp_2:	;creation traectory of etalon image
	FIND_ETA,LOGFILE,GAUSS='gauss',n_sig=.4,PLOT='plot'
	if output eq 2 or output eq 0 then goto,final
inp_3:	;reduction at flat-field
	; For filters:
	cd,current=old_dir
	cd,DEF_WDIR(LOGFILE)
	;
	spawn,'copy neon_i.fts neon_n.fts'
	spawn,'copy obj_i.fts obj_n.fts'
	spawn,'copy flat_i.fts flat_n.fts'
	cd,old_dir

	if output eq 3 or output eq 0 then goto,final
inp_4:	;creation traectory for every fiber
	CREA_TRA,LOGFILE
	if output eq 4 or output eq 0 then goto,final
inp_5:	;extraction spectra
	for k=0,N_red-1 do begin
    ;for k=0,1 do begin
	EXTRACT,LOGFILE,w,red_type(k)
	endfor
	if output eq 5 or output eq 0 then goto,final

inp_6:	;creation dispersion curve
	CREA_DISPER,LOGFILE,FWHM,Ndeg,YFIT='yfit',PLOT='plot'
	if output eq 6 or output eq 0 then goto,final
inp_7:	;linerisation spectra
	;LINERISATION,LOGFILE,'neon'

	liner_f,logfile,fileout,mul=2 ; Mul=number Flat frames before averaging

	if output eq 7 or output eq 0 then goto,final


final:
print,systime(0)
print,'good bye!'
endfor ;j
END
