function NAME_TAB,FILELOG
;+
; NAME:
;	NAME_TAB
; PURPOSE:
;	DEFINIRION NAME OF TABLE WITH  ABSOLUTE ENERGY DISTRIBUTION OF STAR
; DESCRIPTION: 
;	
; CALLING SEQUENCE:
;	Result=NAME_TAB(FILELOG)
;
; CATEGORY:
;	reduction MPFS-data		
;
; INPUTS:
;	LOGFILE = file name of LOG observation (in format FITS-header)
;	
;
; OUTPUTS:
;	Result = string scalar name file
;		
; OPTIONAL OUTPUT:
;	no
;
; OPTIONAL INPUT KEYWORDS:
;	no	
;
; RESTRICTIONS:
;	no
;
; NOTES:
;	no
;
; PROCEDURES USED:
;	SXPAR
;
; MODIFICATION HISTORY:
;       Written by Victor Afanasiev, Special Astrophysical Observatory RAS, Jul 1999
;-
openr,UNIT,FILELOG,/GET_LUN
a=' '
readf,UNIT,a
TABLE=a
WHILE NOT EOF(UNIT) do begin
readf,UNIT,a
TABLE=[TABLE,a]
ENDWHILE
close,UNIT
FREE_LUN, UNIT
RESULT=sxpar(TABLE,'TABLE')
RETURN,RESULT
END
