function objcen,file,dfile

field=[16,16]

f=readfits(file,h)
; df=readfits(dfile,dh)

  ra0=sxpar(h,'RA') & dec0=sxpar(h,'DEC')
  ra='20 35 0.75'  &  dec='+60 11 30.9'

posang=sxpar(h,'POSANG')
posar=posang*!DPI/180.

f=rotate(f,7)
; df=rotate(df,7)

xch=-(ratos(ra)-ratos(ra0))*cos(posar)*cos(detos(dec0)/206265.)+(detos(dec)-detos(dec0))*sin(posar)+double(field[0])/2.
ych=(ratos(ra)-ratos(ra0))*sin(posar)*cos(detos(dec0)/206265.)+(detos(dec)-detos(dec0))*cos(posar)+double(field[1])/2.

xmin=1  &  xmax=14 & ymin=0  &  ymax=10
f1=f(xmin:xmax,ymin:ymax)  &  x1=dindgen(xmax-xmin+1)+xmin &  y1=dindgen(ymax-ymin+1)+ymin
; df1=df(xmin:xmax,ymin:ymax) > 0.

ffit=gauss2dfit(f1*1.e15,gpars,x1,y1,/tilt)*1.e-15

df=sqrt(total((f1-ffit)^2))/double(n_elements(f1))

contour,f1,nlevels=100,/fill
contour,ffit,/overplot

xc=gpars[4]  &  yc=gpars[5]
dxc=gpars[2]*df/total(ffit)  &  dyc=gpars[3]*df/total(ffit)

dra=-(xc-xch)*cos(posar)+(yc-ych)*sin(posar)
ddec=(xc-xch)*sin(posar)+(yc-ych)*cos(posar)
erra=sqrt((dxc*cos(posar))^2+(dyc*sin(posar))^2)
erdec=sqrt((dxc*sin(posar))^2+(dyc*cos(posar))^2)

return,[dra,ddec,erra,erdec]
end
