function parline,l,wdir,w
  out=wdir+strtrim(string(round(l)),2)
  flux=readfits(out+'_F.FTS',hf)
  fwhm=readfits(out+'_W.FTS',hw)
  cont=readfits(out+'_C.FTS',hc)
  vel=readfits(out+'_V.FTS',hv)

n=n_elements(where(flux gt 0))
  
  f_int=total(flux)
  v_mean=total(vel*flux)/f_int
  w_mean=total(fwhm*flux)/f_int
  c_mean=total(cont*flux)/f_int
  dv=sqrt(total((vel-v_mean)^2*flux)/f_int)
  df=sqrt(total((flux-f_int/n)^2*flux)/f_int)
  dw=sqrt(total((fwhm-w_mean)^2*flux)/f_int)
  dc=sqrt(total((cont-c_mean)^2*flux)/f_int)
  return,[f_int,v_mean,w_mean,c_mean,df,dv,dw,dc]
end
