pro polyspect,infiles

  nf=n_elements(infiles)
  dist=double(5.5e6)*double(3.08e18)
wdir=exdir(infiles[0])

f=readfits(infiles[0],h)
s=size(f)
l=dindgen(s[1])*sxpar(h,'CDELT1')+sxpar(h,'CRVAL1')
set_plot,'ps'
device,filename=wdir+'polyspect.ps',/color,xsize=25.,ysize=13.,/land
loadct,0
if nf gt 1 then !p.multi=[0,1,nf]
plot,l,f,xtitle='wavelength,'+string("305B),ytitle='flux, erg / cm^2 s '+string("305B),charthick=2.,$
   thick=2.,title='MF16 total spectrum',yrange=[0.,max(f)]
loadct,33
if nf gt 1 then begin
  for k=1,nf-1 do begin
    f=readfits(infiles[k],h)
    s=size(f)
    l=dindgen(s[1])*sxpar(h,'CDELT1')+sxpar(h,'CRVAL1')
    
    plot,l,double(10)^(alog10(f)-alog10(!DPI*4.)-2.*alog10(dist)),thick=2.,title='CLOUDY simulation',$
         charthick=2. ;,color=10.^(2.+k)
  endfor
endif
device,/close
set_plot,'x'

end
