function psf_def,infile,wdir

  file=readfits(wdir+infile,h)
  a=size(file)
  f=dblarr(a(1))
  f=total(file,1)
  f_map=reform(f,16,16)/total(f)

  f_fit=gauss2dfit(f_map,G)
  rms=sqrt(total(f_fit*(f_map-f_fit)^2)/total(f_fit))

  fileout='psf.fts'
  sxaddpar,h,'FILE',fileout
  sxaddpar,h,'IMAGETYP','normalized PSF'
  writefits,wdir+fileout,f_fit,h
  print,wdir+fileout

  w=min([G(3),G(2)])*2.*sqrt(2.*alog(2.))
  dw=rms*2.*sqrt(2.*alog(2.))/total(f_fit)
  return,[w,dw]
end
