function roundsmooth,ima,sim
  a=size(ima)
  if a[0] ne 2 then message,'wrong dimentions!'
  ima1=ima 
  imares=ima
  sim=0.*ima
  for i=0,a[1]-1 do begin
    for j=0,a[2]-1 do begin
      if i*j*(a[1]-i-1)*(a[2]-j-1) eq 0 then begin
          ima1[i,j]=median(ima(i-1>0:i+1<a[1]-1,j-1>0:j+1<a[2]-1))
      endif else begin
          tmp=ima(i-1:i+1,j-1:j+1)
          stmp=sfit(tmp,1)
          wf=where(1-finite(tmp,/nan),nf)     ; points with finite values
          if nf lt 9 and nf gt 0 then stmp=replicate(total(tmp(wf))/double(nf),3,3)
          ima1[i,j]=stmp[1,1]
          if nf gt 8 then qef=nf*(nf-3)
          if nf le 8 and nf gt 1 then qef=nf*(nf-1)
          if nf gt 1 then sim[i,j]=sqrt(total((tmp(wf)-stmp(wf))^2)/double(qef)) else sim[i,j]=0.
         ; sim[i,j]=nf
          if abs(ima[i,j]-ima1[i,j]) ge 2.*sim[i,j] or finite(ima[i,j],/nan) then imares[i,j]=ima1[i,j]
      endelse
    endfor
  endfor
  
  wq=where(imares ne ima, nq)
  message,strtrim(string(nq),2)+'points replaced',/cont
;  imares(where(finite(imares,/NaN)))=0.
;  sim(where(finite(sim,/NaN)))=0.

  return,imares
end
