pro sp3,infile,yr,wdir,m

  sp=readfits(infile,hsp,/silent)
;  sp=smooth(med_ext(sp,3),3)

  s=size(sp)
uni=sxpar(hsp,'BUNIT')
  l0=sxpar(hsp,'CRVAL1')  &  dl=sxpar(hsp,'CDELT1')
  l=dindgen(s[1])*dl+l0
  if keyword_set(lrange) then sp=sp(where(l ge min(lrange) and l le max(lrange)))
  if keyword_set(lrange) then l=l(where(l ge min(lrange) and l le max(lrange)))

w1=where(l lt 5100.)  &  w2=where(l gt 4800. and l lt 6100.)  &  w3=where(l gt 5700.)
set_plot,'ps'
device,filename=wdir+'sp3.ps',/landscape,xsize=25,ysize=20
post=[3.,2.,23.,7.]
!p.multi=[0,1,3]

  plot,l,sp*m,xrange=[4000.,5050.],yrange=yr,xst=1,yst=1,xtitle='!4k!3,'+string("305B),ytitle='flux',$  ;, '+strtrim(string(1./m,format='(E8.1)'),2)+uni,$
       pos=post*1000.,/dev,charsize=2.5,charthick=3.,thick=2.
  plot,l,sp*m,xrange=[4950.,6000.],yrange=yr,xst=1,yst=1,ytitle='flux',$, '+strtrim(string(1./m,format='(E8.1)'),2)+uni
      pos=[post[0],post[1]+6.,post[2],post[3]+6.]*1000.,$
       /dev,charsize=2.5,charthick=3.,thick=2.
  plot,l,sp*m,xrange=[5900.,6950.],yrange=yr,xst=1,yst=1,ytitle='flux',$ , '+strtrim(string(1./m,format='(E8.1)'),2)+uni,
      pos=[post[0],post[1]+12.,post[2],post[3]+12.]*1000.,$
      /dev,charsize=2.5,charthick=3.,thick=2.

!p.multi=0
device,/close
set_plot,'x'

end
