pro sulha,wdir,colt=colt

if not(keyword_set(colt)) then colt=0.
  file1=wdir+'sula.FTS'  &  file2=wdir+'6563_F.FTS'

  field=[16,16]
  ima2=rotate(readfits(file2,h2),7)
  ima1=rotate(readfits(file1,h1),7)

  posang=sxpar(h1,'POSANG')

  x=reform(dindgen(field[0]*field[1]) mod field[1],field[0],field[1])
  y=reform(floor(dindgen(field[0]*field[1])/double(field[0])),field[0],field[1])      ; transpose(x)
w1=where(x gt 3 and x lt field[0]-1 and y lt 14 and y gt 2)
  x1=x(w1)
  y1=y(w1)

ima1=smooth(med_ext2(ima1,3),3)
ima2=smooth(med_ext2(ima2,3),3)

fr=ima1/ima2

fr(where(ima2 le 1.e-17))=10.

 fr(1,*)=fr(2,*) ; ima1=smooth(med_ext2(ima1,3),3)
 fr(0,*)=fr(1,*) ; & fr(*,0)=fr(*,1) & fr(field[0]-1,*)=fr(field[0]-2,*) & fr(*,field[1]-1)=fr(*,field[1]-2)
; ima2=smooth(med_ext2(ima2,3),3)

; fr(where(ima2 le 1.e-17))=10.
fr1=fr(w1)
fr1=fr1 ;<1.
  lev_frac=dindgen(200)*.01-0.6
  lev_frac1=dindgen(40)*.1+0.2
; lev_frac=lev_frac(where(lev_frac lt 1.))
; fr(where(ima2 lt .5*median(ima2)))=.55
  set_plot,'x'
;  xloadct

;  contour,rotate(fr,7),x,y,levels=lev_frac,c_annotation=strtrim(string(lev_frac,format='(F6.3)'),2),xst=1,yst=1,/fill,yrange=[max(y),min(y)] 

;  drawne,.85,.8,posang,r=.1
  posar=posang*!DPI/180.

ra0=sxpar(h1,'RA') & dec0=sxpar(h1,'DEC')
ra='20 35 0.75'  &  dec='+60 11 30.9'

xch=-(ratos(ra)-ratos(ra0))*cos(posar)*cos(detos(dec0)/206265.)+(detos(dec)-detos(dec0))*sin(posar)+double(field[0])/2.
ych=(ratos(ra)-ratos(ra0))*sin(posar)*cos(detos(dec0)/206265.)+(detos(dec)-detos(dec0))*cos(posar)+double(field[1])/2.
   plotsym,0,4,color=-1
;   plots,xch,15.-ych,psym=8,/data,color=-1,symsize=1.

post=[3.,3.,3.+field[0],3.+field[1]]*1000.

set_plot,'ps'
device,filename=wdir+'sulha.ps',xsize=5.+field[0],ysize=5.+field[1],/color
 loadct,colt
    contour,fr,x,y,levels=lev_frac,/fill,xst=1,yst=1,pos=post,/dev,charsize=2.5,$
             charthick=3.,yrange=[min(y),max(y)],xrange=[min(x),max(x)]          ;,$
         ;  title='[S II] 6717,6731 / H!D!4a!x!N, 3X3 smoothed'  ;,yrange=[max(y),min(y)]     
 loadct,0
    contour,-fr1,x1,y1,/irr,levels=reverse(-lev_frac1),/downhill,/over,c_annotation=strtrim(string(reverse(lev_frac1),format='(F6.3)'),2),$
               pos=post,c_charsize=1.5,c_charthick=3.      ;,yrange=[max(y),min(y)]
   drawne,.8,.8,posang,r=.1   
   plotsym,0,4,color=-1,thick=5.
   plots,xch,ych,psym=8,/data,color=-1,symsize=1.

device,/close
set_plot,'x'

writefits,wdir+'sulha.fts',fr,h1

end
