pro velhandle,inv,dinv,wdir,out=out,dne=dne,velsh=velsh,vesc=vesc
field=[16,16]
if not(keyword_set(vesc)) then vesc=300.
c=vesc

if not(keyword_set(velsh)) then velsh=0.
if not(keyword_set(out)) then out='velh.ps'
xint=indgen(field[0])  &  yint=indgen(field[1])
    xint=indgen(16) & yint=indgen(16)
  nx=n_elements(xint)  &  ny=n_elements(yint)

  data=readfits(inv,hv)-velsh
  siv=readfits(dinv,hv)

;fo=readfits('/buf/karty/Hahst1.fts',ho)
;  imo=fo  ;reform(fo(*,*,0))
;  imo1=med_ext2(imo,20)
;  imo(where(imo gt imo1+5.))=imo1(where(imo gt imo1+5.))
;  imo=smooth(imo,3)
; getrot,ho,roto,scalo
;scalo=scalo*3600.

posang=sxpar(hv,'POSANG')
posar=sxpar(hv,'POSANG')*!DPI/180.
ra0=sxpar(hv,'RA') & dec0=sxpar(hv,'DEC')
ra='20 35 0.75'  &  dec='+60 11 30.9'

xch=-(ratos(ra)-ratos(ra0))*cos(posar)*cos(detos(dec0)/206265.)+(detos(dec)-detos(dec0))*sin(posar)+double(field[0])/2.
ych=(ratos(ra)-ratos(ra0))*sin(posar)*cos(detos(dec0)/206265.)+(detos(dec)-detos(dec0))*cos(posar)+double(field[1])/2.

; imo=rotate(rot(imo,roto+posang),7)
; so=size(imo)
; r0=[1.25,1.8]
; pos_over=[r0[0]+nx/2.-so[1]*scalo[1]/2.,r0[1]+ny/2.-so[2]*scalo[0]/2.,r0[0]+nx/2.+so[1]*scalo[1]/2.,r0[1]+ny/2.+so[2]*scalo[0]/2.]*2.*1000.

 ;datasm=roundsmooth(data, siv)
 datasm=data
datasm=rotate(datasm,7)
siv=rotate(siv,7)
basm=where(siv gt 500. or siv le 0. or datasm le -2000. or datasm ge 2000.,nasm)
; if nasm gt 0 then datasm(basm)=sqrt(-1)
; datasm(6,4)=sqrt(-1)  &  datasm(6,6)=sqrt(-1) &  datasm(10,3)=sqrt(-1) &  datasm(6,3)=sqrt(-1)
;datasm(*,6)=sqrt(-1)  ; &  datasm(*,3)=sqrt(-1)
; datasm(11,*)=sqrt(-1) & datasm(12,*)=sqrt(-1)  & datasm(10,12)=sqrt(-1) & datasm(4,*)=sqrt(-1)  & datasm(*,8)=sqrt(-1)
set_plot,'ps'
device,filename=wdir+out,xsize=16,ysize=16,/land
  plot,xint,yint,/nodata,xst=1,yst=1,xrange=[min(xint)-1,max(xint)+1],yrange=[min(yint)-1,max(yint)+1],$
       pos=[1.,1.,nx+1.,ny+1.]*2.*1000.,xtitle='x, arcsec',ytitle='y, arcsec',/device,/iso,charsize=2.,$
       charthick=5.,ythick=3.,xthick=3.,thick=3.
  axis,min(xint)-1,min(yint)-1,yaxis=0,/noer,/data,/save,ytitle='y, arcsec',xst=1,yst=1,charsize=2.,$
       charthick=5.
 plotsym,0,7
 plots,xch,ych,psym=8,/data
 ; contour,-imo,levels=reverse(-2.*median(imo)*(1.*dindgen(100)+1.2)),pos=pos_over,/noerase,xst=5,yst=5,/device ;,/fill
  plot,xint,datasm(xint,yint[0]),/nodata,xst=5,yst=5,xrange=[min(xint)-1,max(xint)+1],yrange=c*[0.,max(yint)-min(yint)+2.],$
       /noer,pos=[1.,1.,nx+2.,ny+2.]*2.*1000.,/device,charsize=2.,charthick=5.
;  axis,max(xint)+1,0.,yaxis=1,/noer,/data,/save,xst=5,yst=1,ytitle='!4D!3v, !Ukm!N/!Ds!N'
  
  for k=0,ny-1 do begin
     plotsym,0,.5,/fill
     oplot,indgen(20),c*(max(yint)-yint[k]+1)+0.*indgen(20),psym=0,linestyle=3,thick=3.
     oplot,xint,c*(max(yint)-yint[k]+1)+datasm(xint,yint[k]),psym=0,thick=3.
!p.thick=3.
     oploterr,xint,c*(max(yint)-yint[k]+1)+datasm(xint,yint[k]),siv(xint,yint[k]),8
!p.thick=1.
  endfor
if keyword_set(dne) then drawne,.8,.55,posang,r=.05
device,/close
set_plot,'x'
  
message,'mean value: '+strtrim(string(median(data)),2)+'+/-'+strtrim(string(total(siv(where(1.-(finite(siv*data,/NaN)))))/(n_elements($
where(1.-(finite(siv*data,/NaN)))))),2),/cont
end
