pro velmap,lambda,wint,med=med,file=file
 on_error,2
 c=double(2.99792458E+5)   ; km/s
 if not(keyword_set(file)) then datacube=readfits(pickfile(/read,filter='~/MPFS/*fts'),h) else datacube=readfits(file,h)
 l0=sxpar(h,'CRVAL1')
 dl=sxpar(h,'CDELT1')
 cube=dblarr(1034,16,15)
 v=dblarr(16,15)
 a=dblarr(16,15)
 w=dblarr(16,15)

 region=dblarr(wint+1)
 for i=0,239 do cube(*,i mod 16, floor(double(i)/16))=datacube(*,i)
 region=cube(floor((lambda-l0)/dl)-wint/2:ceil((lambda-l0)/dl)+wint/2,*,*)
 q=size(region)
 x=indgen(q(1)) 

 for i=0,15 do begin
  for j=0,14 do begin
   y=region(x,i,j)*1E+15
   f=gaussfit(x,y,G,nterms=4)
   l=(G(1)+floor((lambda-l0)/dl)-wint/2)*dl+l0
   v[i,j]=c*(l-lambda)/lambda
   a[i,j]=G(0)
   w[i,j]=G(2)*dl
  endfor
 endfor

 if keyword_set(med) then v=med_ext2(v,3)
 if keyword_set(med) then a=med_ext2(a,3)
 if keyword_set(med) then w=med_ext2(w,3)
 
 writefits,'~/MPFS/trash/'+vel+strtrim(string(fix(lambda)))+'_'+file,v
 writefits,'~/MPFS/trash/'+int+strtrim(string(fix(lambda)))+'_'+file,a
 writefits,'~/MPFS/trash/'+fwhm+strtrim(string(fix(lambda)))+'_'+file,w

end
