pro view_sp3d,infile,range=range,field=field,line=line,wxy=wxy,ps=ps,wdir=wdir,yr=yr,outfts=outfts
  
  loadct,33
  w=10.  &  if not(keyword_set(line)) then line=6562.82
  sp=readfits(infile,hsp,/silent)
  s=size(sp)
spext=total(sp,2)*0.

  l0=sxpar(hsp,'CRVAL1')  &  dl=sxpar(hsp,'CDELT1')  &   posang=sxpar(hsp,'POSANG')
  posar=posang*!DPI/180.
  l=dindgen(s[1])*dl+l0

rast0=strsplit(sxpar(hsp,'RA'),/ext) & dest0=strsplit(sxpar(hsp,'DEC'),/ext)

dec0=detos(sxpar(hsp,'DEC'))
ra0=ratos(sxpar(hsp,'RA'))
z=sxpar(hsp,'REDSHIFT')
  uni=sxpar(hsp,'BUNIT')
  if not(keyword_set(range)) then range=[min(l),max(l)]
  if not(keyword_set(field)) then field=[16,16]
  if keyword_set(lrange) then sp=sp(where(l ge min(lrange) and l le max(lrange)))
  if keyword_set(lrange) then l=l(where(l ge min(lrange) and l le max(lrange)))
  s=size(sp)

  wkiller

  if s[2] gt field[0]*field[1] then sp=sp(*,s[2]-field[0]*field[1]:s[2]-1)
  cube=reform(sp,s[1],field[0],field[1])  
  profiles=cube(where(l gt line*(z+1.)-w and l lt line*(z+1.)+w),*,*)
  cont=profiles
  for i=0,field[0]-1 do begin
   for j=0,field[1]-1 do begin
     fit=linfit([l(where(l lt line*(z+1.)-w and l gt line*(z+1.)-3*w)),l(where(l gt line*(z+1.)+w and l lt line*(z+1.)+3*w))],$
            [cube(where(l lt line*(z+1.)-w and l gt line*(z+1.)-3*w),i,j),cube(where(l gt line*(z+1.)+w and l lt line*(z+1.)+3*w),i,j)])
     cont(*,i,j)=l(where(l gt line*(z+1.)-w and l lt line*(z+1.)+w))*fit[1]+fit[0]
   endfor
  endfor
  cma=total(profiles-cont,1)

  cube=cube(where(l gt min(range) and l lt max(range)),*,*)  &  l=l(where(l gt min(range) and l lt max(range)))
window,1,xsize=field[0]*20,ysize=field[1]*20
loadct,33
  tvscl,rebin(rotate(reform(cma,field[0],field[1]),7),field[0]*20,field[1]*20,/sample)
  loadct,0
  drawne,.8,.8,posang,r=.1    

; window,2,ysize=400,xsize=1000  
  cum=cube
  s=size(cube)
  if keyword_set(wxy) then for k=0,s[1]-1 do cum(k,*,*)=smooth(reform(cube(k,*,*)),wxy)*wxy^2

  sp=replicate(double(0),s[1])  &  sp1=replicate(double(0),s[1]) 
  itar:
wset,1
loadct,33
  cursor,x,y,2,/device
  m=!MOUSE
  sw=long(m.button)                                         ; mouse click-type    

  dec=dec0+.05*(x-.5*field[0]*20.)*sin(posar)+.05*(y-.5*field[1]*20.)*cos(posar)
  ra=ra0-.05*(x-.5*field[0]*20.)*cos(posar)/cos(dec/206265.)+.05*(y-.5*field[1]*20.)*sin(posar)/cos(dec/206265.)
  rast=ratos(ra,/inv)
  dest=detos(dec,/inv)

  message,'RA='+rast+'; Dec='+dest,/cont
;   message,string((x-.5*field[0]*20.)/20.)+'  '+string((y-.5*field[1]*20.)/20.),/cont

   if sw eq 0 then goto,itar ;  else message,'got it! '+strcompress(string(m.x*scale[0])+string(m.y*scale[1])),/cont
   if sw eq 1 then begin
     c=[x,y]
     c1=c
window,2,ysize=400,xsize=1000  
     sp=cum(*,floor(x/20.),field[1]-ceil(y/20.))
     plot,l,sp,color=-1,title='one fiber spectrum: ra_c='+rast+$
                ','+'dec_c='+dest,xtitle='wavelength,Angstroms',ytitle='flux,'+uni
     sp1=sp
     spext=spext+sp
     rast1=rast  &  dest1=dest
     goto,itar
   endif
   if sw eq 2 then begin
     c=[x,y]
     c2=c
     wset,2
     sp1=reform(cum(*,floor(x/20.),field[1]-ceil(y/20.)))
     oplot,l,sp1,color=300
     goto,itar
   endif

if keyword_set(ps) then begin
  sp=smooth(sp,5)  &  sp1=smooth(sp1,5)
loadct,0
  set_plot,'ps'
     if not(keyword_set(wdir)) then wdir='~/trash/'
     device,/landscape,filename=wdir+'spect.ps',/color
     sss=''
     if keyword_set(wxy) then sss='s' else wxy=1
     if not(keyword_set(yr)) then yr=[min(sp),max(sp)]
     plot,l,sp,yrange=yr,title=strtrim(string(wxy,format='(I5)'),2)+'X'+strtrim(string(wxy,format='(I5)'),2)+' fiber'+sss+' spectrum: ra_c='+rast1+$
       ', '+'dec_c='+dest1,xtitle='wavelength, Angstroms',ytitle='flux, '+uni
     oplot,l,sp1,linestyle=3
cma=rebin(-rotate(reform(cma,field[0],field[1]),7),30*field[0],30*field[0],/sample)
x0=c1[0]*30./20. & y0=c1[1]*30./20.
xa=rebin(dindgen(field[1]*30),field[0]*30,field[1]*30,/sample)
ya=transpose(xa)

r=sqrt((xa-x0)^2+(ya-y0)^2)
cma(where(r gt 30.*wxy and r lt 30.*wxy+5.))=min(cma)
     tvscl,cma,xsize=2.25,ysize=2.25,20.5,13.5,/centimeter
     xyouts,23./27.,15./21.,'lambda='+strtrim(string(line,format='(F15.5)'),2),/norm,charsize=.5
     device,/close
  set_plot,'x'
endif
loadct,0

if max(spext) gt 0. then begin
  sxaddpar,hsp,'CRVAL1',min(l)
  if not(keyword_set(outfts)) then outfts='spext.fts'
  writefits,wdir+outfts,spext,hsp
endif
end
