pro color_spect_2012,infile,wdir=wdir,redir=redir,av=av,parv=parv,ub=ub,bv=bv,vr=vr,magv=magv,deline=deline,$
  dspfile=dspfile,noerr=noerr, lrange=lrange
; on_error,1
;infile='/Local/CMFGEN/models/wngrid/results/spectra_dist/spectrum_model747_reddist.fts'
;infile='~/CMFGEN/models/wngrid/results/spectra_redshift/spectrum_model2000_reddist.fts'
;infile='/Local/CMFGEN/models/wngrid/results/spectra_dist/spectrum_model210_dist_long.fts'
;infile='/home/maryeva/CMFGEN/models/wngrid/results/spectra_dist/spectrum_model159_dist.fts'
;infile='/home/maryeva/CMFGEN/models/ostar/results/spectra_dist/spectrum_model1191_dist.fts'
if not(keyword_set(dspfile)) then dspfile=exdir(infile)+'dsp.fts'
if not(keyword_set(av)) then av=0.
if not(keyword_set(parv)) then parv=3.1
if not(keyword_set(redir)) then redir='/home/maryeva/ScoRe/SCORE_V11/filters/';'/Local/SCORE_V11/filters/'
if not(keyword_set(wdir)) then wdir=exdir(infile) ;;'~/V532/mp041112resultsky/color_spect_star.eps'

f=readfits(infile,hin)
l0=sxpar(hin,'CRVAL1')  &  dl=sxpar(hin,'CDELT1')
l=dindgen(n_elements(f))*dl+l0
if not(keyword_set(noerr)) then df=readfits(dspfile,dhin)

if keyword_set(lrange) then begin
           www=where(l lt max(lrange) and l gt min(lrange))
           l=l(www) 
           f=f(www)
endif

; f=f/l
if keyword_set(deline) then begin
set_plot,'ps'
 device,filename=wdir+'deline.ps'
 plot,l,f
   f1=lowess(l,f,250,1)
 oplot,l,f1,color=1000  
 device,/close
set_plot,'x'
f=f1
endif

; *** reading responses
fileu=redir+'filter_U.dat';'filter_u.dat'
fileb=redir+'filter_B.dat';'filter_b.dat'
filev=redir+'filter_V.dat';'filter_v.dat'
filer=redir+'filter_R.dat';'filter_r.dat'
filei=redir+'filter_I.dat';'filter_i.dat'
filej=redir+'filter_J.dat';'filter_j1.dat'
fileh=redir+'filter_H.dat';'filter_k1.dat'
filek=redir+'filter_K.dat';'filter_k1.dat'
filem=redir+'filter_M.dat';'filter_m1.dat'
;filen=redir+'filter_n.dat'
;filel1=redir+'filter_l1.dat'
;filel2=redir+'filter_l2.dat'

file_a0=redir+'a0.dat'
filsfilt=[fileb,filev,filer]

  openr,1,file_a0
   s0=''
   readf,1,s0
   tmp=dblarr(5)
   readf,1,s0
   tmp=strsplit(s0,'	',/ext)
   if strpos(s0,'#') ge 0. then begin
     la0=0. & fa0=0.
   endif else begin
     la0=double(tmp[0])
     fa0=double(tmp[1])
   endelse
  while not(eof(1)) do begin
    readf,1,s0
    if strpos(s0,'#') ge 0. then continue
    tmp=strsplit(s0,'	',/ext)
    la0=[la0,double(tmp[0])]
    fa0=[fa0,double(tmp[1])/double(tmp[0])]
  endwhile  
close,1

openr,1,fileu
   tmp=dblarr(2)
   readf,1,tmp
   lu=tmp[0]  &  fu=tmp[1]
  while not(eof(1)) do begin
    readf,1,tmp
    lu=[lu,tmp[0]]
    fu=[fu,tmp[1]]
  endwhile  
close,1

openr,1,fileb
   tmp=dblarr(2)
   readf,1,tmp
   lb=tmp[0]  &  fb=tmp[1]
  while not(eof(1)) do begin
    readf,1,tmp
    lb=[lb,tmp[0]]
    fb=[fb,tmp[1]]
  endwhile  
close,1
openr,1,filev
   tmp=dblarr(2)
   readf,1,tmp
   lv=tmp[0]  &  fv=tmp[1]
  while not(eof(1)) do begin
    readf,1,tmp
    lv=[lv,tmp[0]]
    fv=[fv,tmp[1]]
  endwhile  
close,1
;----------------------- filter r -------------------------------------
openr,1,filer
   tmp=dblarr(2)
   readf,1,tmp
   lr=tmp[0]  &  fr=tmp[1]
  while not(eof(1)) do begin
    readf,1,tmp
    lr=[lr,tmp[0]]
    fr=[fr,tmp[1]]
  endwhile  
close,1
;----------------------- filter i -------------------------------------
openr,1,filei
   tmp=dblarr(2)
   readf,1,tmp
   li=tmp[0]  &  fi=tmp[1]
  while not(eof(1)) do begin
    readf,1,tmp
    li=[li,tmp[0]]
    fi=[fi,tmp[1]]
  endwhile  
close,1

;----------------------- filter j -------------------------------------
openr,1,filej
   tmp=dblarr(2)
   readf,1,tmp
   lj=tmp[0]  &  fj=tmp[1]
   ;lj=lj*1.d+4
  while not(eof(1)) do begin
    readf,1,tmp
    lj=[lj,tmp[0]]
    fj=[fj,tmp[1]]
  endwhile  
close,1
;----------------------- filter h -------------------------------------
openr,1,fileh
   tmp=dblarr(2)
   readf,1,tmp
   lh=tmp[0]  &  fh=tmp[1]
  while not(eof(1)) do begin
    readf,1,tmp
    lh=[lh,tmp[0]]
    fh=[fh,tmp[1]]
  endwhile  
close,1

;----------------------- filter m -------------------------------------
openr,1,filem
   tmp=dblarr(2)
   readf,1,tmp
   lm=tmp[0]  &  fm=tmp[1]
   ;lm=lm*1.d+4
  while not(eof(1)) do begin
    readf,1,tmp
    lm=[lm,tmp[0]]
    fm=[fm,tmp[1]]
  endwhile  
close,1
;----------------------- filter k -------------------------------------
openr,1,filek
   tmp=dblarr(2)
   readf,1,tmp
   lk=tmp[0]  &  fk=tmp[1]
  ; lk=lk*1.d+4
  while not(eof(1)) do begin
    readf,1,tmp
    lk=[lk,tmp[0]]
    fk=[fk,tmp[1]]
  endwhile  
close,1
;;;----------------------- filter n -------------------------------------
;openr,1,filen
;   tmp=dblarr(2)
;   readf,1,tmp
;   ln=tmp[0]  &  fn=tmp[1]
;   ;ln=ln*1.d+4
;  while not(eof(1)) do begin
;    readf,1,tmp
;    ln=[ln,tmp[0]]
;    fn=[fn,tmp[1]]
;  endwhile  
;close,1
;;----------------------- filter l1 -------------------------------------
;openr,1,filel1
;   tmp=dblarr(2)
;   readf,1,tmp
;   ll1=tmp[0]  &  fl1=tmp[1]
;   ;ll1=ll1*1.d+4
;  while not(eof(1)) do begin
;    readf,1,tmp
;    ll1=[ll1,tmp[0]]
;    fl1=[fl1,tmp[1]]
;  endwhile  
;close,1
;;----------------------- filter l2 -------------------------------------
;openr,1,filel2
;   tmp=dblarr(2)
;   readf,1,tmp
;   ll2=tmp[0]  &  fl2=tmp[1]
;   ;ll2=ll2*1.d+4
;  while not(eof(1)) do begin
;    readf,1,tmp
;    ll2=[ll2,tmp[0]]
;    fl2=[fl2,tmp[1]]
;  endwhile  
;close,1

; ***

; *** calculating fluxes for A0 star
c=1.
fa0=fa0*c/la0^2
  fa0_u=interpol(fu,lu,la0,/spline)
  fa0_u(where(la0 gt max(lu) or la0 lt min(lu)))=0.
  flux_a0u=total(fa0_u*fa0 > 0.)*abs(median(shift(la0,1)-la0))

  fa0_b=interpol(fb,lb,la0,/spline)
  fa0_b(where(la0 gt max(lb) or la0 lt min(lb)))=0.
  flux_a0b=total(fa0_b*fa0 > 0.)*abs(median(shift(la0,1)-la0))

  fa0_v=interpol(fv,lv,la0,/spline)*abs(median(shift(la0,1)-la0))
  fa0_v(where(la0 gt max(lv) or la0 lt min(lv)))=0.
  flux_a0v=total(fa0_v*fa0 > 0.)
 
  fa0_r=interpol(fr,lr,la0,/spline)*abs(median(shift(la0,1)-la0))
  fa0_r(where(la0 gt max(lr) or la0 lt min(lr)))=0.
  flux_a0r=total(fa0_r*fa0 > 0.)
  
   fa0_i=interpol(fi,li,la0,/spline)*abs(median(shift(la0,1)-la0))
  fa0_i(where(la0 gt max(li) or la0 lt min(li)))=0.
  flux_a0i=total(fa0_i*fa0 > 0.)
  
  fa0_j=interpol(fj,lj,la0,/spline)*abs(median(shift(la0,1)-la0))
  fa0_j(where(la0 gt max(lj) or la0 lt min(lj)))=0.
  flux_a0j=total(fa0_j*fa0 > 0.)
  
   fa0_h=interpol(fh,lh,la0,/spline)*abs(median(shift(la0,1)-la0))
  fa0_h(where(la0 gt max(lh) or la0 lt min(lh)))=0.
  flux_a0h=total(fa0_h*fa0 > 0.)
  
  
   fa0_k=interpol(fk,lk,la0,/spline)*abs(median(shift(la0,1)-la0))
  fa0_k(where(la0 gt max(lk) or la0 lt min(lk)))=0.
  flux_a0k=total(fa0_k*fa0 > 0.)
  
   fa0_m=interpol(fm,lm,la0,/spline)*abs(median(shift(la0,1)-la0))
  fa0_m(where(la0 gt max(lm) or la0 lt min(lm)))=0.
  flux_a0m=total(fa0_m*fa0 > 0.)
  
;    fa0_n=interpol(fn,ln,la0,/spline)*abs(median(shift(la0,1)-la0))
;  fa0_n(where(la0 gt max(ln) or la0 lt min(ln)))=0.
;  flux_a0n=total(fa0_n*fa0 > 0.)
;   
;  fa0_l1=interpol(fl1,ll1,la0,/spline)*abs(median(shift(la0,1)-la0))
;  fa0_l1(where(la0 gt max(ll1) or la0 lt min(ll1)))=0.
;  flux_a0l1=total(fa0_l1*fa0 > 0.)
;  
;  fa0_l2=interpol(fl2,ll2,la0,/spline)*abs(median(shift(la0,1)-la0))
;  fa0_l2(where(la0 gt max(ll2) or la0 lt min(ll2)))=0.
;  flux_a0l2=total(fa0_l2*fa0 > 0.)
 
; *** ... and object analysed
; f=f*double(10.)^(-double(.4*av*5500.)/l)
; f=f*double(10.)^(-.4*av*ext_ccm(l,parv))
ccm_unred,l,f,av/parv,f1,r_v=parv
; f=f1

  f_u=interpol(fu,lu,l)  ;*abs(median(shift(l,1)-l))
  w_u=where(l gt max(lu) or l lt min(lu),n_u)
  if n_u gt 0 then f_u(w_u)=0.
  flux_u=int_tabulated(l,f_u*f > 0.,/double)
 if not(keyword_set(noerr)) then  dflux_u=int_tabulated(l,f_u*df > 0.,/double)

  f_b=interpol(fb,lb,l)  ;*abs(median(shift(l,1)-l))
  w_b=where(l gt max(lb) or l lt min(lb),n_b)
  if n_b gt 0 then f_b(w_b)=0.
  flux_b=int_tabulated(l,f_b*f > 0.,/double)
 if not(keyword_set(noerr)) then  dflux_b=int_tabulated(l,f_b*df > 0.,/double)

  f_v=interpol(fv,lv,l) ;*abs(median(shift(l,1)-l))
  w_v=where(l gt max(lv) or l lt min(lv),n_v)
  if n_v gt 0 then f_v(w_v)=0.
  flux_v=int_tabulated(l,f_v*f > 0.,/double)
 if not(keyword_set(noerr)) then  dflux_v=int_tabulated(l,f_v*df > 0.,/double)
; flux_v=total(f_v*f > 0.)*dl
 
  f_r=interpol(fr,lr,l)
  w_r=where(l gt max(lr) or l lt min(lr),n_r)
   if n_r gt 0 then f_r(w_r)=0.
  flux_r=int_tabulated(l,f_r*f > 0.,/double)  ;*abs(median(shift(l,1)-l))
 if not(keyword_set(noerr)) then  dflux_r=int_tabulated(l,f_r*df > 0.,/double)  ;*abs(median(shift(l,1)-l))
 
  f_i=interpol(fi,li,l)
  w_i=where(l gt max(li) or l lt min(li),n_i)
   if n_i gt 0 then f_i(w_i)=0.
  flux_i=int_tabulated(l,f_i*f > 0.,/double)  ;*abs(median(shift(l,1)-l))
 if not(keyword_set(noerr)) then  dflux_i=int_tabulated(l,f_i*df > 0.,/double)  ;*abs(median(shift(l,1)-l))
 
  f_j=interpol(fj,lj,l)
  w_j=where(l gt max(lj) or l lt min(lj),n_j)
   if n_j gt 0 then f_j(w_j)=0.
  flux_j=int_tabulated(l,f_j*f > 0.,/double)  ;*abs(median(shift(l,1)-l))
 if not(keyword_set(noerr)) then  dflux_j=int_tabulated(l,f_j*df > 0.,/double)  ;*abs(median(shift(l,1)-l))
 
 f_h=interpol(fh,lh,l)
  w_h=where(l gt max(lh) or l lt min(lh),n_h)
   if n_h gt 0 then f_h(w_h)=0.
  flux_h=int_tabulated(l,f_h*f > 0.,/double)  ;*abs(median(shift(l,1)-l))
 if not(keyword_set(noerr)) then  dflux_h=int_tabulated(l,f_h*df > 0.,/double)  
 
  f_k=interpol(fk,lk,l)
  w_k=where(l gt max(lk) or l lt min(lk),n_k)
   if n_k gt 0 then f_k(w_k)=0.
  flux_k=int_tabulated(l,f_k*f > 0.,/double)  ;*abs(median(shift(l,1)-l))
 if not(keyword_set(noerr)) then  dflux_k=int_tabulated(l,f_k*df > 0.,/double)  ;*abs(median(shift(l,1)-l))
 
  f_m=interpol(fm,lm,l)
  w_m=where(l gt max(lm) or l lt min(lm),n_m)
   if n_m gt 0 then f_m(w_m)=0.
  flux_m=int_tabulated(l,f_m*f > 0.,/double)  ;*abs(median(shift(l,1)-l))
 if not(keyword_set(noerr)) then  dflux_m=int_tabulated(l,f_m*df > 0.,/double)  ;*abs(median(shift(l,1)-l))

;  f_n=interpol(fn,ln,l)
;  w_n=where(l gt max(ln) or l lt min(ln),n_n)
;   if n_n gt 0 then f_n(w_n)=0.
;  flux_n=int_tabulated(l,f_n*f > 0.,/double)  ;*abs(median(shift(l,1)-l))
; if not(keyword_set(noerr)) then  dflux_n=int_tabulated(l,f_n*df > 0.,/double)  ;*abs(median(shift(l,1)-l))
; 
;   f_l1=interpol(fl1,ll1,l)
;  w_l1=where(l gt max(ll1) or l lt min(ll1),n_l1)
;   if n_l1 gt 0 then f_l1(w_l1)=0.
;  flux_l1=int_tabulated(l,f_l1*f > 0.,/double)  ;*abs(median(shift(l,1)-l))
; if not(keyword_set(noerr)) then  dflux_l1=int_tabulated(l,f_l1*df > 0.,/double)  ;*abs(median(shift(l,1)-l))
; 
;   f_l2=interpol(fl2,ll2,l)
;  w_l2=where(l gt max(ll2) or l lt min(ll2),n_l2)
;   if n_l2 gt 0 then f_l2(w_l2)=0.
;  flux_l2=int_tabulated(l,f_l2*f > 0.,/double)  ;*abs(median(shift(l,1)-l))
; if not(keyword_set(noerr)) then  dflux_l2=int_tabulated(l,f_l2*df > 0.,/double)  ;*abs(median(shift(l,1)-l))

; ***  U-B,B-V, V-R at last!!!

ub=-2.5*(alog10(flux_u/flux_a0u)-alog10(flux_b/flux_a0b))
bv=-2.5*(alog10(flux_b/flux_a0b)-alog10(flux_v/flux_a0v))
vr=-2.5*(alog10(flux_v/flux_a0v)-alog10(flux_r/flux_a0r))
ri=-2.5*(alog10(flux_r/flux_a0r)-alog10(flux_i/flux_a0i))
ij=-2.5*(alog10(flux_i/flux_a0i)-alog10(flux_j/flux_a0j))
vi=-2.5*(alog10(flux_v/flux_a0v)-alog10(flux_i/flux_a0i))
vj=-2.5*(alog10(flux_v/flux_a0v)-alog10(flux_j/flux_a0j))
vk=-2.5*(alog10(flux_v/flux_a0v)-alog10(flux_k/flux_a0k))
vm=-2.5*(alog10(flux_v/flux_a0v)-alog10(flux_m/flux_a0m))
vh=-2.5*(alog10(flux_v/flux_a0v)-alog10(flux_h/flux_a0h))


u=-2.5*alog10(flux_u)-13.87
v=-2.5*alog10(flux_v)-13.74
b=-2.5*alog10(flux_b)-12.97
 bv=b-v
du=0. & dv=0. &  db=0. &  dr=0. & di=0.  & dj=0. &  dk=0. & dm=0. & dh=0.
if not(keyword_set(noerr)) then begin
 du=1.08*dflux_u/flux_u
 dv=1.08*dflux_v/flux_v
 db=1.08*dflux_b/flux_b
 dr=1.08*dflux_r/flux_r
 di=1.08*dflux_i/flux_i
 dj=1.08*dflux_j/flux_j
 dk=1.08*dflux_k/flux_k
 dm=1.08*dflux_m/flux_m
 dh=1.08*dflux_h/flux_h
endif
 dbv=db+dv
 dub=du+db
 dvr=dr+dv
 dri=dr+di
 dij=di+dj
 dvi=di+dv
 dvj=dj+dv
 dvk=dk+dv
 dvm=dm+dv
 dhv=dh+dv
; dist=5.1E+6
; v=v-alog10(dist)*5.+5.

resd=dialog_message('U-B color index:'+strtrim(string(ub,for='(F10.2)'),2)+string("261B)+strtrim(string(dub,for='(F10.2)'),2)+$
                   string(10B)+'B-V color index:'+strtrim(string(bv,for='(F10.2)'),2)+string("261B)+strtrim(string(dbv,for='(F10.2)'),2)+$
                   string(10B)+'V-R color index:'+strtrim(string(vr,for='(F10.2)'),2)+string("261B)+strtrim(string(dvr,for='(F10.2)'),2)+$
                   string(10B)+'R-I color index:'+strtrim(string(ri,for='(F10.2)'),2)+string("261B)+strtrim(string(dri,for='(F10.2)'),2)+$
                   string(10B)+'V magnitude:'+strtrim(string(v,for='(F10.2)'),2)+string("261B)+strtrim(string(dv,for='(F10.2)'),2),/info)

print,'U-B color index:',ub,string("261B),dub
print,'B-V color index:',bv,string("261B),dbv
print,'V-R color index:',vr,string("261B),dvr
print,'R-I color index:',ri,string("261B),dri
print,'I-J color index:',ij,string("261B),dij
print,'V-I color index:',vi,string("261B),dvi
print,'V-J color index:',vj,string("261B),dvj
print,'V-K color index:',vk,string("261B),dvk
print,'V-M color index:',vm,string("261B),dvm
print,'V-H color index:',vh,string("261B),dhv
print,'V-magnitude:',v,string("261B),dv

magv=v
wkiller
; *** PS output
outfile=strreplace(infile,'.fts','_color_spect2012.eps')
set_plot,'ps'
 device,filename=outfile,/encaps,/color,/land
  loadct,0
  fsm=med_ext(f,20)
  plot,l,f,thick=2.,charsize=2.,charthick=3.,yrange=[0.,max(fsm)]*2.,/yst
 loadct,27
  oplot,l,f_i*flux_i/total(f_i),color=250,thick=3.
  oplot,l,f_r*flux_r/total(f_r),color=169,thick=3.
  oplot,l,f_b*flux_b/total(f_b),color=40,thick=3.
  oplot,l,f_v*flux_v/total(f_v),color=80,thick=3.
  oplot,l,f_u*flux_u/total(f_u),color=5,thick=3.
  
;  oplot,l,f_i*flux_i/total(f_i)
  loadct,0
  xyouts,5200.,max(fsm)*1.8,'V ='+strtrim(string(v,for='(F10.2)'),2)+string("261B)+strtrim(string(dv,for='(F10.2)'),2),$
    charsize=2.,charthick=3.
  xyouts,5200.,max(fsm)*1.6,'B-V ='+strtrim(string(bv,for='(F10.2)'),2)+string("261B)+strtrim(string(dbv,for='(F10.2)'),2),$
    charsize=2.,charthick=3.
  xyouts,5200.,max(fsm)*1.4,'V-R ='+strtrim(string(vr,for='(F10.2)'),2)+string("261B)+strtrim(string(dvr,for='(F10.2)'),2),$
    charsize=2.,charthick=3.
  xyouts,5200.,max(fsm)*1.2,'U-B ='+strtrim(string(ub,for='(F10.2)'),2)+string("261B)+strtrim(string(dub,for='(F10.2)'),2),$
    charsize=2.,charthick=3.
  xyouts,5200.,max(fsm)*1.1,'R-I ='+strtrim(string(ri,for='(F10.2)'),2)+string("261B)+strtrim(string(dri,for='(F10.2)'),2),$
    charsize=2.,charthick=3. 
   xyouts,5200.,max(fsm)*1.0,'I-J ='+strtrim(string(ij,for='(F10.2)'),2)+string("261B)+strtrim(string(dij,for='(F10.2)'),2),$
    charsize=2.,charthick=3.   
 device,/close
set_plot,'x'
end
