pro cont_model,file,lrange=lrange,outfile=outfile,log=log,exdir=exdir,npar=npar


if not(keyword_set(npar)) then npar=900

r=readfits(file,hf);;;;;'/bufm/NATALIJA/_trsumsp5flx.ms.fits'
l0=sxpar(hf,'CRVAL1') & dl=sxpar(hf,'CDElT1')
a=size(r)
l=dindgen(a[1])*dl+l0

if not(keyword_set(lrange)) then lrange=[min(l),max(l)]
w=where(l ge min(lrange) and l le max(lrange))
l1=l(w) & r1=r(w)
;ttt=npar/2

;l2=[(dindgen(ttt)-double(ttt))*dl+min(lrange),l1]
;fun=goodpoly(l1,r1,1,5,yfit)
;rl=[poly(l2(0:ttt-1),fun),r1]


nn=where(1-finite(r),wnn)
if wnn gt 0 then r(nn)=0

;if keyword_set(log) then co=lowess(l2,rl,500.,1) else
 co=lowess(l1,r1,npar,3)

w1=where(l1 ge min(l1) and l1 le max(l1))
;co1=interpol(co,l1,l)
co=co(w1)

if keyword_set(log) then r_con=r1-co else r_con=r1/co
;if keyword_set(log) then rl=(10d)^r_con
;if keyword_set(log) then col=(10d)^co
;if keyword_set(log) then co=col 
;if keyword_set(log) then r_con=rl


;******************* ASC ************************

openw,uni,strreplace(file,'.fts','_spect_cont'),/get_lu
for k=0,n_elements(r_con)-1 do printf,uni,r_con[k]
  close,uni 
  free_lun,uni

openw,uni,strreplace(file,'.fts','_cont'),/get_lu
for k=0,n_elements(co)-1 do printf,uni,co[k]
  close,uni 
  free_lun,uni

;************************

if not(keyword_set(outfile)) then outfile=strreplace(file,'.fts','spect_cont.fts')
outfile1=strreplace(file,'.fts','cont.fts')
sxaddpar,hf,'CRVAL1',min(l1)
sxaddhist,'Continuum',hf
writefits,outfile,r_con,hf
writefits,outfile1,co,hf


end
