pro coshow,file1,file2,file3

np=n_params()

  f1=readfits(file1,h1)  &  f2=readfits(file2,h2) & if np gt 2 then f3=readfits(file3,h3)
  dy1=sxpar(h1,'CDELT1')  &  dy2=sxpar(h2,'CDELT1') &  if np gt 2 then dy3=sxpar(h3,'CDELT1')
  y01=sxpar(h1,'CRVAL1')  &  y02=sxpar(h2,'CRVAL1') &  if np gt 2 then y03=sxpar(h3,'CRVAL1')

  n1=n_elements(f1)  &  n2=n_elements(f2) &  if np gt 2 then n3=n_elements(f3)
  y1=dindgen(n1)*dy1+y01  &  y2=dindgen(n2)*dy2+y02   &  if np gt 2 then y3=dindgen(n3)*dy3+y03 
 
wdir=exdir(file1)

set_plot,'ps'
 device,filename=wdir+'coshow.eps',/enc,/land,xsize=28,ysize=20,xoffset=0,yoffset=28
  plot,y1,f1,thick=3.,charsize=2.,charthick=3.5,xtitle='y, arcsec',yrange=[min([f1,f2,f3]),max([f1,f2,f3])],$
     ytitle='I(line), erg / cm!U2!N / s / arcsec!U2!N ',psym=0,/xst
  oplot,y2,f2*1.,thick=3.,psym=0,linestyle=1
  if np gt 2 then oplot,y3,f3,thick=3.,psym=0,linestyle=2
 device,/close
set_plot,'x'
end
