;VPHG tests6216.7

;create etalon neon spectra
;!P.background=2^24-1 & !P.color=0

pro create_etalon,log0,dir=dir
common iilpars, fcur, warcur, xarcur, yarcur, nlines, outtext, out_neon, iilxscale, wval, log

log=log0

ini_neon=DIALOG_PICKFILE(filter=def_wdir(log)+'neon.fts',TITLE='input initial neon image')  ;DIALOG_PICKFILE(/read,filter='*.fts',GET_PATH=dir,TITLE='input initial image neon')
dir=exdir(ini_neon)

ini_neon=str_sep(ini_neon,'/') & ini_neon=ini_neon(N_elements(ini_neon)-1)
; out_neon=DIALOG_PICKFILE(/write,PATH=dir,TITLE='input etalon name')
; ret:
; out_neon=dialog_read('',title='Grating name (unique)',wval=ouw)
out_neon=DIALOG_PICKFILE(/write,tit='Grating name (unique)')  ;,PATH=dir,TITLE='input etalon name')
out_neon=str_sep(out_neon,'/') & out_neon=out_neon(N_elements(out_neon)-1)

; correction geometrical distorsion
; geometry_neon,ini_neon,ini_neon,out_neon+'_neon.fts',w_dir=dir,/plot
; remove overscan region
; ima=readfits(dir+out_neon+'_neon.fts',h)
ima=readfits(dir+ini_neon,h)
Nx=sxpar(h,'NAXIS1') & Ny=sxpar(h,'Naxis2')
overscan=0
yp1=floor(double(Ny)/4.)
yp2=floor(double(Ny)*3./4.)
ima=ima(overscan:Nx-1,yp1:yp2)
neon=total(ima,2)   ;; bylo 60:140   !!!!!!!!!!!!!!!!1 yp1:yp2
writefits,dir+out_neon+'_neon.fts',ima,h
Nx=N_elements(neon)
Ndeg=3 & tresh=3
x=dindgen(Nx)
fi_peak,x,neon,0,ipix,xpk,ypk,bkpk,ipk
f=goodpoly(xpk,bkpk,Ndeg,3,Yfit)
;oplot,xpk,Yfit
robomean,bkpk-Yfit,3,0.5,avg_fon,rms_fon
R=where(abs(bkpk-Yfit) lt rms_fon*tresh) & bkpk=bkpk(R) & xpk=xpk(R)
bkpk=median(bkpk,3)
fon=INTERPOL(bkpk,xpk,x)
fon=LOWESS(x,fon,100,3,3)
neon=neon-fon
neon=(neon-min(neon))^0.75
rms=stdev(neon,avg_neon)
Nhist=40
x_hist=findgen(Nhist+1)*avg_neon/Nhist
tmp=histogram(neon,min=0,max=avg_neon,binsize=avg_neon/Nhist)
maxtmp=max(tmp,Nmax)
neon=neon-x_hist(Nmax)
d=0.5
;window,1,xsize=1000,ysize=400,retain=2
;plot,neon^d,xst=1  ;,yrange=[-max(neon^d)/20,max(neon^d)*1.2],yst=1 ;,color=1 ;,position=[0,0,1,1];,/norm
;oplot,[0,Nx-1],[0,0],linestyle=2
writefits,dir+'etalon_'+out_neon+'.fts',neon,h

;manual identefication spectra

neon=(neon)^d
wnf=where(1-finite(neon),nnf)
if nnf gt 0 then neon(wnf)=0.

interid_lines,(neon),idldir=dir

;w_out=warcur  &  x_out=xarcur  &  y_out=yarcur

;sw=1
;x_out=0 & y_out=0 &W_out=0
;xpre=0 & ypre=0
;be:
;x=0 & y=0
;if sw eq 4 then goto,final
;cursor,x,y,4,/data
;a=!MOUSE
;sw=LONG(a.button)
;if sw eq 1 and xpre ne x and ypre ne y and x lt Nx and x gt 0 and y gt 0 and y lt max(neon^d) then begin
; if sw eq 1 then begin oplot,[x],[y],psym=1
; input=''
; ;read,input,prompt='wavelength?'
; input=dialog_read(input,title='wavelength,'+string("305B))
; w=float(input)
; xyouts,x+5,y,string(w,format='(F9.2)'),charsize=0.75,orientation=90,/data
; w_out=[w_out,w]
; x_out=[x_out,x]
; y_out=[y_out,y]
;endif
;xpre=x & ypre=y
;endif
;if sw eq 1 or sw eq 16 or sw eq 8 then goto,be
;
;final:
;;
;;create output list lines
;N=N_elements(x_out)
;
;if N lt 3 then goto,theend
;
;x_out=x_out(1:N-1)
;w_out=w_out(1:N-1)
;N=N-1
;x=dindgen(Nx)
;Ndeg=3
;f=goodpoly(x_out,w_out,Ndeg,3)
;wav=0 & for j=0,Ndeg do wav=wav+f(j)*x^j
;wav_min=10*fix(wav(0)/10) & wav_max=10*rfix(wav(Nx-1)/10)
;disp=fix((wav(Nx/2+1)-wav(Nx/2))/0.1)*0.1 & order=1
;openw,uni,dir+'etalon_'+out_neon+'.txt',/get_lun
;printf,uni,wav_min,wav_max,format='(2I8)'
;printf,uni,disp,order,format='(F5.2,I4)'
;for k=0,N-1 do printf,uni,w_out(k),rfix(x_out(k)),format='(F8.2,I6)'
;close,uni
;
;spawn,'cp '+dir+'etalon_'+out_neon+'* '+idldir
;
;theend:
;wdelete,1
end
