function DEF_PAR,FILELOG,PAR
;+
; NAME:
;	DEF_PAR
; PURPOSE:
;	extraction parameter from a logfile
; DESCRIPTION: 
;	
; CALLING SEQUENCE:
;	Result=DEF_PAR(FILELOG,par)
;
; CATEGORY:
;	reduction MPFS-data		
;
; INPUTS:
;	LOGFILE = file name of LOG observation (in format FITS-header)
;	
;
; OUTPUTS:
;	Result = string scalar name directory for writing
;		
; OPTIONAL OUTPUT:
;	no
;
; OPTIONAL INPUT KEYWORDS:
;	no	
;
; RESTRICTIONS:
;	no
;
; NOTES:
;	no
;
; PROCEDURES USED:
;	SXPAR
;
; MODIFICATION HISTORY:
;
;-

on_error,2

openr,UNIT,FILELOG,/GET_LUN
a=' '
readf,UNIT,a
TABLE=a
WHILE NOT EOF(UNIT) do begin
readf,UNIT,a
TABLE=[TABLE,a]
ENDWHILE
close,UNIT
FREE_LUN, UNIT
RESULT=sxpar(TABLE,PAR)
RETURN,RESULT
END
