pro errorframe_long,log

wdir=def_par(log,'W_DIR')
obj=readfits(wdir+'obj_ic.fts',hi)
;flat=readfits(wdir+'flat_ic.fts',hf)
bias=readfits(wdir+'bias.fts',hb)

biasfiles=DEF_NAME(log,'bias',nbias)

ima_name=DEF_NAME(log,'obj',nexp)

gain=sxpar(hi,'GAIN')
dobj=sqrt((obj + bias*double(nexp)/double(1))*gain)/gain

sxaddpar,hi,'IMAGETYP','obj error'
writefits,wdir+'dobj_ic.fts',dobj,hi
writefits,wdir+'ston_ic.fts',obj/dobj,hi

reduction_flat,log,'dobj'
linerisation_2D,log,'dobj'
long_corrsent,['dobj'],wdir,str_sep(def_par(log,'SLITSIZE'),','),ext='_norm.fts'

ff=read_asc(wdir+'intspec_file.txt')
y0=ff[0]
dy=ff[1]-ff[0]
;gau=ff[2]
; yrange=fix(str_sep(def_pos(log),','))
 intspectrum,wdir+'dobj_norm.fts',y0,dy,log=log,out='dsp',gau=0; ff[2]

end
