;----------------------------
pro plotline
 common basicpars,log0,opers,indir,outtext,idldir,stalab,screensize0,scinfo
 common basicpars11,log,yco1,yco2,yco3,yco4,yar,screensize,file,wdir
 common specpoint,profile1,profile2,nx,lowfon1
 common close_par,yc1,yc2,yc3,yc4 
 common par_gaussian,ampltude_gaus,cent_gaus,fwhm_gaus,number_gaus,gn
 common par_gaussian0,ampltude_gaus0,cent_gaus0,fwhm_gaus0,gaus
 common partmp,ampltude_gaus_tmp,fwhm_gaus_tmp,cent_gaus_tmp,gaustmp,nstar,qfon

ww1=where(yar gt yco1 and yar lt yco2,nw1)
ww2=where(yar gt yco3 and yar lt yco4,nw2)
ww=where((yar gt yco3 and yar lt yco4) or (yar gt yco1 and yar lt yco2),nw)
wwg=where(yar gt yco1 and yar gt yco4)
if nw gt 0 then   yfon1=goodpoly(yar(ww),profile1(ww),1,3.)


loadct,0,/sil
 plot,yar,profile1,xrange=[min([yco1,yco2,yco3,yco4])-10.,max([yco2,yco1,yco3,yco4])+10.],/xst,/yst,xtitle='y, arcsec',ytitle='flux, some units...'
loadct,27,/sil
 oplot,yar,profile1,color=-65000  ;;[-1,170,111111,300000,-65000]
 oplot,yar,profile2,color=1000
if nw1 gt 0 then oplot,yar(ww1),profile1(ww1),color=1234567
if nw2 gt 0 then  oplot,yar(ww2),profile1(ww2),color=1234567
if nw1 gt 0 then  oplot,yar(ww1),profile2(ww1),color=1234567
if nw2 gt 0 then  oplot,yar(ww2),profile2(ww2),color=1234567
if nw gt 0 then oplot,yar(ww),yfon1[0]+yfon1[1]*yar(ww),color=-1234567

loadct,0,/sil
oplot,[yco1,yco1],[min([profile1,profile2]),max([profile1,profile2])]
oplot,[yco2,yco2],[min([profile1,profile2]),max([profile1,profile2])]
oplot,[yco3,yco3],[min([profile1,profile2]),max([profile1,profile2])]
oplot,[yco4,yco4],[min([profile1,profile2]),max([profile1,profile2])]

;if number_gaus gt 0. then begin
if number_gaus gt 0 then for k=0,number_gaus-1 do begin
;gausplot=gaus(*,k)
;oplot,yar(wwg),gausplot(wwg)-yfon1[0]-yfon1[1]*yar(wwg),color=1234567
oplot,yar,gaus(*,k)+yfon1[0]+yfon1[1]*yar,color=1234567

endfor
;endif
end
;--------------------------
pro seb1_event,ev

 common basicpars,log0,opers,indir,outtext,idldir,stalab,screensize0,scinfo
 common basicpars11,log,yco1,yco2,yco3,yco4,yar,screensize,file,wdir
 common specpoint,profile1,profile2,nx,lowfon1
 common close_par,yc1,yc2,yc3,yc4 
 common par_gaussian,ampltude_gaus,cent_gaus,fwhm_gaus,number_gaus,gn
 common par_gaussian0,ampltude_gaus0,cent_gaus0,fwhm_gaus0,gaus
 common partmp,ampltude_gaus_tmp,fwhm_gaus_tmp,cent_gaus_tmp,gaustmp,nstar,qfon

set_plot,'x'

wdir=def_wdir(log)
 widget_control,ev.id,get_uvalue=uv,get_value=val
 if uv eq  'addgaus' then number_gaus=number_gaus+1.
if uv eq 'addfon' then qfon=qfon+1

 case uv of
  'close': widget_control,ev.top,/destroy
  'ext': exspect_multigauss,file,cent_gaus,ampltude_gaus,fwhm_gaus,log=log,fon=[yco1,yco2,yco3,yco4],ns=nstar,/plot,out=out,lowfon=lowfon1
  'addfon': add_fon
  'addgaus': add_gauss
  'chgaus': change_gauss
  'remgaus': number_gaus=number_gaus-1 
  else: message,uv,/cont
 endcase
if uv ne 'close' and uv ne 'ext' then plotline
if uv eq 'remgaus' then begin 
cent_gaus=cent_gaus(0:number_gaus-1)
ampltude_gaus=ampltude_gaus(0:number_gaus-1)
fwhm_gaus=fwhm_gaus(0:number_gaus-1)
gaus=gaus(0:nx-1,0:number_gaus-1)
endif
if uv eq 'ext' then begin

for q=0,n_elements(cent_gaus)-1 do color_spect1,wdir+'obj_spect_'+strtrim(string(q,for='(I10)'),2)+'.fts',redir=idldir+'/../filters/'
widget_control,ev.top,/destroy
endif
end
;;;***************************************************************************************
pro seb1_fon_event,ev
 common basicpars,log0,opers,indir,outtext,idldir,stalab,screensize0,scinfo
 common basicpars11,log,yco1,yco2,yco3,yco4,yar,screensize,file,wdir
 common specpoint,profile1,profile2,nx,lowfon1
 common close_par,yc1,yc2,yc3,yc4 
 common par_gaussian,ampltude_gaus,cent_gaus,fwhm_gaus,number_gaus,gn
 common par_gaussian0,ampltude_gaus0,cent_gaus0,fwhm_gaus0,gaus
 common partmp,ampltude_gaus_tmp,fwhm_gaus_tmp,cent_gaus_tmp,gaustmp,nstar,qfon



 widget_control,ev.id,get_uvalue=uv,get_value=val
; case uv of
;  'close': widget_control,ev.top,/destroy
;  'ext': exsspect_multigauss,file,yp,dy,log=log,dfon=dfon,plot=plot,out=out
;  'ys1': yco1=ev.value
;  'ys2': yco2=ev.value
;  'ys3': yco3=ev.value
;  'ys4': yco4=ev.value
;
;
;  else: message,uv,/cont
; endcase

 if uv eq 'ys1' then yco1=ev.value
 if uv eq 'ys2' then yco2=ev.value
 if uv eq 'ys3' then yco3=ev.value
 if uv eq 'ys4' then yco4=ev.value
 if uv eq 'numstar' then nstar=long(val[0])

 if uv eq 'ext' then  begin 
widget_control,ev.top,/destroy
lowfon=0.
;nstar=nstar
endif
 if uv eq 'smo' then  begin
 lowfon1=1.
 widget_control,ev.top,/destroy
 yco1=yc1 & yco2=yc2 & yco3=yc3 & yco4=yc4 
 endif
 if uv eq 'low' then  begin
 lowfon1=2.
 widget_control,ev.top,/destroy
 yco1=yc1 & yco2=yc2 & yco3=yc3 & yco4=yc4 
 endif
 if uv eq 'close' then begin
 widget_control,ev.top,/destroy
yco1=yc1 & yco2=yc2 & yco3=yc3 & yco4=yc4 & nstar=nstar
endif

plotline
end
;/*****/*/***************//**********************/******************
pro seb_gaus_event,ev
 common basicpars11,log,yco1,yco2,yco3,yco4,yar,screensize,file,wdir
 common specpoint,profile1,profile2,nx,lowfon1
 common close_par,yc1,yc2,yc3,yc4 
 common par_gaussian,ampltude_gaus,cent_gaus,fwhm_gaus,number_gaus,gn
 common par_gaussian0,ampltude_gaus0,cent_gaus0,fwhm_gaus0,gaus
 common partmp,ampltude_gaus_tmp,fwhm_gaus_tmp,cent_gaus_tmp,gaustmp,nstar,qfon


 widget_control,ev.id,get_uvalue=uv,get_value=val

 if uv eq 'amplit' then ampltude_gaus[number_gaus-1]=ev.value

 if uv eq 'fwhm' then fwhm_gaus[number_gaus-1]=ev.value

 if uv eq 'cent' then  cent_gaus[number_gaus-1]=ev.value
 sigma=fwhm_gaus/2.35

ng=number_gaus
gausian1=gaussian(yar,[ampltude_gaus[ng-1],cent_gaus[ng-1],sigma[ng-1]])
if number_gaus eq 0 then begin
  gaus=reform(gausian1,nx,1) 
endif else begin
  ; gaus=[gaus,gaussian]
  gaus(*,number_gaus-1)=gausian1
endelse
;plotline

 if uv eq 'ext' then  begin
   widget_control,ev.top,/destroy
;;;   ampltude_gaus0=ampltude_gaus
;;;   cent_gaus0=cent_gaus
;;;   fwhm_gaus0=fwhm_gaus
 endif

 if uv eq 'close' then begin
   widget_control,ev.top,/destroy
  ampltude_gaus=ampltude_gaus[0:number_gaus-2]
   cent_gaus=cent_gaus[0:number_gaus-2]
   fwhm_gaus=fwhm_gaus[0:number_gaus-2]
    gaus=gaus(0:nx-1,0:number_gaus-2)
   number_gaus=number_gaus-1
 endif  

plotline

end
;*******************************************
pro seb1_change_event,ev
 common basicpars11,log,yco1,yco2,yco3,yco4,yar,screensize,file,wdir
 common specpoint,profile1,profile2,nx,lowfon1
 common close_par,yc1,yc2,yc3,yc4 
 common par_gaussian,ampltude_gaus,cent_gaus,fwhm_gaus,number_gaus,gn
 common par_gaussian0,ampltude_gaus0,cent_gaus0,fwhm_gaus0,gaus
 common partmp,ampltude_gaus_tmp,fwhm_gaus_tmp,cent_gaus_tmp,gaustmp,nstar,qfon

 widget_control,ev.id,get_uvalue=uv,get_value=val

 for k=0,number_gaus-1 do begin
     if uv eq 'chgaus'+strtrim(string(k,for='(I10)'),2) then gn=k
 endfor
 if uv eq 'amplit' then ampltude_gaus[gn]=ev.value
 if uv eq 'fwhm' then fwhm_gaus[gn]=ev.value
 if uv eq 'cent' then cent_gaus[gn]=ev.value
 sigma=fwhm_gaus/2.35
gausian1=gaussian(yar,[ampltude_gaus[gn],cent_gaus[gn],sigma[gn]])
  gaus(*,gn)=gausian1
if uv eq 'ext' then  widget_control,ev.top,/destroy

 if uv eq 'close' then begin
  ampltude_gaus[gn]=ampltude_gaus_tmp[gn]
   cent_gaus[gn]=cent_gaus_tmp[gn]
   fwhm_gaus[gn]=fwhm_gaus_tmp[gn]
   gaus(*,gn)=gaustmp(*,gn)
   widget_control,ev.top,/destroy
  endif  

plotline

end
;*******************************************
pro exspect_interactive_multigauss,pars,screen=screen,file1,idldir=idldir

 common basicpars11,log,yco1,yco2,yco3,yco4,yar,screensize,file,wdir
 common specpoint,profile1,profile2,nx,lowfon1
 common close_par,yc1,yc2,yc3,yc4 
 common par_gaussian,ampltude_gaus,cent_gaus,fwhm_gaus,number_gaus,gn
 common par_gaussian0,ampltude_gaus0,cent_gaus0,fwhm_gaus0,gaus
 common partmp,ampltude_gaus_tmp,fwhm_gaus_tmp,cent_gaus_tmp,gaustmp,nstar,qfon

set_plot,'x'
log=pars

qfon=0.
 number_gaus=0. 
lowfon1=0.

!p.multi=0
screensize=screen
ylim=double(strsplit(def_par(log,'YOBJ'),',',/ext))
yco2=min(ylim)  &  yco3=max(ylim) 
yco1=yco2-20  &  yco4=yco3+20 

message,'Yobj = '+strtrim(string(yco1,for='(I10)'),2)+'; '+strtrim(string(yco2,for='(I10)'),2),/cont
  wdir=def_wdir(log)
  file=dialog_pickfile(filter=wdir+'*.fts',title='Select the 2D spectrum')
   
  f=readfits(file,h)
    a=size(f) & dl=sxpar(h,'CDELT1')  &  l0=sxpar(h,'CRVAL1')
    l=dindgen(a[1])*dl+l0 
    dy=sxpar(h,'CDELT2')  &  y0=sxpar(h,'CRVAL2')
    yar=dindgen(a[2])*dy+y0

nx=n_elements(yar)

   profile_blue=total(f(floor(a[1]/4.):floor(a[1]/2.)-1,*),1)
   profile_red=total(f(floor(a[1]/2.):floor(a[1]*3./4.),*),1)

profile1=profile_blue  &  profile2=(profile_red-min(profile_red))/(max(profile_red)-min(profile_red))*(max(profile_blue)-min(profile_blue))+min(profile_blue)
ampltude_gaus0=max([profile1,profile2])
cent_gaus0=(yco2+yco3)*0.5
fwhm_gaus=1.5


;ampltude_gaus0=[ampltude_gaus]
;cent_gaus0=[cent_gaus]
;fwhm_gaus0=[fwhm_gaus]
;
;gaus=gaussian(yar,[ampltude_gaus0[0],cent_gaus0[0],ampltude_gaus0[0]/2.35])

  sbase=widget_base(title='SCOrpio REduction: spectrum extraction multigauss',xsize=screensize[0]*0.55,ysize=screensize[1]*0.8,$
     uvalue='sbase') ;,/all_ev) 

   clob=widget_button(sbase,value='Cancel',uv='close',$
  yoffset=0.72*screensize[1],xsize=0.2*screensize[0],ysize=0.05*screensize[1],xoffset=0.05*screensize[0])

   extract=widget_button(sbase,value='Extract',uv='ext',$
  yoffset=0.72*screensize[1],xsize=0.2*screensize[0],ysize=0.05*screensize[1],xoffset=0.3*screensize[0])

  pdraw=widget_draw(sbase,xsize=screensize[0]*0.53,ysize=screensize[1]*0.40,xoffset=screensize[0]*0.02,$
     yoffset=screensize[1]*0.3,uvalue='Profile',/button_events,/expose_ev)

addfon=widget_button(sbase,value='select background',uv='addfon',$
  yoffset=0.02*screensize[1],xsize=0.2*screensize[0],ysize=0.05*screensize[1],xoffset=0.05*screensize[0])

addgaus=widget_button(sbase,value='Add gaussian',uv='addgaus',$
  yoffset=0.02*screensize[1],xsize=0.2*screensize[0],ysize=0.05*screensize[1],xoffset=0.3*screensize[0])

remgaus=widget_button(sbase,value='Remove gaussian',uv='remgaus',$
  yoffset=0.08*screensize[1],xsize=0.2*screensize[0],ysize=0.05*screensize[1],xoffset=0.3*screensize[0])

changaus=widget_button(sbase,value='Change gaussian',uv='chgaus',$
  yoffset=0.08*screensize[1],xsize=0.2*screensize[0],ysize=0.05*screensize[1],xoffset=0.05*screensize[0])

 widget_control,pdraw,GET_VALUE=indraw
 wset,indraw
 
  widget_control,sbase,/realize
;;;  widget_control,sbase1,/realize
;;;  widget_control,sbase2,/realize
;;;  widget_control,sbase3,/realize
;;;  widget_control,sbase4,/realize

 xmanager,'seb1',sbase,group=sbase,/no_block

end
;******************************************
;//////////////////////////////////////////
pro add_fon
 common basicpars11,log,yco1,yco2,yco3,yco4,yar,screensize,file,wdir
 common specpoint,profile1,profile2,nx,lowfon1
 common par_gaussian,ampltude_gaus,cent_gaus,fwhm_gaus,number_gaus,gn
 common close_par,yc1,yc2,yc3,yc4
  common par_gaussian0,ampltude_gaus0,cent_gaus0,fwhm_gaus0,gaus
 common partmp,ampltude_gaus_tmp,fwhm_gaus_tmp,cent_gaus_tmp,gaustmp,nstar,qfon


yc1=yco1 & yc2=yco2 & yc3=yco3 & yc4=yco4 

if qfon eq 1 then nstr=6. else nstr=nstar
if qfon eq 1 then  nstar=nstr
  sbase_fon=widget_base(title='Select background',xsize=screensize[0]*0.45,ysize=screensize[1]*0.7,$
     uvalue='sbase',xoffset=0.5*screensize[0],yoffset=0.05*screensize[0]) ;,/all_ev) 
;  pdraw=widget_draw(sbase_fon,xsize=screensize[0]*0.3,ysize=screensize[1]*0.1,xoffset=screensize[0]*0.02,$
;     yoffset=screensize[1]*0.22,uvalue='Profile',/button_events,/expose_ev)

   clob_fon=widget_button(sbase_fon,value='Cancel',uv='close',$
  yoffset=0.65*screensize[1],xsize=0.1*screensize[0],ysize=0.04*screensize[1],xoffset=0.01*screensize[0])

   extract_fon=widget_button(sbase_fon,value='Ok',uv='ext',$
  yoffset=0.65*screensize[1],xsize=0.1*screensize[0],ysize=0.04*screensize[1],xoffset=0.3*screensize[0])
 
  smo_fon=widget_button(sbase_fon,value='Smooth background',uv='smo',$
  yoffset=0.54*screensize[1],xsize=0.15*screensize[0],ysize=0.04*screensize[1],xoffset=0.05*screensize[0])
  
smo_fon1=widget_button(sbase_fon,value='Low background',uv='low',$
 yoffset=0.54*screensize[1],xsize=0.15*screensize[0],ysize=0.04*screensize[1],xoffset=0.21*screensize[0])

n_star=widget_label(sbase_fon,uv='nstar_lab',value='Number star:',yoffset=0.6*screensize[1],xoffset=0.13*screensize[0])
n_star_wind=widget_text(sbase_fon,uv='numstar',value=strtrim(string(nstr),2),/edit,yoffset=0.59*screensize[1],/all_ev,$
  xoffset=0.21*screensize[0],xsize=0.005*screensize[0])

  text1=widget_text(sbase_fon,yoffset=screensize[1]*0.5,uvalue='tout1',xsize=screensize[0]*0.85,$
    ysize=screensize[1]*0.5,value='Automatic background selection (uses smoothing procedures)'+string(10B),xoffset=0.001*screensize[0],/frame,$
   scr_xsize=screensize[1]*0.62, scr_ysize=screensize[1]*0.14,/wrap)   ;; procedures suggested



  sbase1=widget_base(sbase_fon,xsize=screensize[0]*0.95,ysize=screensize[1]*0.1,yoffs=screensize[1]*0.053,$
    xoffs=screensize[0]*0.01, uvalue='sbase1',grou=sbase) ;,/all_ev) 
  sbase2=widget_base(sbase_fon,xsize=screensize[0]*0.95,ysize=screensize[1]*0.1,yoffs=screensize[1]*0.153,$
    xoffs=screensize[0]*0.01, uvalue='sbase2',grou=sbase) ;,/all_ev) 
  sbase3=widget_base(sbase_fon,xsize=screensize[0]*0.95,ysize=screensize[1]*0.1,yoffs=screensize[1]*0.253,$
    xoffs=screensize[0]*0.01, uvalue='sbase3',grou=sbase) ;,/all_ev) 
  sbase4=widget_base(sbase_fon,xsize=screensize[0]*0.95,ysize=screensize[1]*0.1,yoffs=screensize[1]*0.353,$
    xoffs=screensize[0]*0.01, uvalue='sbase4',grou=sbase) ;,/all_ev) 

    yslider1=cw_fslider(sbase1,title='y1',/drag,/edit,scroll=0.01,/frame,$ 
        uval='ys1',val=yco1,min=y0,max=max(yar),xsize=screensize[0]*0.4) ;;,xsize=screensize[0]*0.25,ysize=screensize[1]*0.1) ;,$
        ;yoffset=screensize[1]*0.4,yoffset=screensize[0]*0.05)
    yslider2=cw_fslider(sbase2,title='y2',/drag,/edit,scroll=0.01,/frame,$ 
        uval='ys2',val=yco2,min=y0,max=max(yar),xsize=screensize[0]*0.4) ;;,xsize=screensize[0]*0.25,ysize=screensize[1]*0.1) ;,$
      ;  yoffset=screensize[1]*0.5,xoffset=screensize[0]*0.05)
     
    yslider3=cw_fslider(sbase3,title='y3',/drag,/edit,scroll=0.01,/frame,$ 
        uval='ys3',val=yco3,min=y0,max=max(yar),xsize=screensize[0]*0.4) ;;,xsize=screensize[0]*0.25,ysize=screensize[1]*0.1) ;,$
        ;yoffset=screensize[1]*0.4,yoffset=screensize[0]*0.05)
    yslider4=cw_fslider(sbase4,title='y4',/drag,/edit,scroll=0.01,/frame,$ 
        uval='ys4',val=yco4,min=y0,max=max(yar),xsize=screensize[0]*0.4) ;;,xsize=screensize[0]*0.25,ysize=screensize[1]*0.1) ;,$
      ;  yoffset=screensize[1]*0.5,xoffset=screensize[0]*0.05)

; widget_control,pdraw,GET_VALUE=indraw
; wset,indraw

  text=widget_text(sbase_fon,yoffset=screensize[1]*0.003,uvalue='tout2',xsize=screensize[0]*0.62,$
    ysize=screensize[1]*0.55,value='Interactive background selection:'+string(10B),xoffset=0.001*screensize[0],/frame,$
   scr_xsize=screensize[1]*0.6, scr_ysize=screensize[1]*0.48,/wrap)   ;; procedures suggested
 
  widget_control,sbase_fon,/realize
  widget_control,sbase1,/realize
  widget_control,sbase2,/realize
  widget_control,sbase3,/realize
  widget_control,sbase4,/realize

 xmanager,'seb1_fon',sbase_fon,group=sbase_fon,/no_block

end

;///////////////////////////////////
pro add_gauss
 common basicpars11,log,yco1,yco2,yco3,yco4,yar,screensize,file,wdir
 common specpoint,profile1,profile2,nx,lowfon1
 common close_par,yc1,yc2,yc3,yc4 
 common par_gaussian,ampltude_gaus,cent_gaus,fwhm_gaus,number_gaus,gn
 common par_gaussian0,ampltude_gaus0,cent_gaus0,fwhm_gaus0,gaus
 common partmp,ampltude_gaus_tmp,fwhm_gaus_tmp,cent_gaus_tmp,gaustmp,nstar,qfon

ampltude_gaus0=max([profile1,profile2])
cent_gaus0=(yco2+yco3)*0.5
fwhm_gaus0=1.5


;ampltude_gaus0=[ampltude_gaus]
;cent_gaus0=[cent_gaus]
;fwhm_gaus0=[fwhm_gaus]

if number_gaus eq 1 then ampltude_gaus=[ampltude_gaus0] else ampltude_gaus=[ampltude_gaus,ampltude_gaus0]
if number_gaus eq 1 then cent_gaus=[cent_gaus0] else cent_gaus=[cent_gaus,cent_gaus0]
if number_gaus eq 1 then fwhm_gaus=[fwhm_gaus0] else fwhm_gaus=[fwhm_gaus,fwhm_gaus0]

gaus1=gaussian(yar,[ampltude_gaus0,cent_gaus0,ampltude_gaus0/2.35])

 if number_gaus gt 1 then begin
  gaus_tmp=gaus
  gaus=dblarr(nx,number_gaus)
  gaus(*,0:number_gaus-2)=gaus_tmp
  gaus(*,number_gaus-1)=gaus1
 endif else begin
  gaus=reform(gaus1,nx,1)
 endelse

 sbase_gaus=widget_base(title='Add gausian',xsize=screensize[0]*0.45,ysize=screensize[1]*0.5,$
     uvalue='sbase',xoffset=0.5*screensize[0],yoffset=0.05*screensize[0]) ;,/all_ev) 

   clob_gaus=widget_button(sbase_gaus,value='Cancel',uv='close',$
  yoffset=0.44*screensize[1],xsize=0.1*screensize[0],ysize=0.04*screensize[1],xoffset=0.05*screensize[0])

   extract_gaus=widget_button(sbase_gaus,value='Ok',uv='ext',$
  yoffset=0.44*screensize[1],xsize=0.1*screensize[0],ysize=0.04*screensize[1],xoffset=0.3*screensize[0])

  sbase11=widget_base(sbase_gaus,xsize=screensize[0]*0.95,ysize=screensize[1]*0.1,yoffs=screensize[1]*0.005,$
    xoffs=screensize[0]*0.005, uvalue='sbase1',grou=sbase) ;,/all_ev) 
  sbase22=widget_base(sbase_gaus,xsize=screensize[0]*0.95,ysize=screensize[1]*0.1,yoffs=screensize[1]*0.105,$
    xoffs=screensize[0]*0.005, uvalue='sbase2',grou=sbase) ;,/all_ev) 
  sbase33=widget_base(sbase_gaus,xsize=screensize[0]*0.95,ysize=screensize[1]*0.1,yoffs=screensize[1]*0.205,$
    xoffs=screensize[0]*0.005, uvalue='sbase3',grou=sbase) ;,/all_ev) 

    yslider1=cw_fslider(sbase11,title='Amplitude',/drag,/edit,scroll=1.e-4,/frame,$ 
        uval='amplit',val=ampltude_gaus0,min=min([profile1/10,profile2/10]),max=max([profile1,profile2]),xsize=screensize[0]*0.4) ;;,xsize=screensize[0]*0.25,ysize=screensize[1]*0.1) ;,$
        ;yoffset=screensize[1]*0.4,yoffset=screensize[0]*0.05)
    yslider2=cw_fslider(sbase22,title='FWHM',/drag,/edit,scroll=0.01,/frame,$ 
        uval='fwhm',val=fwhm_gaus0,min=0.,max=30.,xsize=screensize[0]*0.4) ;;,xsize=screensize[0]*0.25,ysize=screensize[1]*0.1) ;,$
      ;  yoffset=screensize[1]*0.5,xoffset=screensize[0]*0.05)
     
    yslider3=cw_fslider(sbase33,title='Center',/drag,/edit,scroll=0.001,/frame,$ 
        uval='cent',val=cent_gaus0,min=y0,max=max(yar),xsize=screensize[0]*0.4) ;;,xsize=screensize[0]*0.25,ysize=screensize[1]*0.1) ;,$
  widget_control,sbase_gaus,/realize
  widget_control,sbase11,/realize
  widget_control,sbase22,/realize
  widget_control,sbase33,/realize
 xmanager,'seb_gaus',sbase_gaus,group=sbase,/no_block

end
;//////////////////////////////////
pro change_gauss
 common basicpars11,log,yco1,yco2,yco3,yco4,yar,screensize,file,wdir
 common specpoint,profile1,profile2,nx,lowfon1
 common close_par,yc1,yc2,yc3,yc4 
 common par_gaussian,ampltude_gaus,cent_gaus,fwhm_gaus,number_gaus,gn
 common par_gaussian0,ampltude_gaus0,cent_gaus0,fwhm_gaus0,gaus
 common partmp,ampltude_gaus_tmp,fwhm_gaus_tmp,cent_gaus_tmp,gaustmp,nstar,qfon

gn=0.
ampltude_gaus_tmp=ampltude_gaus & fwhm_gaus_tmp=fwhm_gaus & cent_gaus_tmp=cent_gaus
gaustmp=gaus

 sbase_chgaus=widget_base(title='Change parametrs gausian',xsize=screensize[0]*0.45,ysize=screensize[1]*0.7,$
     uvalue='sbase',xoffset=0.5*screensize[0],yoffset=0.05*screensize[0]) ;,/all_ev) 

   clob_chgaus=widget_button(sbase_chgaus,value='Cancel',uv='close',$
  yoffset=0.65*screensize[1],xsize=0.1*screensize[0],ysize=0.04*screensize[1],xoffset=0.05*screensize[0])

   extract_chgaus=widget_button(sbase_chgaus,value='Ok',uv='ext',$
  yoffset=0.65*screensize[1],xsize=0.1*screensize[0],ysize=0.04*screensize[1],xoffset=0.3*screensize[0])
chgaus=uintarr(number_gaus)
for k=0,number_gaus-1 do begin
  chgaus[k]=widget_button(sbase_chgaus,value='Change gaussian'+strtrim(string(k,for='(I10)'),2),uv='chgaus'+strtrim(string(k,for='(I10)'),2),$
  yoffset=(0.05+k*0.03)*screensize[1],xsize=0.35*screensize[0],ysize=0.03*screensize[1],xoffset=0.005*screensize[0])

endfor
  sbase11=widget_base(sbase_chgaus,xsize=screensize[0]*0.95,ysize=screensize[1]*0.1,yoffs=screensize[1]*0.305,$
    xoffs=screensize[0]*0.005, uvalue='sbase1',grou=sbase) ;,/all_ev) 
  sbase22=widget_base(sbase_chgaus,xsize=screensize[0]*0.95,ysize=screensize[1]*0.1,yoffs=screensize[1]*0.405,$
    xoffs=screensize[0]*0.005, uvalue='sbase2',grou=sbase) ;,/all_ev) 
  sbase33=widget_base(sbase_chgaus,xsize=screensize[0]*0.95,ysize=screensize[1]*0.1,yoffs=screensize[1]*0.505,$
    xoffs=screensize[0]*0.005, uvalue='sbase3',grou=sbase) ;,/all_ev) 

    yslider1=cw_fslider(sbase11,title='Amplitude',/drag,/edit,scroll=1.e-4,/frame,$ 
        uval='amplit',val=ampltude_gaus0,min=min([profile1/10,profile2/10]),max=max([profile1,profile2]),xsize=screensize[0]*0.4) ;;,xsize=screensize[0]*0.25,ysize=screensize[1]*0.1) ;,$
        ;yoffset=screensize[1]*0.4,yoffset=screensize[0]*0.05)
    yslider2=cw_fslider(sbase22,title='FWHM',/drag,/edit,scroll=0.01,/frame,$ 
        uval='fwhm',val=fwhm_gaus0,min=0.,max=30.,xsize=screensize[0]*0.4) ;;,xsize=screensize[0]*0.25,ysize=screensize[1]*0.1) ;,$
      ;  yoffset=screensize[1]*0.5,xoffset=screensize[0]*0.05)
     
    yslider3=cw_fslider(sbase33,title='Center',/drag,/edit,scroll=0.001,/frame,$ 
        uval='cent',val=cent_gaus0,min=y0,max=max(yar),xsize=screensize[0]*0.4) ;;,xsize=screensize[0]*0.25,ysize=screensize[1]*0.1) ;,$
  widget_control,sbase11,/realize
  widget_control,sbase22,/realize
  widget_control,sbase33,/realize
  widget_control,sbase_chgaus,/realize
  widget_control,extract_chgaus,/realize
  widget_control,clob_chgaus,/realize
for k=0,number_gaus-1 do  widget_control,chgaus[k],/realize

 xmanager,'seb1_change',sbase_chgaus,group=sbase_chgaus,/no_block

end
