pro fluvel_long,ftype,wdir

 f0=readfits(wdir+ftype+'_f0.fts',hf0)
 f1=readfits(wdir+ftype+'_f1.fts',hf1)
 df0=readfits(wdir+ftype+'_df0.fts',hf0)
 df1=readfits(wdir+ftype+'_df1.fts',hf1)

 v0=readfits(wdir+ftype+'_v0.fts',hv0)
 v1=readfits(wdir+ftype+'_v1.fts',hv1)
 dv0=readfits(wdir+ftype+'_dv0.fts',hv0)
 dv1=readfits(wdir+ftype+'_dv1.fts',hv1)

y=dindgen(n_elements(f0))*sxpar(hf0,'CDELT1')+sxpar(hf0,'CRVAL1')

  set_plot,'ps'
   device,filename=wdir+ftype+'_fluxes.ps',/land
     plot,y,f0,psym=2,yrange=[min([f0,f1]),max([f0,f1])]
     oplot,y,f1,psym=1
     oplot,y,f0,psym=0
     oplot,y,f1,psym=0
     oploterr,y,f0,df0,3
     oploterr,y,f1,df1,3
   device,/close
   device,filename=wdir+ftype+'_vels.ps'
     plot,y,v0,psym=2,yrange=[-250.,50.],yst=1
     oplot,y,v1,psym=1
     oploterr,y,v0,dv0,3
     oploterr,y,v1,dv1,3
   device,/close
  set_plot,'x'
end
