function fselect,dir,type,grid=grid,bin=bin,mode=mode,obj=obj

flist=listdir(dir,wild='S*.FTS')
nf=n_elements(flist)
clo=intarr(nf)

for k=0,nf-1 do begin
  clo[k]=0
  hdr=headfits(flist[k]) ;;,/sil)
  typecur=sxpar(hdr,'IMAGETYP')
  gridcur=sxpar(hdr,'DISPERSE')
  bincur=sxpar(hdr,'BINNING')
  objcur=sxpar(hdr,'OBJECT')
  modecur=sxpar(hdr,'MODE')
  if typecur eq type then clo[k]=1
  if keyword_set(mode) and clo[k] eq 1 then begin
    if mode ne modecur then clo[k]=0
  endif
  if keyword_set(grid) and clo[k] eq 1 then begin
    if grid ne gridcur then clo[k]=0
  endif
  if keyword_set(grid) and clo[k] eq 1 then begin
    if grid ne gridcur then clo[k]=0
  endif
  if type eq 'flat' and mode eq 'Images' and keyword_set(obj) then begin
    clo[k]=1
  endif
endfor

wc=where(clo gt 0,nc)

if nc gt 0 then flist1=flist(wc) else return,-1

return,flist1
end
