pro hahb_long,wdir,yrange=yrange,nodeb=nodeb

  muline_long,wdir+'obj_sky.fts',[4861.33],yrange=yrange
 if not(keyword_set(nodeb)) then muline_long_halpha,wdir+'obj_sky.fts',yrange=yrange,w=100. $
else muline_long,wdir+'obj_sky.fts',[6562.82],yrange=yrange,w=100.

  fha=readfits(wdir+'6562_F0.fts',hha)
  fhb=readfits(wdir+'4861_F0.fts',hhb)
  dfha=readfits(wdir+'6562_df0.fts',dhha)
  dfhb=readfits(wdir+'4861_df0.fts',dhhb)

dy=sxpar(hha,'CDELT1')
y0=sxpar(hha,'CRVAL1')

if dy ne sxpar(hhb,'CDELT1') or y0 ne sxpar(hhb,'CRVAL1') then message,'array sizes don`t agree'

y=dindgen(n_elements(fha))*dy+y0

av=hahb_to_av(fha/fhb)

dav=abs(hahb_to_av((fha+dfha)/(fhb-dfhb))-hahb_to_av((fha-dfha)/(fhb+dfhb)))*0.5

set_plot,'ps'
 device,filename=wdir+'hahb.ps'
  plot,y,fha/fhb,yrange=[0.,20.],psym=2,xtitle='y,arcsec',ytitle='H!4a!3 / H!4b!3',$
    charsize=2.5,thick=3.,charthick=3.5
  oploterr,y,fha/fhb,sqrt((dfha/fhb)^2+(dfhb/fha)^2)
 device,/close
set_plot,'x'

writefits,wdir+'av.fts',av,hha
writefits,wdir+'hahb.fts',fha/fhb,hha

; *** making polynomial approximation

if not(keyword_set(yrange)) then yrange=[min(y),max(y)]

wp=where(av gt 0. and y gt min(yrange) and y lt max(yrange))
avpars=goodpoly(y(wp),av(wp),2,2.)
avfit=poly(y,avpars)

;avfit=smooth(med_ext(av,5),5)

set_plot,'ps'
 device,filename=wdir+'av.ps'
;  if not(keyword_set(xrange)) then xrange=[min(y),max(y)]
;  plot,y,av,yrange=[0.,10.],psym=2,xtitle='y, arcsec',ytitle='A,mag',xrange=xrange
  plot,y,av,yrange=[0.,10.],psym=2,xtitle='y,arcsec',ytitle='A!DV!N',$
    charsize=2.5,thick=3.,charthick=3.5
  oploterr,y,av,dav
;  oplot,y,avfit
 device,/close
set_plot,'x'
writefits,wdir+'av_fit.fts',avfit,hha

end
