pro im_event,ev
common impars, log, cuts, area, xar, yar, x0, y0,ima, dx, dy

screensize=[1024,768]
y00=0. &  x00=0.
;xsc=(max(xar)-min(xar))/  ;;(1.2*screensize[0])
;ysc=(max(yar)-min(yar))/ ;;(1.5*screensize[1])
xsc=dx  &  ysc=dy

   widget_control,ev.id,get_uvalue=val

case val of
   'Abort': message,'Aborted!',/cont
   'OK'   : message,'Accepted',/cont
   'Reset': message,'Parameters reset',/cont 
   'imdraw':  message,'x='+strtrim(string(ev.x,for='(I20)'),2)+'y='+strtrim(string(ev.y,for='(I20)'),2),/cont 
   else: message,val,/cont
endcase

if val eq 'OK' or val eq 'Abort' then widget_control,ev.top,/destroy

   if val eq 'imdraw' then begin
      if ev.press eq 1 then begin
        x0=(ev.x-x00)*xsc  &  y0=(ev.y-y00)*ysc
        print,x0,y0
      endif
      if ev.release eq 1 then begin
        area.minx=min([x0,(ev.x-x00)*xsc])   &     area.maxx=max([x0,(ev.x-x00)*xsc])
        area.miny=min([y0,(ev.y-y00)*ysc])   &     area.maxy=max([y0,(ev.y-y00)*ysc])
;        print,area
      endif
       ima1=ima 
         wx=where(xar gt area.minx and xar lt area.maxx,nwx)
;      if nwx gt 0 then ima1(wx,*)=ima(wx,*)*2.
         wy=where(yar gt area.miny and yar lt area.maxy,nwy)
;      if nwy gt 0 then ima1(*,wy)=ima1(*,wy)*0.5
;      ima1=ima1+median(ima1)
     ; tv,bytscl(-alog(ima)),0,0,xsize=1,ysize=.1,/cent ;,$
a=size(ima)
      tvscl,-alog(ima)
      contour,(ima1),xar,yar,/noda,/noer,pos=[0,0,1,1],/xst,/yst,/norm,color=0,thick=3.
  oplot,[area.minx,area.maxx]/1.175,[area.miny,area.miny]/1.12
  oplot,[area.minx,area.maxx]/1.175,[area.maxy,area.maxy]/1.12
  oplot,[area.minx,area.minx]/1.175,[area.miny,area.maxy]/1.12
  oplot,[area.maxx,area.maxx]/1.175,[area.miny,area.maxy]/1.12
;contour,(ima1),xar,yar,/fill,levels=([0.1,0.3,1.0,2.,3.]*median(ima)),pos=[0,0,1,1],/xst,/yst,/norm
;               quantile(ima,cuts.minv),quantile(ima,cuts.maxv))
   endif

if val eq 'OK' and (area.maxx-area.minx)*(area.maxy-area.miny) gt 0. then begin
         wx=where(xar gt area.minx and xar lt area.maxx,nwx)
         wy=where(yar gt area.miny and yar lt area.maxy,nwy)
  ima2=ima(wx,*)
  ima3=ima2(*,wy) 
sliw=def_par(log,'SLITSIZE')  &  wdir=def_par(log,'W_DIR') 
ima=readfits(wdir+'map_i.fts',hm)
;dx=sxpar(hm,'CDELT1')
  slita=def_slit(log)*dx  
  pos=sxpar(hm,'POSANG')

 xstart=4.  &  ystart=3.
 lx=15.*double(n_elements(xar(wx)))/double(n_elements(yar(wy)))  &  ly=15.
lx0=15.*double(n_elements(xar))/double(n_elements(yar))

ima3=smooth(med_xy(ima3,5),5)
 
 set_plot,'ps'
 device,filename=wdir+'map_all.eps',/port,xsize=25,ysize=25,/encaps
   tvscl,-alog(ima+median(ima)*.1),/cent,xstart,ystart,xsize=lx0,ysize=ly
  contour,ima,xar-slita,yar,/nodata,/noer,yst=1,xst=1,$
     pos=[xstart,ystart,xstart+lx0,ystart+ly]*1000.,/device,charsize=2.,charthick=3.,xtitle='x,arcsec',ytitle='y,arcsec'
   oplot,[-.5,-.5]*sliw[0],[min(yar),max(yar)],thick=2.
   oplot,[.5,.5]*sliw[0],[min(yar),max(yar)],thick=2.
  drawne,.75,.6,pos,r=.1,color=0
 device,/close
 device,filename=wdir+'map_obj.eps',/port,xsize=25,ysize=25,/encaps
  tvscl,-alog(ima3+median(ima3)*.1),/cent,xstart,ystart,xsize=lx,ysize=ly
   ;loadct,0
  contour,ima3,xar(wx)-slita,yar(wy),/nodata,/noer,yst=1,xst=1,$
     pos=[xstart,ystart,xstart+lx,ystart+ly]*1000.,/device,charsize=2.,charthick=3.,xtitle='x,arcsec',ytitle='y,arcsec'
   oplot,[-.5,-.5]*sliw[0],[min(yar(wy)),max(yar(wy))],thick=2.
   oplot,[.5,.5]*sliw[0],[min(yar(wy)),max(yar(wy))],thick=2.
  drawne,.75,.6,pos,r=.1,color=0
 device,/close
 set_plot,'x'
endif

end

pro map_interactive,log0

common impars, log, cuts, area, xar, yar, x0, y0, ima, dx, dy

;; out=replicate({gaus,max:-1.,center:-1.,fwhm:-1.,flux:-1.,ratio:-1.},N)
log=log0

cuts={minv:0,maxv:1}
area={minx:0, miny:0, maxx:1, maxy:1}

  wdir=def_par(log,'W_DIR')

  ima=readfits(wdir+'map_i.fts',hm)
  a=size(ima)
xar=dindgen(a[1])*sxpar(hm,'CDELT1')+sxpar(hm,'CRVAL1')
yar=dindgen(a[2])*sxpar(hm,'CDELT2')+sxpar(hm,'CRVAL2')

dx=sxpar(hm,'CDELT1')  &  dy=sxpar(hm,'CDELT2') 

     strmenu=['Abort','OK'] ;,'Reset']

nstr=n_elements(strmenu)
bbut=uintarr(nstr)
screensize=[1024,768]

  imbase=widget_base(title='InterMap (auxilliary procedure for SCORE)',xsize=screensize[0]*.9,ysize=screensize[1]*.9,$
    uvalue='imbase') ;;,/scroll,scr_xsize=.6*screensize[0],scr_ysize=.75*screensize[1])
  for k=0,nstr-1 do bbut[k]=widget_button(imbase,val=strmenu[k],uval=strmenu[k],$
   xoffset=round(.6*screensize[0]*double(k)/double(nstr+1)),xsize=.5*round(screensize[0]/double(nstr+1)),$
   ysize=round(1.1*screensize[0]*(0.1+0.0*double(k eq 0))/double(nstr+1)))

  imdraw=widget_draw(imbase,xsize=screensize[0]*1.2,ysize=screensize[1]*1.5,xoffset=screensize[0]*0.01,$
     yoffset=screensize[1]*0.1,uvalue='imdraw',/button_events,/expose_ev,/keyboard_events,/scroll,$
     scr_xsize=.85*screensize[0],scr_ysize=.8*screensize[1])

prind=!d.window
set_plot,'x'
   widget_control,imdraw,GET_VALUE=imindraw
   wset,imindraw
    
   widget_control,imbase,/realize
; loadct,33,/sil
;contour,-alog(ima),xar,yar,/fill,pos=[0,0,1,1],/norm,/xst,/yst

 xmanager,'im',imbase,group=imbase,/no_block

end
