pro normspect_ascii,infile,outfile

insp=read_asc(infile,8)
w_last=where(insp(0,*) eq max(insp(0,*))-.01)
l=reform(insp(1,w_last))
sp=reform(insp(2,w_last))
nx=n_elements(sp)

sp1=med_ext(sp,100)
wnol=where(abs(sp-sp1) le 2.*sp1)

cont0=lowess(l(wnol),sp(wnol),300,1.)
plot,l,sp,/yst
oplot,l,cont0,color=1000

cont=interpol(cont0,l(wnol),l)
outsp=(10.D)^double(sp-cont)

mkhdr,hsp,outsp
sxaddpar,hsp,'CRVAL1',min(l)
sxaddpar,hsp,'CDELT1',abs(median(l-shift(l,1)))

writefits,outfile,outsp,hsp
writefits,exdir(infile)+'cont.fts',cont,hsp

end
