pro othb_long,wdir,smoo=smoo

  file1=readfits(wdir+'5006_F0.fts',h1)
  file2=readfits(wdir+'4861_F0.fts',h2)
  dfile1=readfits(wdir+'5006_df0.fts',dh1)
  dfile2=readfits(wdir+'4861_df0.fts',dh2)

if keyword_set(smoo) then begin
 file1=smooth(file1,3)
 file2=smooth(file2,3)
endif

fr=abs(file1/file2)
dfr=abs(fr*(dfile1/file1+dfile2/file2))

dy=sxpar(h1,'CDELT1')
y0=sxpar(h1,'CRVAL1')

y=dindgen(n_elements(fr))*dy+y0

set_plot,'ps'
device,filename=wdir+'othb.ps',/land
 plot,y,fr,xtitle='y, arcsec',ytitle='[OIII] 5007 / H!D!4b!N!3',chars=1.5,chart=2.5,thic=2.5,psym=2
 oploterr,y,fr,dfr
 oplot,y,abs(file2)*5.e15
device,/close
set_plot,'x'


end
