pro rbsco,filered,fileblue

fr=readfits(filered,hr)
fb=readfits(fileblue,hb)

ar=size(fr)  &  ab=size(fb)
x=(dindgen(ar[1])-20.+10.) ;;*0.357
y=(dindgen(ar[2])) ;;*0.357
fr=fr(floor(ar[1]*0.45):floor(ar[1]*.6),floor(ar[2]*0.44):floor(ar[2]*.59))
fb=fb(floor(ar[1]*0.45):floor(ar[1]*.6),floor(ar[2]*0.44):floor(ar[2]*.59))
x=x(floor(ar[1]*0.45):floor(ar[1]*.6))
y=y(floor(ar[2]*0.44):floor(ar[2]*.59))

fr1=smooth(med_xy(fr,5),3)  &  fb1=smooth(med_xy(fb,5),3)

fr(where(fr gt 1.5*fr1))=fr1(where(fr gt 1.5*fr1))
;fb(where(fb gt 1.*fb1))=fb1(where(fb gt 2.*fb1))

fr=fr  &  fb=fb

r=bytscl(alog(fr+median(fr)*(-0.9)),4.9,8.)  &  g=bytscl(alog(fr+median(fr)*(0.8)),7.,50.)  &  b=bytscl(alog(fb-fr*0.+median(fb-fr*0.)*(-0.9)),6.7,7.8) 

m=0.02

x0=3  &  y0=5  &  lx=15  & ly=15

set_plot,'x'
;;device,decomp=0  
set_plot,'ps'
loadct,0
device,filename=exdir(filered)+'rbsco.eps',xsize=21,ysize=28,bits=16,/color,/port
 tv,[[[r]],[[g]],[[b]]],true=3,x0,y0,xsize=lx,ysize=ly,/cent
 ;loadct,27,/sil
 contour,r,x,y,pos=[x0,y0,x0+lx,y0+ly]*1000,/dev,/noer,c_color=-1,/xst,/yst,thick=5.,/down,charsize=1.5,charthick=2.,/noda
 oplot,y*0.+530.87+0.5/0.357,y,color=-1,thick=3.
 oplot,y*0.+530.87-0.5/0.357,y,color=-1,thick=3.
;loadct,0,/sil
device,/close
set_plot,'x'

write_jpeg,exdir(filered)+'rbsco.jpg',true=3,[[[r]],[[g]],[[b]]]
end
