;reduction at flat field
pro REDUCTION_FLAT_quasi3d,LOGFILE,AMPLIFICATION=amplification
if not(keyword_set(amplification)) then amplification=1
message,'flat-field correction of object quasicube',/cont
wdir=DEF_WDIR(LOGFILE)
flat=readfits(wdir+'flat_ic.fts',h,/silent)
Nx=sxpar(h,'NAXIS1') & Ny=sxpar(h,'NAXIS2')
;normalisation flat
vector=total(flat(*,Ny/2-Ny/4:Ny/2+Ny/4),2)/(Ny/2+1)
vector_norm=LOWESS(findgen(Nx),vector,50,3,5)

;for y=0,Ny-1 do flat(*,y)=(flat(*,y)/vector_norm-1)*amplification+1
for y=0,Ny-1 do flat(*,y)=flat(*,y)/vector_norm
sxaddpar,h,'NORM','yes'
sxaddpar,h,'datamin',0.8
sxaddpar,h,'datamax',1.2
writefits,wdir+'flat.fts',flat,h
;correction flat field
obj=readfits(wdir+'obj_ic3.fts',h,/silent)
a=size(obj)
for k=0,round(a[2]/Ny)-1 do obj(*,indgen(Ny)*round(a[2]/Ny)+k)=obj(*,indgen(Ny)*round(a[2]/Ny)+k)/flat
;; obj=obj/flat
sxaddhist,'flat-field corrected',h
writefits,wdir+'cube.fts',obj,h
END
