pro show_sp,insp

llist0=[4101.33,4340.74,4471.69,4685.682,4861.33,4958.91,5006.84,6300.23,6363.82,6678.151,$
5411.524,5200.7,5875.75,7135.8,6717.30,6731.,6562.82,6583.57,6548.06,5754.8,4363.53,5577.345] ;,5159.]
ident0=['    H!D!4d!3!N','    H!D!4c!3!N','HeI','HeII','    H!D!4b!3!N','[OIII]','[OIII] ',$
'[OI]','[OI]   ','HeI    ',$
'HeII',' [NI]','HeI','[ArIII]','[SII]','[SII]','    H!D!4a!3!N', '[NII]','[NII]','[NII]','[OIII]',$
'night sky     '] ;,$
; '[FeII]']
; ident0=replicate('',n_elements(ident0))
ident1=ident0

ident1[14]=''  &  ident1[18]='' &  ident1[5]='' &  ident1[7]=''

nsp=n_elements(insp)

set_plot,'ps'
device,filename='~/trash/spectra.eps',/land,xsize=26,ysize=15,/encaps
!p.multi=[0,1,nsp]
  for k=0,nsp-1 do begin
   sp=readfits(insp[k],hsp)
   l=dindgen(n_elements(sp))*sxpar(hsp,'CDELT1')+sxpar(hsp,'CRVAL1')
llist=llist0
llist=llist(where(llist0 gt min(l) and llist0 lt max(l)))
ident=ident1
ident=ident(where(llist0 gt min(l) and llist0 lt max(l)))
ident0=ident0(where(llist0 gt min(l) and llist0 lt max(l)))
   obj=sxpar(hsp,'OBJECT')
; if k eq 0 then 
plot,l,sp*1.e15,xrange=[5900.,7200.],charsize=1.5,charthick=2.5,thick=2.5,/xst,/yst,$
 xtitle='!4k!3,'+string("305B),yrange=[-0.05,1.3]*max(sp*1.e15),$
 ytitle='F!D!4k!3!N, 10!U-15!N erg cm!U-2!N s!U-1!N'+string("305B)+'!U-1!N'  ; else plot,l,sp*1.e15,xrange=[4000.,5500.] ;,yrange=[0.,2.e-15]
; xyouts,6000.,max(sp)*.75e15,obj,/data
   for q=0,n_elements(llist)-1 do begin
    if strpos(ident0[q],'[') ge 0 and strpos(ident0[q],'N') lt 0 and strpos(ident0[q],'O') lt 0 then oplot,[llist[q],llist[q]],[.5,0.6]*1.e15*max(sp)
    if strpos(ident0[q],'[') ge 0 and strpos(ident0[q],'N') ge 0 then oplot,[llist[q],llist[q]],[.6,.75]*1.e15*max(sp)
    if strpos(ident0[q],'[') ge 0 and strpos(ident0[q],'O') ge 0 then oplot,[llist[q],llist[q]],[.9,1.1]*1.e15*max(sp)
    if strpos(ident0[q],'[') lt 0 and strpos(ident0[q],'e') ge 0  then oplot,[llist[q],llist[q]],[.4,.5]*1.e15*max(sp)
    if strpos(ident0[q],'[') lt 0 and strpos(ident0[q],'e') lt 0  then oplot,[llist[q],llist[q]],[.7,0.82]*1.e15*max(sp)
; ident[q]=''
if strlen(ident0[q]) le 0 then continue
    if strpos(ident0[q],'[') ge 0 and strpos(ident[q],'N') lt 0 and strpos(ident0[q],'O') lt 0 then xyouts,llist[q]-strlen(ident[q])*10.,max(sp)*.65*1.e15,ident[q],charsize=1.2,charthick=2.5,/data
    if strpos(ident0[q],'[') ge 0 and strpos(ident[q],'N') ge 0 then xyouts,llist[q]-strlen(ident[q])*10.,max(sp)*.78*1.e15,ident[q],charsize=1.2,charthick=2.5,/data
    if strpos(ident0[q],'[') ge 0 and strpos(ident[q],'O') ge 0 then xyouts,llist[q]-strlen(ident[q])*10.,max(sp)*1.2*1.e15,ident[q],charsize=1.2,charthick=2.5,/data
    if strpos(ident0[q],'[') lt 0 and strpos(ident0[q],'e') ge 0 then xyouts,llist[q]-strlen(ident[q])*10.,max(sp)*.55*1.e15,ident[q],charsize=1.2,charthick=2.5,/data 
    if strpos(ident0[q],'[') lt 0  and strpos(ident0[q],'e') lt 0  then xyouts,llist[q]-strlen(ident[q])*10.,max(sp)*0.87*1.e15,ident[q],charsize=1.2,charthick=2.5,/data 
   endfor
  endfor
!p.multi=0
device,/close
set_plot,'x'

end
