pro signal_noise_score,log 

wdir=def_par(log,'W_DIR')
neonfile=wdir+'neon.fts'
dspfile=wdir+'dsp.fts'
spectfile=wdir+'obj_spect.fts'
outfile=wdir+'noise.fts' 

neon=readfits(neonfile,hn)
an=size(neon)
Nx=sxpar(hn,'NAXIS1') & Ny=sxpar(hn,'NAXIS2')
neon_vec=total(neon(*,Ny/2-Ny/4:Ny/2+Ny/4),2) 
x=dindgen(Nx)
neon_max=max(neon_vec)*0.1
fi_peak,x,neon_vec,neon_max,ipix,xpk,ypk,bkpk,ipk,isc=20

n=n_elements(xpk)
fwhm=dblarr(n)
m=1./stdev(neon)
       ;@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@ 
        for k=0,n-1 do begin
            w1=where(abs(xpk[k]-x) lt 10.)
            x1=x(w1)   &    f1=neon_vec(w1)  
            yfit=gaussfit(x1,(f1)*m,g0,nterms=3)/m
            fwhm[k]=g0[2]*sqrt(8.*alog(2))
              plot,x1,f1
              oplot,x1,yfit,color=1000
            
        endfor
       ;@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@ 
wkiller
dsp=readfits(dspfile,hd)
;ad=size(dsp)
;dl=sxpar(hd,'CDELT1')   &  l0=sxpar(hd,'CRVAL1') 
;l=dindgen(ad[1])*dl+l0
medf=median(fwhm) & print,'median fwhm -',medf
noise=dsp*sqrt(medf)

spect=readfits(spectfile,hf)
a=size(spect)
dl=sxpar(hd,'CDELT1')   &  l0=sxpar(hd,'CRVAL1') 
l=dindgen(a[1])*dl+l0



signal=spect/noise

writefits,outfile,noise,hd

  mkhdr,hdr,signal
  sxaddpar,hdr,'CRVAL1',l0
  sxaddpar,hdr,'CDELT1',dl
  writefits,exdir(outfile)+'signal.fts',signal,hdr


end