;calculation sky
!P.background=16777215
!P.color=0
dir='h:\red_data\scorpio\050927+101144.tmp\'
file_sky='sky3'
ima_sky=readfits(dir+'sky.fts',h_sky)

sent_erg=readfits(dir+'sent_erg.fts',h_s)
sent_mJy=readfits(dir+'sent_mJy.fts')
f=readfits(dir+'disper.fts',/silent)

Nx=sxpar(h_sky,'NAXIS1')  &   Ny=sxpar(h_sky,'NAXIS2')
Texp=sxpar(h_sky,'EXPTIME')  & z=sxpar(h_sky,'Z')
date_obs=strcompress(sxpar(h_sky,'date-obs'))
lambda_0=sxpar(h_s,'CRVAL1')  &   d_lambda=sxpar(h_s,'CDELT1')
x=findgen(Nx)
lambda_obs=f(0)+f(1)*x+f(2)*x^2+f(3)*x^3
Nx=sxpar(h_s,'NAXIS1')
lambda=findgen(Nx)*d_lambda+lambda_0
scale=.28     	;scale , arcsec/px
slit=1.9		;slit width , arcsec
wc=10
sky_obs=total(ima_sky(*,Ny/2-wc:Ny/2+wc),2)/(2*wc+1)
sky= INTERPOL(sky_obs,lambda_obs,lambda)
;calculation sky spectrum in ADU/sec/px/arcsec
ADU=1.12
sky=sky*sent_erg*ADU/Texp/scale/slit/d_lambda/calc_ext(lambda,0)
coeff=lambda^2*3.3356E7
Bm=string(mag_band('B',sky*coeff,lambda),format='(F6.2)')
Vm=string(mag_band('V',sky*coeff,lambda),format='(F6.2)')
Rm=string(mag_band('R',sky*coeff,lambda),format='(F6.2)')
Im=string(mag_band('I',sky*coeff,lambda),format='(F6.2)')
tmp=str_sep(date_obs,'/')


print,file_sky
set_plot,'PS'
device,file=strcompress('g:\sky_spectra\'+file_sky+'.ps'),/landscape
plot,lambda,sky*1E16,xst=1,yrange=[0,1],$
	title=date_obs+'       B='+Bm+'  V='+Vm+'  R='+Rm+'  I='+Im,$
	ytitle='Flux,  1E-16 erg/cm^2/sec/A/arcsec^2',$
	xtitle='Wavelength,  A'
device,/close
set_plot,'WIN'
writefits,strcompress('g:\sky_spectra\'+file_sky+'.fts'),sky,h_s
end