;test sky substraction
pro sky_substraction,LOGFILE,IMAGE_TYPE,MASK=mask
message,'FRAME '+IMAGE_TYPE,/cont
wdir=DEF_WDIR(LOGFILE)
obj=readfits(wdir+IMAGE_TYPE+'_norm.fts',h,/silent)
Nx=sxpar(h,'NAXIS1') & Ny=sxpar(h,'NAXIS2') & Nz=sxpar(h,'NAXIS3')

ima_out=dblarr(Nx,Ny)
ypos=sxpar(h,'ypos') & ypos=fix(str_sep(ypos,','))
ypos=.5*total(ypos)
W=mask/2
Ndeg=3
x=dindgen(Nx) & y=dindgen(Ny)
NS_frame=dblarr(Nx,Ny) & NS=dblarr(Ny)
;create sky frame
tmp=0
vy=fltarr(Ny)
; determination region for estimation NS
Npoint=20
wpos=Ny/double(Npoint)
Npos=(Ny)/double(wpos)-1
pos=dindgen(Npos)*wpos+wpos
;*************************
for k=0,Nx-1 do begin
 vy(*)=obj(k,*) ; else vy(*)=obj(k,*)
 ;;R=where(y lt ypos(z)-w OR y gt ypos(z)+w,ind)
 ;f=goodpoly(x(R),vy(R),Ndeg,3)
 ;NS=0 & for j=0,Ndeg do NS=NS+f(j)*y^j
 ;NS_frame(k,*)=NS
 NS_frame(k,*)=sky_level(vy,pos,wpos,ypos,mask)
endfor
; NS_frame=tmp & tmp=0

y=dindgen(Ny) & vy=dindgen(Ny)
w=100 & y=dindgen(Ny) & vy=dblarr(Ny)
NS_frame=dblarr(Nx,Ny)
NS=dblarr(Ny)
for k=0,Nx-1 do begin
 vy(*)=obj(k,*)
 vy=median(vy,3)
;R=where(y lt ypos(0)-w OR y gt ypos(0)+w,ind)
;f=goodpoly(y(R),vy(R),Ndeg,2)
;NS=0 & for j=0,Ndeg do NS=NS+f(j)*y^j
 NS_frame(k,*)=sky_level(vy,pos,wpos,ypos(0),mask)
endfor
ima_out=obj-NS_frame
sxaddhist,'nigth sky subtracted',h
writefits,wdir+IMAGE_TYPE+'_sky.fts',ima_out,h
if IMAGE_TYPE eq 'obj' then writefits,wdir+'sky_sp.fts',total(NS_frame,2),h
ima_out=0 & frame=0 & obj=0 & NS_frame=0
end
