pro spec_fts,infile,outfile=outfile,lrange=lrange,m=m

i=infile
age=double(strmid(read_text(i,5,5),10))

r=read_asc(i,6)
a=size(r)
l=r(0,*) & l0=min(l) &    dl=min(abs(l-shift(l,1)))
if not(keyword_set(m)) then m=1.e-15
f=r(1,*)*m
n=ceil((max(l)-l0)/dl)
l1=dindgen(n)*dl+l0
spect=interpol(f,l,l1)
if not(keyword_set(lrange)) then lrange=[3500,7500]
www=where(l1 lt max(lrange) and l1 gt min(lrange))
l1=l1(where(l1 lt max(lrange) and l1 gt min(lrange)))
spect=spect(www)
if l0 lt min(lrange) then l0=min(lrange)  
if not(keyword_set(outfile)) then outfile=infile+'.fts'

mkhdr,hdr,spect
sxaddpar,hdr,'CRVAL1',l0
sxaddpar,hdr,'CDELT1',dl
sxaddpar,hdr,'SPECTYPE',strtrim(string(age/1.e9,for='(F10.2)'),2)+'Gyr'
writefits,outfile,spect,hdr
end
