pro subsky_compact,ftype,wdir,yobj,w=w,inter=inter

if not(keyword_set(w)) then w=30.
  data=readfits(wdir+ftype+'_norm_1.fts',hd,/sil)
  outdata=data
  a=size(data)
if a[0] eq 1 then data=readfits(wdir+ftype+'_norm.fts',hd)
  outdata=data

  nx=a[1]  &  ny=a[2]
y=dindgen(ny)*sxpar(hd,'CDELT2')+sxpar(hd,'CRVAL2')
w1=where(abs(abs(y-yobj)-1.5*w) le w*.5,nw1)
; w1=indgen(ny)
; w1=[w1(yobj-2*w:yobj-w),w1(yobj+w:yobj+2*w)]
profile=total(data(round(0):round(nx-1),*),1)*sxpar(hd,'CDELT1')

if keyword_set(inter) then w1=inter_region(y,profile,npoints=nw1)

y1=y(w1)
  for x=0,nx-1 do begin
    data_tmp=reform(data(x,w1))
    ypars=goodpoly(y1,data_tmp,1,2.)
    outdata(x,*)=outdata(x,*)-median(data_tmp)  ;poly(y,ypars)
    plot,y,data(x,*),psym=2,xrange=[yobj-2*w,yobj+2*w]
    oplot,y,poly(y,ypars)
  endfor 

  writefits,wdir+ftype+'_sky.fts',outdata,hd

 ; PS - control output

mayx=max(profile,ymax)

set_plot,'ps'
 device,filename=wdir+'subsky_control.ps',/land,/color
loadct,0
 plot,y,profile,xrange=[yobj-w,yobj+w],xtitle='coordinate along slit, arcsec',ytitle='integral intensity, erg/cm^2 s',$
    charsize=2.,charthick=2.5,yrange=[min(profile),mayx*1.2],yst=1
loadct,27
 arrow,yobj-w*.25,mayx*1.05,yobj+w*.25,mayx*1.05,color=1000,/data
 arrow,yobj+w*.25,mayx*1.05,yobj-w*.25,mayx*1.05,color=1000,/data
loadct,0
 xyouts,yobj,mayx*1.1,'object',/data
loadct,27
; arrow,yobj-w,mayx*.95,yobj-2.*w,mayx*.95,color=1000,/data
; arrow,yobj+w,mayx*.95,yobj+2.*w,mayx*.95,color=1000,/data
; arrow,yobj-2.*w,mayx*.95,yobj-w,mayx*.95,color=1000,/data
; arrow,yobj+2.*w,mayx*.95,yobj+w,mayx*.95,color=1000,/data
  oplot,y(w1),replicate(mayx,nw1),psym=1,color=1000
loadct,0
; xyouts,yobj-w*1.5,mayx*1.,'sky',/data
; xyouts,yobj+w*1.5,mayx*1.,'sky',/data
 device,/close
set_plot,'x'
end
