pro vel_tmp,in,din

pr=readfits(in,hin)
dpr=readfits(din,hdin)

wdir=exdir(in)

dy=sxpar(hin,'CDELT1')  &  y0=sxpar(hdin,'CRVAL1')  &  nx=n_elements(pr)
y=dindgen(nx)*dy+y0

window,/free,xsize=1000,ysize=200
plot,y,pr,yrange=[600.,790.]
oploterr,y,pr,dpr

wv1=where(y gt 177. and y lt 181.,n1)
wv2=where(y gt 181.5 and y lt 183.5,n2)
wv3=where(y gt 184. and y lt 186.5,n3)
v=pr & dv=dpr

v1=total(v(wv1))/double(n1)
v2=total(v(wv2))/double(n2)
v3=total(v(wv3))/double(n3)
vs=total([v(wv2),v(wv3)])/double(n2+n3)
dv1=stdev(v(wv1))/sqrt(double(n1))   ;sqrt(total(dv(wv1)^2)/double(n1)/double(n1-1)))
dv2=stdev(v(wv2))/sqrt(double(n2))          ;sqrt(total(dv(wv2)^2)/double(n2)/double(n2-1))
dv3=stdev(v(wv3))/sqrt(double(n3))            ;sqrt(total(dv(wv3)^2)/double(n3)/double(n3-1))
dvs=stdev([v(wv3),v(wv2)])/sqrt(double(n2+n3))        ;sqrt(total([dv(wv2),dv(wv3)]^2)/double(n2+n3)/double(n2+n3-1))

print,v1,'+/-',dv1
print,v2,'+/-',dv2
print,v3,'+/-',dv3
print,vs,'+/-',dvs

end
